AIMS Basics
Top Next

Many of the concepts used in AIMS are simply "normal" Windows features. However, there are also several concepts that are somewhat specific to AIMS, or at least to how database programs operate. These "special" AIMS features are discussed in this section.

Main Screen
All and Single Views
Right-clicks of the mouse
Screen Resolution Issues
Tattoos and AIMS

The simple fact is, there is virtually nothing you can do to hurt AIMS. There are ways to hurt your AIMS data, but if you are diligent in making backups (see the Backup section for details) and pay attention to warning screens, especially before you intend to try something new, you will be amazed at the things AIMS can do. But don't try to learn everything about AIMS in one sitting. Learn just one concept at a time -- weaning, calving, exporting files, etc. -- as you need them during the life cycle of your cattle of the record keeping.

Version 3.0


Main Screen
Previous Top Next

The Let's take a quick tour around the main screen of AIMS; many things are common to Windows-based programs, but AIMS also has some unique features adapted for cattle record-keeping.


Menu commands

Across the top of the screen, just under the title bar, are the menu commands; File, Animal, Pen, Customer, Reports, Tools and Help. As with all Windows programs, virtually every command in AIMS can be accessed through the menu system, in other words, by using keystrokes.

AIMS also provides a mechanism to access these commands with Alt-key combinations. For example, to choose the File command, you can hold down the Alt key and then press the letter F; the documentation you're reading prints this as Alt-F. Once the File command is "opened" or drops down, you will see other commands such as Open, Data and Exit . Letters will be underlined once the menu is open, so simply press the underlined character to pick the next menu command.

Each menu command will be described as necessary in subsequent sections.


Icons

New Animal [image] - Use this icon to add animals to your system; however, this is not the recommended method to add new calves out of dams that are in AIMS. Use this method only for special animals such as herd sires or commercial animals.

Create Pen [image] - Click on this to start the process to create a new pen of animals.

Open/Find Animal [image]. - This icon provides a quick way to the Find Animal screen to locate single animals.

Open Pen [image] - Use this icon to open an existing pen.

Print [image] - Clicking here will print the current screen. Although this may not be used much, it is a "quick-and-dirty" method to get a printout of the current animal.

Cut [image] - The scissors represent Cut, which means cut the selected text onto the Windows clipboard and keep it there until it is replaced by another Cut or Copy command.

Copy [image] - Very similar to Cut only the selected text is left in its original location and put on the clipboard for future use.

Paste [image] - Whatever was placed on the clipboard will now be inserted on the screen at the cursor location. These three icons—and their counterparts under the Edit command—are very useful for manipulating animal names, comments and other types of repetitive text.

Pens [image] - A shortcut to view all Pens. A window with list of all pens will slide to the right and a Pen can be seletced. To close the window, click again on this icon.

All Animals [image] - A shortcut to select All Animals Pen.

EPDs [image] - A shortcut icon to open the floating EPD window for the currently selected animal.

User Fields [image] - A shortcut to open the floating User Fields window.

Defects [image] - A shortcut to open the floating Defects window.

Help [image] - Here is a shortcut to the Help information.


Animal Information Area

Below the menu commands is the animal's general information -- think of it as a "Rolodex" due to its ability to rotate to other information about the animal. By default, it starts with general information as shown below.

If this feature seems limiting in that you can only see one set of data at a time, don't worry; there are still other methods for displaying this information, which we'll get to later. Also, for symmetry and space (on low resolution screens), the 10th User Field is omitted, you'll have plenty of ways to see it. (Hint: look under the Tools command or the icons).


Pen list

Along the left side is a list of the tattoos and tags of animals in the current pen. At the top, you will see the name of the current pen and below that are the animals in "pen order". The pen order is determined by you, either at the time the pen is created or any time after that when you want to change the order of the animals. For brevity's sake, only the tattoo and tag are displayed here, but by clicking on an animal, the general animal information will change across the top of the screen. Clicking on the animal will also change the current tab to that animal.

Below the list of animals is the total number of animals present in the pen. The Tag field is somewhat different; you need to press Ctrl-T to bring the cursor to the Tag field and then enter the search tag/tattoo.


Main tab area

The section of the screen where most of the action takes place is the tab area, which dominates the rest of the screen. Across the top of this area are the 13 tabs associated with each animal. However, not every animal has every tab available; for example, you won't have-or need- access to the Calving, Breeding or ET tabs for bulls or steers.

Here's a trick: the function keys also take you to the corresponding tab screen; F1 goes directly to the General tab, F2 goes to Breeding all the way to F11 for ET.

Medical and Ultrasound tabs are skipped from the function key shortcut.

All of these tabs will be described in much more detail in the Tabs section


Record navigation

One other common element of the tab screens is the "VCR controls", as shown below.

You can probably see why they are often referred to as VCR controls since they mimic typical remote control buttons for your VCR or CD player. In the case of a record-keeping system, they are for navigating to various animal records. In order from left to right, they stand for: move to the first animal in the pen; move to the previous animal; move to the next animal; move to the last animal in the pen. AIMS also provides a keyboard method (i.e. without using the mouse) for moving to the next and previous animal-Alt-X and Alt-V respectively.

The Save button is also common in this area, of course it means to save any changes that have been made to the current animal.

Note: Using the Save button is actually optional since any time you move to another animal in the pen, or go to a different tab for the current animal, information you changed will be saved. This is a precaution so that information is always saved - you do not have to specifically Save.

Other buttons will appear along the bottom of the tab area for an animal, depending on which tab is being used. For example, there are All and Birth Info buttons on the General tab. A quick introduction to the purpose of the All button follows. Other tab buttons will be described with their respective tab sections.


Comment fields defined

For lack of a better place, this will be a brief discussion of the various Comment fields throughout AIMS.

As you will see, AIMS includes a Comment field associated with nearly every key event or record for an animal. This provides maximum flexibility for specific "note-taking" for each animal.

AIMS actually has two sizes of Comments. The Master Comment holds just over 32,000 characters and as the name implies, there is only one of these Master Comment field, which is on the General tab. (See the discussion on the Master Comment in the General Tab section.) The rest of the Comment fields hold a maximum of 255 characters each.

Editing a Comment
All of the Comment fields can be treated like any other field, meaning you can simply click into the field and start typing. However, since the fields hold much more data than they can show at any one time, you can also open a separate window to do the editing. Simply double-click in any Comment field and the following screen will open:

This is one of the "typical" Comment screens -- the Master Comment version is larger. AIMS will not allow addition of text past the 255 or 32,000 character limit.

Information can be pasted in from other Windows programs and the information can be edited like most word processors, however, the fields do not have capabilities such as bold, italics, different font sizes, etc.

View Comments
If an existing comment is small enough, you may be able to read it all in the normal field. However, if you need to view a larger comment, simply double-click the field and the Comment window will open and display the entire comment.

Another way to view comments will combine many of the key comments into one printable document. Click on Tools | Comments to view the report; see the Comments section under the Tools menu for details.


All and Single views

AIMS provides the ability to view an animal's information individually (Single) or many animals at a time (All) in a spreadsheet format. (Depending on the circumstance, the button may be labeled "Detail" instead of "Single"). Using the General tab as an example; by default, it will display just one animal with all fields organized by category.

However, if you want to view many animals in a spreadsheet form, simply click on the All button and a spreadsheet version will appear. This has the advantage of being able to see the data for many animals in the pen at once. The number of animals depends on the screen resolution you are using for your monitor. Of course the disadvantage is that you can only see a certain number of columns, again, depending on the resolution of the monitor and the size of the columns. This feature is available on all tabs except Pedigree (where All wouldn't work) although the default is different depending on the tab.

How to use Single or All views
The All and Single buttons are toggled commands; in other words, they appear on the same button and simply toggle back and forth. There will be times when it makes sense to use the All view, and other times when it's better to use Single. Sometimes the Single view button will actually be labeled Detail- there are only slight, technical reasons for the difference.

Order of Animals
Order of Columns


Order of animals

When you open a pen, the pen list (along the left side of the screen, outside of the tab area) will be in the order you determined for the pen. By default, you will be in Single view, so moving to the next animal (with Alt-X or the right arrow in the "VCR controls") will be the next animal in the pen list. If you switch to All view, the animals will be in the same order as the pen list. However, there is a powerful feature available in All view - you can sort on any column being displayed.

Let's assume the animals are in tattoo order, but you would like to see them in birth date order. Once in All view, you can simply click on the Birth Date column header and the animals will be sorted by birth date; click it again and they are reversed by birth date. The pen list will stay in its original order; only the tab area will be rearranged. So, any column can be used for sorting, however, the next time you open the pen, it will default back to the pen list order.

Once you have sorted the spreadsheet by a column, it breaks the direct connection to the pen list along the left side of the screen. Navigation like Alt-X (next record) and Alt-V (previous record) will follow the order of the pen list. The "break" in order is necessary to maintain the flexibility of the spreadsheet as well as the permanent sort order of the pen for future screens and reports.


Order of columns

If you are an Excel – or other brand of spreadsheet user – your next thought is "wouldn't it be nice to be able to rearrange the order of the columns." Yes. You can do this too. Simply click and drag the column header to the location you want it to appear, let go of the mouse button and you've done it. This is another feature that will revert back to the default the next time you open the pen; a future enhancement of AIMS will preserve the order.


Split Screen and scrolling

In All view, you will need to scroll to the right to get to other fields. As you do that, the tattoo and tag fields will scroll off the left side. In some cases this will work and you will still know what animal you are on by looking up in the general animal display area above the tabs.

In All view, you will have a vertical line dissecting the spreadsheet between tag and the other fields. This creates two actual windows so that the left side can continue displaying the tattoo and tag while you scroll right and left in the right window for normal editing. You can also click and drag the vertical splitter—click at the bottom part of the split in the scroll bar area—to include more columns in the left window, or even scroll it separately.

The dark-gray vertical line between the arrows is the location of the split screen.


Right-clicks of the mouse

For years, the most common use of the mouse was with the left button. In modern Windows programs, the use of the right mouse button has increased, and its use in AIMS is no different. First of all, if you read or hear "do a right click", that's a short way of instructing you to click on the right-hand button on the mouse. Try it in every program you use – not just AIMS – in various parts of the screen and you will be surprised at what pops up.

Right-Click on Tattoo/Tag Field
Right-Click in Date Fields
Screen Resolution Issues


Right-Click on Tattoo/Tag field

AIMS uses right-clicks in many places for various things, which will be described as they become relevant. But there is one special use that needs to be introduced right away. In most places where a tattoo or tag appears, you can right-click and an Animal Information screen will popup. Try it on an animal in the pen list and you will see a screen like screen shown below.

As you can tell by the first tab, a lot of information is available with the popup. This feature has been added to make it easy to figure out who an animal is simply by right-clicking on its tattoo or tag. You can then switch to whichever tab you want for even more information. Each time you return to this window, the last tab you used will be the first tab you see for the new animal. Try this throughout AIMS, it isn't available every time a tattoo or tag is displayed (for technical and program-flow reasons) but it's available a lot of the time.

Two issues you should know about this screen:

1. Notice that the title bar includes the tattoo and tag, separated by a "/".

2. Data cannot be changed on this screen. In order to maintain the integrity of the data and keep the processing speed bearable, this is a display-only window.


Right-Click in Date fields

Another use of the right-click is to automatically insert dates. In most areas of AIMS (i.e. when appropriate) when you right-click in a date field, AIMS will automatically insert the current computer system date. Hopefully your computer has the correct date in it, but in any case, AIMS will insert that date. One exception is that when entering flush records on the breeding tab, right-clicking in the Embryo Removal Date field will enter a date seven (7) days after the date you entered for the AI/Pasture In Date field.


Screen resolution issues

With the introduction of Windows 95, users were given the ability to change the resolution of their monitors. You now have the ability to display more information on the screen by increasing the resolution of the screen-the text and pictures get smaller as the resolution numbers go up.
All of these resolutions relate to pixels. A pixel is one dot in the make-up of the screen. The smaller the pixel, the better the "smoothness" of text and pictures, and the more pixels you could get on a screen, the more information you can see. Windows 3.1 was 640 pixels wide and 480 pixels high. The typical documentation convention is to represent this as "640x480".

With the advent of better and larger monitors, and several new releases of Windows, the screen resolution can go as high as 1,600x1,200. Perhaps it's even higher on your new computer.

The original release of AIMS was designed to favor 800x600 resolution. So, it is strongly recommended that you change to at least this resolution. To do so, you need to click on the Start button, then go to Settings | Control Panel | Display. On the Settings tab, change the Screen Area option to 800x600, or higher. The next higher setting is 1024x768, and there's usually more options above that, but it's a personal preference. Higher resolutions will be especially useful in All views of tabs since you will be able to see more rows of animals and more columns of fields. The higher resolutions won't have an affect on most of the Single/Details screens since they already have enough room to display everything for that tab anyway.

You are encouraged to increase the screen resolution to at least 800x600. It may be hard to get used to at first, but you will eventually wonder why you ever had it lower. Starting in version 2.2 and even more in 2.3, the very old 640x480 screens have been "abandoned" and not updated with new fields. Frankly, there just isn't room for all the data; you may even experience errors/crashes if attempting to use this older resolution.

Examples of Screen Resolution
The following figures demonstrate the difference in resolutions. Figure 1 is the Single view of the General tab at approximately 800x600 resolution (ignore the fact the image may be fuzzy, that's a User Manual issue). Figure 2 is the same Single view, but with 1280x1024 resolution -- and that's not even the highest many computers can go.

Figure 1 -- General tab at 800x600 resolution.

Figure 2 -- General tab at 1280x1024 resolution.

As you can see, the Single view is the same either way although there's a lot more space for things like the floating EPD window, etc. The real advantage comes when you use the All view (for the appropriate tabs) where the columns and rows can fill the tab area.


Tattoos and AIMS

The AIMS program relies very heavily on tattoos. In computerized record keeping systems, it is necessary for one field to be designated as the "primary key", which means a field is the link between all records and must exist as a unique field in at least one of the database tables. The AIMS system uses tattoo as that primary key. The tattoo field isn't a perfect choice, but here are some basic reasons why other fields weren't used as primary key:

· Registration Number - not every animal in the system will have a reg number, and certainly not new calves.

· Tag - very similar to tattoos in its use, but is not a required field for registration with the Association

· Herd ID - this would be a "made-up" field purely for record keeping purposes and therefore adds another layer of overhead for anyone using the computer.

The reasons for using tattoo include the fact it is a required field for animals to be registered and since AIMS was always intended to specialize in registered herd records, it became the primary key. Unfortunately it has some flaws:

· Five characters may be too short. Yes, to uniquely identify thousands of animals in one computer system, the tattoo field allows more than the normal five characters.

· Not all animals get a tattoo and some only get a tag for the first few months. True, but even a new calf needs some kind of ID for record keeping purposes. We suggest you at least make up a tattoo for now—perhaps use the tag number—and change it to the correct tattoo when the calf is actually tattooed.

Important Note: As of the June 2003 Board of Director's meeting, the maximum number of characters in a tattoo was raised to eight. This rule change should help alleviate problems with duplicate tattoos.

Creating Unique Tattoos
"Re-claiming" old tattoos


Creating unique tattoos

Officially, tattoos can be from one to five characters and must be the same in both ears. Consequently, in many herds, even of average size, this is not enough characters to uniquely identify animals. This is further complicated when animals are brought into the herd from other herds with other tattoo systems. AIMS takes care of this by adding an extension to tattoos when necessary. For example, you have a cow in your herd with tattoo 1234 and then you purchase a registered cow who also has tattoo 1234. The common AIMS solution is to add the extension "-C97" to the 1234 making the purchased cow tattoo 1234-C97. The hyphen is simply a divider, the C is for cow and the 97 is for the year the cow was born. Officially, they still both have tattoo 1234. This also solves the situation when ancestors of one animal have the same tattoo as a different animal already in the herd.

Additionally, a third cow could be in the system, also with 1234, also born in 1997. AIMS solves this by adding "-1" to the tattoo making the third cow 1234-1. The next animal to need this solution would be "xxxx-2". The serial number does not restart for each duplicate, it simply continues throughout the system.

The extension methods described above are the standard system used by the Association when herd files are generated by our computer system for your AIMS system. You can, if you wish, use a different system for animals you add to the system after initial installation. For example, our second cow could be 1234-A. However, the Association's system was designed to help recognize something about the duplicate animal—namely sex and year of birth. Also, it is highly recommended that the hyphen (also called the minus sign) be used as the separator. Several report and sorting routines rely on that separator being used.


Re-claiming old tattoos

If you are entering new calves and run into a tattoo that is a duplicate with another animal, it is not required that the new animal receive the extension to make it unique. For example, you are trying to enter tattoo 5678 for a new animal, but AIMS tells you that belongs to a cow born in 1980 – an ancestor of other animals in the herd. You will be given the option to change the tattoo of the older animal, presumably to 5678-C80 in order to be able to use 5678 on the new, more relevant calf.

See the section for Changing Tattoos for information on conflicting tattoos.


Backups

AIMS includes a powerful command to make a backup of your entire database. A backup can be made with three (count 'em 3!) clicks of the mouse: File, then Backup, then Save. But keep reading to understand more about what you just did.

How to make a Backup
The process to make a backup of the data is actually very simple. You choose File | Backup, then enter a filename and press Enter (or click on Save). By default, AIMS will build a filename for the backup including an extension of BKx where 'x' is a number from 0 to 9, which automatically increments each time a backup is made. Normally it is better to type your own filename—which can be a Windows long filename—so that the file will mean something to you in the future.

Again, your filename will have an extension added that starts with ".BK" plus a number. The extension is only to help the Restore function know if the file is a valid backup and the number in the extension further helps filenames to be unique.

Why make a backup
When to make a backup
Where to make a backup

And finally, it is highly recommended that you get in a good habit of making backups. They are so easy to make and help create a sense of comfort that no matter what happens, your data will be safe.


Why make a backup

The old computer adage states "if you don't want to type it again, make a backup." That's pretty good advice, because as you know, Murphy's Law is working against you and just when you can least afford to lose your data, you will lose it—the hard disk will crash, or any number of other horror stories, and you're out of luck unless you have a backup.

Here are some things to think about:

· Make backups very frequently to your hard disk, as often as every day you work with AIMS. You can use a rotational system where you make a backup with the name of the day as the filename— Monday, Tuesday, etc. It's normally better to have more than one level of backup so that if one day's backup goes bad, you have the day before that to go back to. These "frequent" backups can be left in the default folder (\aims20\backup) on your main computer.

· Occasionally make backups to a CD-ROM. Making daily backups is great until the hard disk crashes, so be sure to save some of these files (or copy them after a regular backup) to an external media such as a CD-ROM. You do this by changing the Save In field on the backup screen, then provide a filename. A rule of thumb would be to make an external backup once a week during peak data entry seasons.

· Once in a while, take one of these external backups to a location out of the building where your computer is located. While having separate backups saves you from a hard disk crash, it doesn't save you from a more serious problem where the entire building is destroyed, perhaps in a fire or flood. This is paranoia to the extreme, but your data is valuable and it's easy to protect, so put a backup on a disk and get it out of the building. Fire-safe boxes are an alternative, but it's still recommended to take a copy elsewhere every now and then.

· While you're making backups to disk, make another copy and send it to the AIMS department. This accomplishes two things, 1) you get a copy out of the house/office and 2) we will check that it is a good backup to confirm that backups are being made correctly. You could do this once or twice a year.

When in doubt, make a backup!


When to make a backup

The basic time frame to make a backup is discussed in the previous section; daily to the hard disk and weekly to a CD-ROM plus taking a copy off-site every now and then. But there's no law against making backups even more frequently. The following list includes some examples of other key times to make a backup so that if something goes wrong, you can quickly restore the backup to the point just before you did the particular process. So, you could also make a backup.

· Before you run a performance or EPD update

· Before you run Calculate for weaning, yearling or carcass data

· Before you delete some animals, a pen, and especially just before deleting all animals in a pen

· Before you make big changes to the sort order or members of a pen

· Before you import a file of Additional Animals


Where to make a backup

With three clicks of a mouse (File | Backup | Save) AIMS will make a backup. In this case, AIMS puts the backup in a folder on your c: (hard drive) in the main case of your computer. The backup will be in a folder indicated by c:\aims20\backup and have a filename starting with the letter "B" then your member code; if your member code is six digits, it will have the number 0 -- not the letter O -- in front of the member code. (Newer member codes are seven digits.)

The image above shows the window that will open when selecting File | Backup in AIMS. Notice that the Save In field is "Backup" which is a sub-folder of c:\aims20. This is the default folder for backups, however, you can click on the down-arrow at the end of the Save In field to select another location on your computer, whether it is a different folder or a different physical drive.

Note: Do not assume that "making a backup" automatically means saving it to a CD-ROM
As mentioned under Why to make a backup, backups can be saved in other types of media. Here are other media types:

CD-ROM: The term CD-ROM stands for "compact disk, read only memory" and is often just simplified to CD. Somewhat like tape backups, an AIMS backup will be rather small on the CD, but burning a CD is such a cheap process, it's worthwhile.


Restore

The opposite of making a backup is Restore. Any time you need to go back to a previous set of data-whether it was forced on you due to a problem, or by choice after a test session-you simply need to use the menu commands File | Restore and choose a filename from the Backup folder or some other location.

The key to the Restore process is that you must understand that it will erase everything in the current database. Restoring to a previous database will overwrite all data including breeding records, weaning weights, comments, medical procedures, everything! After you choose File | Restore and select the file, you will get the message screen as shown below.

Once you have answered Yes, there's no turning back.

Note: Again, it is very important that you understand any data in the current database will be erased and replaced with the backup data. It's a good idea to check the modify date of the file, which can be done as you select the file, to be sure you're not selecting a much older data file.


Checking for valid backup

The only thing worse that not making backups -- and then needing them -- is going through the backup process only to discover the backup failed and that you don't have a valid file to Restore.

If you suspect the backup may not be valid, or you simply want to double-check it, the most reliable way is to make sure the file "has size", meaning that the resulting backup is not empty. To check the size of the backup, either go into My Computer (on the desktop) or Windows Explorer (right-click on Start, then left-click on Explore). Although these two programs differ slightly in appearance, their purpose is the same -- the list all of the resources attached to your computer. Use the left side of the screen to find the appropriate drive (c: is the hard disk) to navigate to where you saved the backup. By default it will be on the c: hard drive, the \aims20 folder and the \backup sub-folder; in other words the path is c:\aims20\backup.

Determine the Size
Once you have found the file, you can determine the size by looking at the "Size" column. If that column is not shown, click on the "View" command at the top, then select "Details". Explorer (or My Computer) will then change the display to columns of information including Size and Date Modified, both of which are useful in determining the validity of the backup.

A "normal" backup will probably be over 200 Kb. If the size is just 10 Kb or less, something is wrong. Of course, the size depends on the number of records in your database, but even the smallest herd should be over 200 Kb.

Send it to the Association
One of the ways to assure the validity of the backup, and to preserve a copy off-site, is to send a backup to the Association. You can attach a backup to an email the same way you would attach a weights file, sending it to aimsfiles@angus.org. Include a message that states you are submitting your backup for validation and storage. The AIMS department will Restore the backup to make sure there is valid data in the backup and it will store the file in case you ever need it in an emergency. If the backup is faulty, the AIMS department will let you know and then work with you to make a valid backup.

What's in a backup?
The backup file is actually a compacted version of several files that AIMS uses to work with your installation of AIMS. The backup process gathers up the six files necessary to make a complete backup, then it "zips" them, meaning they are compressed into one file, which is always much smaller than the total size of the originals. The six files are as follows:
· aims2x.db -- The db file is the data file, without this file in the backup, it would be a useless backup. The file includes all of your animals, comments, breeding data, pens, customer names -- EVERYTHING.
· aims.ini -- A system file that AIMS uses to store default information and settings. For example, this is where the default weaning weight range is stored as well as things like the position the EPD window should be placed the next time it is opened.
· medical.txt -- All of the medical procedure names are stored in this file.
· incexp.txt -- All of the income/expense descriptions are stored in this file.
· pens.ini -- The complete text for pen selection steps are stored in this file, however, this information was moved to a file in the pen_name table (in the aims2x.db) so technically this file is not used anymore and is only included for backwards compatibility.
· oldpens.ini -- Same as pens.ini except it held the selection steps for inactive pens. Likewise, it is not in use anymore.

Emergency Backup Option
As noted in the previous section, the key file is aims2x.db (the x stands for the current version, for example, if you are using AIMS version 2.3, it will be aims23.db). If you are worried that the backup is not working, or if special circumstances apply, you can make a copy of the aims2x.db; put in a different location, such as My Documents or the desktop, so that it is away from the other AIMS files. Separating the file from the c:\aims20 folder is another precaution when re-installing AIMS.

Although the other files, especially aims.ini, may be helpful, the db file is by far more important, the others can be re-created or recovered from other locations.


Menu Commands

In general, the term "menu commands" refers to the "words" across the top of any main screen. In reality, the term "menu" goes back to the old DOS (Disk Operating System, the way we did things before Windows) days when everything was done with these menu commands—there was no such thing as a mouse or visual selection of buttons. However, menu commands still have their place, first of all because a program can't show all of the features and commands, secondly, there are times when doing things with the keyboard is preferred, maybe even necessary. So for now, menu commands stay with us and this chapter describes the menu system in AIMS.


File menu

Virtually every Windows program has a File menu. The File menu often contains some of the most important "top-level" operations a program can perform. AIMS certainly has its share of operations under this menu.

Breeder Information
Backup
Restore
Convert DB
Data (Import/Export)
Semen Inventory


Breeder Information

During the installation process, you will be prompted for Breeder Information which includes Owner Name, Ranch Name, Member Code and Phone Number.

Note: The Association's accounting department requests that credit cards only include numeric data. In other words, no spaces or hyphens. You also have the option to delete an existing credit card if you so choose, however, other payment will need to be arranged with the Association.

Multiple Owner Codes


Multiple owner codes

You can add owner information for all secondary owners related to your system, such as for spouse, children, employees, etc. A list of these owners can then be printed with the Print Owners button in order to have a reference of who owns animals in this software installation.

In rare cases, it is possible that the Primary owner may need to be changed. From the main Breeder Info screen, click the Browse button to see the following screen:

This screen also provides a central place to edit the information as well as Remove any records, if necessary. When changing the Primary Owner code, only one row (owner) can be the primary, all others will change to No. The Member Code of the Primary Owner row is used as part of the filenames anytime files are exported for submission to the Association, however, this member code must match Association records for a properly owned AIMS program.

When submitting files for secondary owners, do not change the primary owner member code; as long as the Association has record of the link between the primary and any secondaries, the data will be processes appropriately.


Data (Import/Export)

The various options under the Data (Import/Export) command will be discussed in the Import/Export section.


Exit

Very simple, this closes the AIMS software and returns control back to Windows. You can also use the main "X" in the title bar to exit the program.


Animal menu

Animal

The Animal menu command, as one would expect, has sub-commands specifically for applying to an animal.


New Animal

File | New Animal or using the New Animal icon starts the process to enter a new animal. Use this in cases where you need to add AI sires, commercial cattle or small numbers of purchased animals. This is not the recommended method for adding new calves out of existing cows. It is also not the method to add large (perhaps five or more) head of purchased registered animals-that is better done with the Additional Animal import process, described in the Import/Export chapter.

After selecting New Animal, you will be given a screen with the General information for an animal, shown below.

The fields are tattoo, tag, birth date, registration number, name, sex, active (Yes or No), sire and dam tattoo. Required fields are tattoo and sex; all other fields can be updated later if desired. Access is also provided to the User Fields in case you want to enter them on new animals.

A new animal can also be added to an existing pen by setting the "Add calf to pen" field to the desired pen. Animals are always added to the All Animals pen, so it is not necessary to specifically save to this pen -- it just happens to be the default.


Change Tattoo

You may occasionally find it necessary to change the tattoo of an animal. This is a fairly significant process in AIMS due to the extensive use of tattoos throughout the system and the fact it is the primary key. Consequently, this is the only place you will have access to the process to change a tattoo-this prevents accidentally changing a tattoo as well as changing it in a place that would be detrimental to the overall concept.

Be sure the current animal is the one you want to change. Once you are open to the specific animal, choose Animal | Change Tattoo and the dialog box will ask you for the new tattoo. Simply enter it, according to normal tattoo conventions within AIMS and then choose OK. Doing so will change all references to the original tattoo to the new tattoo you entered. Of course the new tattoo cannot be the same as an existing animal and it doesn't matter if the other animal is inactive or not-two animals cannot have the same tattoo at the same time no matter how old or inactive they are in your system.

The following screen warns you of problems when adding a new animal and changing a tattoo. But notice that this only applies to the selected animal.

The window shown below is the result of further checking when adding a new animal. Simply follow the on-screen directions to resolve the situation. It's probably also a good idea to check any relevant pedigrees after you've finished this screen.

Official tattoos
Changing the tattoo in AIMS will have no effect on its official tattoo at the Association. If an animal's tattoo needs to be changed, its registration paper must be returned to the Association with the correction noted.

Effect on imports and exports
Since the tattoo field is the primary key in AIMS, it is best to not make any changes to the field while data is pending with the Association. The tattoo field is very important to the import process.


Delete

Animal | Delete allows you to completely delete an animal from your AIMS system. Consequently, you should use this very sparingly and with consideration to all implications of deleting an animal. For example, if a newborn calf dies, yes, you can delete it, but realize that the mother will no longer get credit for having a calf that year.

Another example, you sell an older cow that is the mother of several calves still in your herd. If you delete the cow, the pedigrees of her calves will dead-end at the mother's generation. In both of these examples, it would be better to simply make the specific animal Inactive. By this method, the animals will still exist and provide complete information for their ancestors and progeny, but they will be excluded from pens and activities which are limited to active animals only.

To use this process, simply open the animal you wish to delete, then select Animal | Delete. You will be asked to confirm this process.

If you then choose Yes, the animal will be completely erased from your system. It will be as if the animal never existed. Reserve this process for animals that are either duplicates or were mistakenly added for some unknown reason.


Pen menu

In the real world, you generally work with animals in groups, even if it's just a couple of animals at a time. The same is true for computerized record keeping and in the case of AIMS, those groups are referred to as Pens. The concept of Pens is very important and very extensive—we recommend you spend plenty of time reading and understanding this section.


Pen Commands

Pens are the foundation of handling animals in AIMS. Throughout AIMS, pens are used to organize animal data, much like pens (or corrals, or pastures, or whatever you want to call them) in the real world are used to organize the actual animals.

By default, AIMS has a "pen" named All Animals. Technically, it is not a pen like the pens you will create. However, for all practical purposes, All Animals is a pen of all the animals in the system and from now on, it will simply be referred to as a regular pen.

The pens you create should help you organize the animals for data entry, on-screen viewing and reports. Unlike the real world, in AIMS an animal can exist in more than one pen, or it may only exist in the All Animals pen. For example, you may have one pen called Females-All, which as the name implies, includes every female in your herd, presumably only the active ones. Additionally, you could create a pen called "Heifers" and "Mature Cows" which essentially splits up the other pen into two groups.

AIMS also allows you to use up to 20 characters, including spaces, for the pen's name. It's recommended that you develop some type of system to take advantage of the longer names and pen name sorting. For example, start all pens that are females with "Cows-" and then add something specific about the pen such as "Cows-1st Calf", "Cows-Mature", "Cows-Sale", etc. Or perhaps you want to organize them by year "99-Cows", "99-Calves", "99-Breeding", etc. These examples use the hyphen as a separator, but feel free to simply use a space, or other character.

All of the Pen commands, shown in this diagram, are described in each section, below the diagram.

Create Pen
Open Pen
Save Pen As
Move/Copy between Pens
Edit Members
Sort
Basic Info
Reselect Pen
Remove Pen
Delete All in Pen
Pen Maintenance
Tab Buttons
Save Sort Order
Create Pen of Progeny\Dams\Sires
Breeding Data
Rename Pen
Quick Pick


Create Pen

By clicking on Pen, then Create Pen , you can start the process to create a new pen. This is a fairly common operation so an icon is provided as shown here:

The process to create a new pen will be described in the Creating a New Pen section.


Open Pen

To open an existing pen, click on Pen | Open Pen or use the following icon:

A Select Pen window will appear with all of the currently active pens displayed in alphabetic order. The All Animals pen will always listed first due to its unique nature and extensive use. Once the window is open, you can either double-click on the pen you wish to open, or highlight the pen and then click on the Select button.


Save As

Save Pen As

Essentially, the Save Pen As command provides a way to make a copy of a pen. To use the Save Pen As, simply open an existing pen, then click on Pen | Save Pen As and a window will open where you can provide a new Pen Name. Once you have entered the name and other information, click the OK button and you will have a new pen with the same animals as the original.

Making a copy of a pen with Save Pen As could be used when you need a new pen that is very similar to an existing one. Perhaps you have a pen of calves that you want to keep together for registration purposes, but you need to sub-divide it in order to make weaning contemporary groups. Or maybe you have a large pen of cows that needs to be split into two groups based on their pasture location.

The copy of a pen will have the same selection steps which means you can go back into the steps to make modifications for the revised pen, whether it's the original or a copy. (See Reselect for more information on using pen selection steps.)


Create Pen

Move/Copy Between Pen

You may find it easy to move and copy animals between pens rather than adding animals to pen.
Open the pen in which the animal to move or copy is present. Then choose Pen | Move/Copy Between Pen, which will open the following window.

The animals in the selected Pen are listed as Pen A.
Select Pen B: Click this button to view the list of Pens and select the Pen to which the animals to be moved or copy. You can also move/copy animals from and to both the pens.

Select the animal(s) from the pen list and use the following buttons.

Move to Pen B>>: To move the selected animal(s) to Pen B.

Move to Pen A: To move the selected animal(s) to Pen A.

Copy to Pen B>>: To copy the selected animal(s) to Pen A. The animal will be present in both pens.

Copy to Pen A: To copy the selected animal(s) to Pen B. The animal will be present in both pens.

Click OK/Apply to save the changes made.


Create Pen

Rename Pen

This option helps you to rename the pen name easily.

Open the pen to change the name and its other details. Then choose Pen | Rename Pen , which will open the following window.

All fields are in edit mode. Make changes as required and click OK/Save.

To make the pen default pen, click Default pen when AIMS opens button.


Edit Members

Add/Remove Members

Once you have created a pen, you may wish to add or remove animals from the pen. Click on Pen | Edit Members and a window will open for adding and removing animals. This screen is similar to the screen used to create new pens which will be described below. In general, you can click-and-drag animals into or out of the pen, or use the various buttons after selecting animals (see below).

You also have the option to filter the Remaining animals by Active Animals Only as well as by Sex. And don't forget that a right-click on any tattoo/tag will open an animal popup window to get more information about the animal - this will help clarify which animal is which when deciding if it should be in the pen or not.


Create a Pen of Progeny/Dams/Sires

The Create a Pen of Progeny/Dams/Sires feature was added to AIMS in order to facilitate easy penning of the progeny of selected dams. First, you must create a pen of the cows you wish to use, open that pen, then go to Pen | Create a Pen of Progeny/Dams/Sires. The following screen will open.

For advanced flexibility, you have several options on how to proceed.

Selection Options

Any calves by these dams - Finds any calves in the AIMS database where the Dam Tattoo field of the animal is a dam in this pen.

Only most recent calf of each dam - Finds only the youngest calf in the system for each dam.

Only most recent calf within specified years - Using the number in the numeric field, AIMS will go back the designated number of years to find the calves. For example, you could find all calves out of each dam for the last three (3) years.

Include Dams
Do Not include dams in new pen - Choose this option if you only want the calves in the new pen.

Only with calves - Use this option to include the calves and their dam, but only if the dam has progeny being selected.

With or without calves - Include dams in the pen even if they don't have any progeny being selected.

New Pen's Name - The new pen, by default, will be the original pen's name with a hyphen (-) and then the word "Progeny" appended to the end. This is not required, you are free to replace the name with any pen name you desire as long as it is unique within your AIMS database.

New Pen's Category - Simply enter the Category you wish to enter for the new pen.

Open when created - After all of that, you have the option to open the new pen -- after clicking the Create Pen button -- when the appropriate records have been gathered up for the new pen.


Create Pen

EPDs – All in Pen

This option helps you to view the EPDs of all the animals in the pen together.

Open the pen to view the EPDs and choose Pen | EPDs – All in Pen.

To print the EPDs click Print.


Reselect Pen

Once a pen has been created and used, you may find it necessary or beneficial to reselect the pen, especially in cases where several new animals have been added to the system that will now fit the criteria of the selection steps.

Open the pen you wish to reselect, then choose Pen | Reselect Pen, which will open the same windows used to create the initial pen. AIMS pens that have been changed under special circumstances, such as the Additional Animal import, cannot be Reselected and you will receive a message if that is the case.

Selection steps can be changed, added or removed for reselecting the pen. Simply make the appropriate changes, then select Next, fine-tune the members if necessary then click on Create Pen to finish the process. You can also change the pen name, sort order and comment before finishing the reselect process.

Why Reselect?
Let's say you made a pen of 20 new calves half-way through the calving season based on a range of birth dates. Then, using the Calving tab for the pen of cows, you added 10 more calving records. When you go back to the pen of calves, there will still be 20 calves. To get the new 10 in the pen, simply go to Pen | Reselect Pen and use the existing steps. Assuming the new 10 are also in the date range, they will be added to the pen. Note: Reselect will not happen automatically since there could just as easily be cases where you do not want the 10 new calves in the pen, even though they fit the criteria of dates.

Why not to Reselect?
Now let's say you have a pen of 15 two-year old cows that you want to pen for breeding records. You make a pen based on birth dates (plus sex=C and active=yes, etc.) With these steps, you end up with 22 cows - seven need to be taken back out (with Add/Remove Members) due to special circumstances. Then, you buy five more two year old cows, add them to AIMS and you want them in the pen. IF you use Reselect, you will get the original 22 plus the new five. In other words, you end up doing the Add/Remove again. Solution: start with the original 15 animal pen and use Add/Remove to add the new five.


Create Pen

Quick Pick

You can use this to quickly mark animals for various things. It will probably be used most as a way to make animals to make new pens.

Choose SET Quick Picks for this Pen (set to Y) to tick the Quick Picks option of all animals in the pen together.

Choose CLEAR Quick Picks for this Pen (set to N) to un-check the Quick Picks option of all animals in the pen together.

CLEAR ALL Qucik Picks will clear all the Quick Picks in the AIMS. A confirmation alert will be shown.


Remove Pen

Occasionally, you may find it helpful to remove pens from the system. It is important to realize that this does not remove the animals from your system, it simply removes the reference to the pen. This is a "clean-up" issue so that you can maintain a reasonable number of pens in your system and get rid of pens that are no longer necessary. As an alternative, you can make a pen inactive - this will be discussed under Pen Maintenance.

After selecting Pen | Remove Pen, a dialog box will appear (see below) to explain what is about to happen and ask for confirmation that this is what you want to do. Click on the Remove Pen button to actually remove the pen reference; click on Cancel to leave the pen intact and not make any changes.


Delete All in Pen

On very rare occasions, you may wish to actually delete the animals in a pen from the entire system. It is very important that you understand the animals will be completely deleted from the system, the same as if you had deleted individual animals with Animal | Delete. If you delete animals, it can affect the progeny or ancestral history of other animals in the system, so it is assumed this will only be used in cases of mistaken animals or animals with no connection to the current herd.

Assuming you have carefully considered the implications, open the pen you wish to delete, then choose Pen | Delete All in Pen. A warning dialog box (see below) will appear and you must confirm your understanding of the process by clicking on the I Understand button before the Delete button is activated.

Very Important - In case you hadn't noticed, this is considered a drastic process and should be done with great care. As a final precaution, you may want to make a Backup of the data before you actually delete anything.


Pen Operations

The Pen Operations group of commands is described in the Pen Operations section.


Pen Maintenance

The use of pens is key to the success of using and understanding AIMS. The Pen Maintenance screen (shown below) allows you to make a pen Inactive - or conversely make an Inactive pen Active again - to better manage your pens and animals.

To make a pen inactive, choose Pen | Pen Maintenance; then select the pen you wish to inactivate. Notice that basic information about the pen is provided in order to remind you of the purpose of the pen and even the animals that are in the pen. Once selected, click on the Make Pen(s) Inactive button, you will asked to confirm the action, then the screen will refresh with those pen(s) no longer displayed.

If you wish to re-activate a pen, simply click on the Inactive Pens option at the top of the screen; this will change the display to only inactive pens, which can then be selected and reactivated with the Make Pen(s) Active button.

Why make a pen inactive versus removing it? Historical pen information may be useful in some cases for recording what animals were in a pen in a previous breeding, calving or weaning season. This feature will even keep track of animals that were in the pen, but are no longer in the AIMS system. It is recommended that pens be made inactive only if they serve a historical purpose - if you are done with the pen, get rid of it with the Remove Pen.


Sort

The Sort command offers a fairly sophisticated way to sort existing pens of animals. It allows you to change the order of the animals depending on the type of records you are entering or reporting. The details for using this function will be described under Sorting Animals in a Pen after a pen has been created.


Basic Info

When you create a pen, you enter basic information such as the Name of the pen, Default Tab and a Comment . This information can be changed at any time by clicking on the pen name on the main screen. ( see image below -- right-click on the word "SIRES"). The following window will be displayed. Once you have the window displayed, change the appropriate information and then choose the OK button to save.

This window can also be accessed by right-clicking on the pen name on the main screen (see image below -- right-click on the word " SIRES ").

Default pen with AIMS opens
As the label says, clicking this button will set the current pen as the pen to initially open the next time AIMS is started. The pen can also be set under Tools | Default Options, Initial Pen ; this button simply provides a shortcut.

Pen Category


Pen Category

The Pen Category field acts as a second level of information to sort pen lists. By default, AIMS sorts alphabetically on the pen's Name field. However, after extensive use of AIMS, and especially if you add many pens, it may become helpful to sub-sort the pens by their basic function, or what AIMS calls a Category

Here is a group of pens sorted by the default -- the Name field.

To sort the pens by their Category, simply click on the 'Category' header; doing so re-sorts the list as follows.

The list of pens can actually be sorted by any of the headings (Category, Name, Count, Tab Page and Comment) and a second click will reverse the order.

Adding Categories to existing pens
The Category can be added when the pen is created, however, you may wish to add or change this information at a later time. You can simply right-click on the actual pen name (above the pen list) or go to Pen | Basic Info. See the Basic Info section for details.

Note: Be careful to type categories with exact spelling so that the results are not incorrectly sorted.


Save Sort Order

The section Order of Animals describes how to sort a pen of animals by columns displayed in the All view. However, as noted, that new order is not automatically saved. If on the other hand, you do want to preserve that order for future use of the pen, simply choose Pen | Save Sort Order.


Breeding Data

AIMS Breeding Data
The Breeding Data item under the Pen command provides sub-commands that will help submit breeding data. See the Misc/AHIR Group in the Breeding Tab section for more information.

Sire Dates
Update Season Year


Sire Dates

Submitting breeding records includes the necessity for accurate sire information, in other words, what sires were exposed to the pen of cows being submitted. To begin the process of submitting Sire Group information, create a pen of all sires exposed to a pen of dams; this will become the Sire Group for further processing.

Choosing Pen | Breeding Data | Sire Dates opens the window shown below. The sires and their date information will be added to the sire_groups table; this pen name will later be used as an entry for the Sire Group field in the Misc/AHIR Group on the breeding tab. An error screen will appear if you try to perform this operation on a pen that has one or more cows in it.

All of the sires are listed in the left side of the window. Each sire can have different dates according to when they were exposed to the cows. However, there will likely be commonalities between most or even all sires.

Apply first IN date to all sires
If all sires in the pen (also known as the Sire Group) have the same pasture in date (Date In), enter the appropriate date for the first sire in the pen, then click this button to apply the same date to all sires.

Apply first OUT date to all sires
Same principle as IN date, but duplicates the first Date Out.

Duplicate Selected Row
If a sire was taken out of the pasture for a time period and then later returned to the pasture, the gap will need to be noted. To do so, select the row with the appropriate sire, then click the Duplicate Selected Row button. As you would expect, the selected row is duplicated and then the updated dates can be added or edited.

Remove Selected Sire Row
Sire rows can be removed if the sire was not actually in the pasture or a mistaken row of data was added.


Update Season Year

The Season Year field in the Misc/AHIR Group on the Breeding tab is used when submitting breeding data to the Association. If previously recorded breeding records are to be submitted, this command can be used to do a mass update for the field throughout the pen of dams.

To update the records, simply click Pen | Breeding Data | Update Season Year and AIMS will update all existing records for the selected pen. AIMS will find the lowest numbered year within a season and use that for the Season Year field.


Pen Operations

Another way to take advantage of the use of pens is through Pen Operations. The pen operations are a series of processes that can affect some or all of the animals in a pen. For example, you can set the weaning date for an entire pen and have AIMS automatically insert that date each time you move to a new animal in the pen.

Pen Update
Applies only to User Fields and the Active (Yes or No) field for each animal.

Pen Operations - Single Record
Only applies to areas where exactly one record is present (or where only one can be added if necessary). For example, an animal can only have one weaning record, so this operation can update that single record.

Pen Operations - Multiple Records
Some aspects of AIMS allow multiple records per animal -- for example, an animal may have many medical procedures. This operation allows the addition of multiple records to any animal in the database, although it can only apply to the animals in the selected pen.


Pen Update

Pen Update allows you to change a User Field to a specified value for some or all of the animals in a pen. You can even set AIMS to ask for confirmation to change the value or not for each record.

To update User Fields, open the desired pen, then choose Pen | Pen Operations | Pen Update. (See below)

As an example, let's say you want User Field 1 -- which has been renamed by a user to "Pasture" -- to be "North" for all animals in this pen because you have moved all of the animals to the North pasture. Enter "North" in the first user field and then choose one of the following options:

Overwrite - Choosing this option will put the new value into the user field for every animal in the pen, even if it already had a value.

Prompt First - Choosing this option will have the system prompt you before overwriting any existing value. If the field is empty, the new value will be inserted without asking for confirmation.

Ignore - If Ignore is chosen for a particular field, any new values will be ignored - in other words, nothing will happen, even if you have a value in the user field.

So, if you enter North as the user field, choose Overwrite and then click on Apply To All In Pen, you will be asked to confirm the process and then every animal will receive North as the user field without regard to previous entries in that field. On the other hand, if you use Prompt First and the system finds a value in the field, AIMS will ask you to confirm each value. You will be shown the previous and new values as a part of the confirmation process.

If you wish to blank out a user field, you can blank out the value of the user field and then use Overwrite or Prompt First before applying to all. A special confirmation screen will appear to double-check that you wish to blank out all fields.

The Pen Update feature also allows you to change all of the animals to active or inactive (Yes and No respectively) for the entire pen. Again, you can set the option to Overwrite or Prompt First. This is handy for cases where all animals in the pen have been sold and you wish to make them all inactive for future processing.


Single record

The second group of Pen Operations are together because they can only update the one existing record for an animal. The operations are Carcass, Weaning, Yearling 1 and Yearling 2. In general these all work the same so they will be discussed as a group.

In most cases, these processes work best, and are used most, when new data is being added for weaning or yearling weights. Start the process by opening the pen of animals to be worked on, then immediately go to Pen | Pen Operations | Weaning (or Yearling, etc.). Here is the weaning update window.

The weaning update screen is typical for these types of records.

Although many fields can be entered as defaults (see the appropriate screens for specific information), Weigh Date will probably be the most commonly used field. Enter the date to be used as the default, then click on Set As Default, which establishes it as the date to be used throughout the pen. You also need to select one of the options for how to handle the new data, as described below:

Overwrite - Choosing this option will put the weigh date in the Weigh Date field whether or not there was a previous date, without requesting confirmation. An empty field will be overwritten automatically.

Prompt First - Choosing this option will have the system prompt you before overwriting any existing date. If the field is empty, the new value will be inserted without asking for confirmation.

Ignore - If Ignore is chosen for a particular field, any new values will be ignored - in other words, nothing will happen, even if you have a value in the field.

Other fields, respective to their title, can be similarly set with the same type of considerations as the Weigh Date. You can also use the Apply To All In Pen for any field to set the values before going into individual animal records.


Multiple records

The last group of items under Pen Operations specifically add new records to each animal in the pen. These items include Breeding, Income/Expenses, Medical, Sales and Ultrasound records. All of these processes work alike, only differing in the specific fields that will be defaulted according to your data entry. Only fields that "make sense" to update as a group are included.

The following screen shot is from the Medical update window, which operates much like the Income/Expense, Sales and Ultrasound operations. (The Breeding operations are discussed in the Breeding tab section.) Only the Medical operation will be described here -- apply the same principles for the other operations.

The Prompt First box allows the system to prompt you for each animal before a new record is added; this allows you to skip animals that are in the pen that did not receive the particular procedure.

The other fields will change depending on the operation being used (Medical, Income/Expense, etc.). Simply enter the desired information and then use the Apply To All In Pen button to finish the operation. A dialog box will open to confirm the process is complete.


Breeding operations

The Breeding operations have another level of menu commands:

Breeding Records
The first item under Pen | Pen Operations | Breeding is the more typical Pen Operation where breeding records can be added to each animal in the pen. The specifics are described in the section for Entering Multiple Breeding Records.

New Season for Pen
This operation provides a way to increment every cow in the pen to its next season number. This can be done individually for each cow by using the New Season button on the breeding tab, however, this method is much quicker when starting a new season for the entire pen.

Choosing this operation opens the following dialog box:

Enter the appropriate four-digit, numeric year to be used for each cow in the pen. Each cow may be on a different numbered season (1, 2, 3, etc.) but this will use the same Season Year for all cows.

The Season Code has the following options:
0 - All other bred dams
1 - Spring Herd
2 - Fall Herd
3 - Single Season
Select the appropriate value for your herd, then click the New Season for All in Pen button to complete the operation.

Preg Check Date
This operation allows the user to apply the same preg (pregnancy) check date for every cow in the pen. After choosing Pen | Pen Operations | Breeding | Preg Check Date, the following dialog box appears:

Enter the appropriate date (a right-click will use today's date) and then choose the Enter Preg Check Date button to add this date to all cows in the pen. Note that the new date will overwrite any existing date(s) and that you can blank out all dates by using 00/00/00.


Frame Scores

AIMS provides a way to manually update all frame scores for a pen of animals. This update includes all three possible frame scores -- weaning, yearling 1 and yearling 2 -- providing there is appropriate data available. The Frame Score formula needs the sex, days old and the height at the weighing. See the Frame Score section in Formulas for the actual formula.

To update the frame scores, open the specific pen you wish to update, click on Pen | Pen Operations | Frame Scores and you will open the following dialog box:

Select the Frame Score you wish to update, or select the option for All Three and then click Update Frame Scores. A confirmation window will appear after the frame scores have been updated.


Creating a new pen

There are three ways to start the pen creation process; click on the new pen icon, use File | New | Pen, or use Pen | New. It doesn't matter which method you use, they all end up at the same screen - Creating a Pen - Step 1. (See figure below)

Creating A Pen - Step 1 (The example was condensed and slightly re-arranged to conserve space.)

Step 1 - Create Selection Steps
The first process is to create a series of selection steps that will determine what animals belong in the pen. The computer will compare every animal in the database against the selection steps and either the animal fits the criteria and is in the pen, or it isn't. The trick is to give the computer enough steps to understand what animals you want in the pen.

Before you can begin the pen creation process, have in mind what animals you want in the pen. In this example, we will make a pen of active cows born in 1997.

The data for AIMS consists of 29 tables and within these 29 tables are 439 fields. Any of these can be used to create the pen selection steps. By default the first table is angus which contains the most common fields for animal identification (tattoo, tag, sex, birth date, etc.) For our example, we will only need fields for sex, active and birthdate, all of which are in the angus table.

Step 1a - Determine Search Field/Column
Click in the Column field or the down-arrow at the end of the Column field, and the available fields for the angus table will be displayed. Since we want cows, click on the 'sex' field. Looking ahead, we will want 'C' as our value for cows, so the Operator needs to be Equals - click in the operator field and select Equals. Finally, put a 'C' in the Value field to select cows (all females are stored as 'C', i.e. there is no 'H' value for heifers).

We could go to the next screen at this point and we would get all cows, but that isn't our original definition of the pen, we need more refinements. Algebraically, we want this step connected to the following steps with And, so change the Logical operator to And; this will automatically add a new step.

Step 1b - Enter Search Value
We want our pen to only include active cows, so change the Column to 'active'; change the Operator to 'Equals' and the Value to 'Y'. Again, we could stop adding steps here, but we still have more, so change the Logical operator to 'And' to finish this step and start the next one.

Although the Value field can be filled in manually from the keyboard, AIMS will also provide a list of the possible values simply by clicking on the Insert Values button along the right side of the window. Once this is clicked, re-click on the down-arrow of the end of the Value field and all possible values will be available to click. This isn't necessarily the perfect way to find values since fields like 'birth_date' and especially 'tattoo' will create a very long list.

Step 1c - Enter Remaining Steps
Now we need to add two steps to define the range of birth dates we want in the pen. Change the Column to 'birth_date' and the Operator to '> Than or Equal' (read as greater than or equal to). Our first date for the Value field is '01/01/97' (which can also be entered as '010197'), but that's not enough, we also need an ending date, so change the Logical operator to 'And' to add one more step.

The final step is also a 'birth_date', but the Operator is '< Than or Equal' and the date is '12/31/97'. At this point, you should not change the Logical to 'And' nor should you click on Add Step. You are done adding steps for this example, so click on Next at the bottom of the screen to move on to step 2.

What we've done so far...
· These steps could have been entered in any order, especially since they are all connected with AND; more complicated pen selection steps may involve OR as the Logical connector so order may be relevant.

· Two of these steps could have been added automatically with the "Auto Add Step" buttons along the right side of the window.

· You can test the selection steps at any point to see what you have done so far by clicking on Next. If you don't like the results, or have more to do, simply press Back to return to step 1 and add more selection steps.

Notice that there is also a group of Auto Add Steps which will automatically enter the respective steps. These are simply provided for convenience.

Step 2 - Final Selection of Animals
The screen for step 2 (shown below) includes two windows: the remaining animals who did not meet your selection steps and the number of animals in the new pen. Step 2 allows you to fine tune your selections by moving individual animals into or out of the new pen.

Creating A Pen - Step 2 (The example was condensed and slightly re-arranged to conserve space.)

Moving animals
Sort
Pen Info


Moving animals

To move animals into or out of pen, simply click on the animal, hold down the left mouse button and drag it to the other window. When you let go of the mouse button, the animal will be "dropped" into the other window. Depending on which way you drag, the animal will be put in or taken out of the new pen that you are working on.

You can also select one or more animals and then use the Add-> or <-Remove buttons; this is especially useful if you are moving multiple animals. You also have buttons to Add All or Remove All, although this probably won't be used very often.

If you are unsure about who an animal is, simply do a right-mouse button click on the animal's tattoo to see the general information window about that animal. You can also sort the remaining animals by other fields to make it easier to find and select animals. Simply change the Sort By field under the remaining animals window; and if necessary, change the order to Ascending or Descending. More details are in the section on sorting animals in a pen.
Specific animals can be located in the remaining window by using the Select Tattoo field. This helps jump to the desired animal in long lists.

The remaining animals can be limited to active animals by checking the Active Animals only option.


Sort group

The new pen of animals can be sorted by one of four fields (tattoo, tag, birth date or sex). This is only an initial sort that can be fine-tuned in a different process which will be discussed in the sorting animals section. You can also change to Ascending or Descending for the sort field you choose.


Pen Info group

After selecting the animals for a pen, you need to provide a Pen Name. The name should reflect what animals are in the pen and have some type of system to take advantage of alphabetic sorting of the pen names. The pen name can be up to 20 characters long although some display screens may display less than 20; therefore, it is recommended to be brief, but not cryptic.

The Category is used as a second method to sort the pens, rather than just alphabetically on the pen's name. See the Pen Category section for details and an example

The Tab Page is used to determine what tab is automatically opened when the pen is opened. This can easily be changed later if desired.

The Comment can be used to describe more details about the purpose and content of this pen. The comment can be up to 255 characters long.

When everything is to your liking, you are ready to click on the Create Pen button. When the pen creation is complete, the pen will be opened to the appropriate tab.


Sorting animals in a pen

The pen creation process allows a preliminary sort which can be the final sort. However, you can refine the sort order to use any basic identification field or you can place them in the pen one animal at a time in any order you want.

Start by opening the pen to be sorted, then go to Pen | Sort. The Sort Pen window will appear (see below) with animals sorted according to the initial pen creation order (or by previous "fine-tune" sorts). The goal of this window is to move animals from the Preliminary (left) window to the Final (right) window in the exact order you want the animals to be displayed and/or printed in the future.

If it is a simple sort on any of the four ID fields (tattoo, tag, sex and birth date), simply click on the label at the top of the column and the animals will be sorted by that field; click the label again and the order will be reversed. At this point, you can click on the Add All button to move all animals to the final window.

Multi-level sorting
If a single level sort using the column labels is not enough, you can also use the two sort criteria options below the preliminary sort window. These also provide more sophisticated sorts for tattoos and tags involving extensions and alphabetic characters.

The custom sorts described below are not available as the 2nd Sort Criteria.

Basic Sorts
The fastest sorts can be performed using tattoo, tag, birth date and sex. However, tattoo and tag may not yield expected results if they involve extensions (on tattoos) or alphabetic characters. For example, a human would sort 04 in front of 005, but this basic tattoo sort will but 005 first since the second character of 005, the 0, is less than the second character of 04.

Finishing a Sort
Once you have determined the sort field/type and you have chosen Ascending or Descending, simply click on the large Preliminary Sort button to execute the sort. At this point, the animals are probably in the order you want (if not, keep changing the criteria and/or sort field, then retry Preliminary Sort) and you are ready to finalize your choices. If the animals are in the exact order you want, click on Add All and they will all be moved into the final sort order window. Press Ok and you're done.

However, if you still need to tweak the order, or if the sort criteria options don't provide the fields you want to use for sorting, you have ultimate control over the order by either clicking and dragging the animals into the final sort window. You can also select one or more animals in the Preliminary window and then use the Add button. And as you can probably see by now, you can Remove animals if they got in there too early.

When you have finally achieved the desired sort order, click on Ok and the order will be saved for the entire pen. This sort order is used for both display purposes and reports.

Summary of Sorting
When you create a pen, you have basic control over the sort order, and that might be enough. However, if you need a specialized sort, or wish to change from a previous sort order, simply go into the Pen | Sort screens and establish your preliminary sort order, either using the column label buttons or the first and second sort criteria. Finally, you can click and drag (or Add/Remove) animals into the pen in the final order you desire.

Custom Sort Fields


Custom sort fields

Three fields are provided to act more like how humans prefer to read tattoos and tags, not just how the computer sees them. The word 'custom' simply means they were custom-designed for AIMS users.

Custom Tattoo
AIMS has taken steps to "teach" the computer how humans like to read these tattoos. Custom Tattoo is the most sophisticated method to achieve this, however, it is very intense so it can take a while to accomplish, especially on slower computers. Therefore, a "Fast Custom Tattoo" option is provided and described below. Note: Most computers are now more than fast enough to handle this option and Fast Custom Tattoo may not be as necessary.

Custom Tattoo takes into account as much as possible about the tattoo, specifically the numeric value of the characters, which may or may not be letters, as well as the existence of extensions. So, in the example of 005 being sorted before 04 described under Basic Sorts, the Custom Tattoo will put 04 before 005 as we humans read them numerically. Letters are also taken into account; for example, 14R9 will be sorted using the 14. In other words, the number is calculated up to the position of the letter. And finally, extensions are stripped off for purposes of sorting up to the hyphen.

Fast Custom Tattoo
As the name implies, this a faster version of the Custom sort, however, to increase speed, it takes some shortcuts with letters and extensions in tattoos. You will usually need to experiment with these options to see which one works best under your circumstances.

Custom Tag
The tag field also presents the problem of letters mixed in with numbers, but it does not have the problem of extensions, so this is a hybrid of the two tattoo sorts.


Customer menu

The Customer menu command gives you direct access to the Customer Manager portion of AIMS. (It is also accessible in several places throughout AIMS such as Sales tab for an animal). See the Customer Manager section for detailed information.


Reports menu

The Reports menu contains reference to all available reports as well as any custom reports you have created or added. Complete information on reports is presented in the Reports section.


Tools menu

Like many Windows-based programs, the Tools menu contains many "nuts-and-bolts" types of operations. Here is the entire Tools menu along with links to the discussions of each.

Weights
Comments
Bookmarks
Quick Find
Medical Procedures
Inc/Exp Descriptions
National Sire Evaluation
Defects
EPDs - All In Pen
Date Converter
Default Options
Find Duplicate Regnums


Weights

AIMS provides the Weights screen as a way to enter multiple weights for an animal above and beyond the typical weights such as birth, weaning and yearling. By using Tools | Weights, you have access to a screen for as many weights as you want. Simply choose Add and you will see the screen shown below.

Enter the information as desired and then pick where you want to go next-the Previous Animal or Next Animal or another weight record for this animal (New Record). It is not necessary to enter Birth, Weaning, Yearling 1 or 2 weights as they will automatically be added to the Weights information after they have been added to their respective AIMS tabs.

Other buttons on the main Weights screen include:

Remove - allows you to select and remove a weight that is incorrect or not needed.

Graph - provides a quick line chart graph of all weights for the selected animal.

Pen View - allows you to specify a date range so that you can view only specific weights for all animals in the pen. It is recommended that you limit the date range, especially in large pens, to avoid heavy processing chores for the computer.

Prev Animal - clicking this button or using Alt-V will move to previous animal in the pen.

Next Animal - clicking this button or using Alt-X moves to next animal in the pen.

Save - saves the data for the current animal.

Close - closes the Weights screen.


Comments

Comment fields are available throughout AIMS. Each comment will allow up to 255 characters except for the Master Comment on the General tab which will accept approximately 32,000 characters. By going to Tools | Comments, you have read-only access to all comments throughout AIMS. This screen is actually a report -- it can be printed for the current animal, but new or additional comments cannot be added/edited here.

The Comments window is shown below, however, no comments have been added to this animal.


Bookmarks

Perhaps on of the least-know, least-used features of AIMS is bookmarks. The feature was added to simulate the ability to have multiple pens/animals open at one time -- which technically is not possible. The Bookmarks feature is similar to how a web-browser has a "Back" button to go to the previously viewed page.

To open the Bookmarks window, use Tools | Default Options | Bookmarks or press Ctrl-F1, and the following screen will appear:

Once the Bookmarks window is open, it will add the tattoo of each animal you are working with as we you leave that animal to go to another pen. So using the animals from the example, let's say you're now on 414 and want to go back to 313 in the Cows pen, you simply hold down Ctrl and press F1 until 313 is highlighted; when you let go of the keys, AIMS will go back to 313 in the Cows pen.

Alternately, you could highlight the animal you want and then click the Select button. Other buttons are also available to Add the currently selected animal (from the main body of AIMS) as well as Delete the currently selected row (in the Bookmarks window).

The Bookmarks window is designed to be small enough to fit in the upper-left corner of the AIMS window, above the Pen listing. Since the Bookmarks rows don't actually need to be seen to work, you can make it even smaller by clicking on the Hide button. The button will switch to Show so that the window can be restored.

Note: The concept of Bookmarks isn't the easiest thing to describe in words; you'll probably need to experiment with the concept to get used to the intricacies.


Quick Find

The Quick Find screen is another way to quickly locate animals, especially if you know the exact identification information and don't want to take your hands off the keyboard simply to use the mouse and locate animals. This window is also accessed by pressing Ctrl-Q. To use the screen, simply key in the tattoo and press Enter - which actually selects the Find button. Assuming the animal does exist in the current pen, AIMS will take you to the first field on the current tab.

Quick Find will also search for tags by clicking on the down-arrow for the Type field and changing the option to Tag. AIMS has also added some functionality for using Electronic ID (EID) systems which incorporate hand-held and stationary readers. In order for the Quick Find to work with EID, the number must already be entered in the Electronic Id field on the General tab. Once that is done, the Type field can be changed to Electronic Id and then be used with hand-held scanners. (See the specific information for EID in the General tab section).

The Quick Find popup can be placed anywhere on the screen so that important information will not be covered up on various screens. It was specifically sized to fit in the area above the Pen List in 800x600 screen resolution.


Medical Procedures

The master list of Medical procedures is stored in a file called medical.txt in the c:\aims20 folder. Entries can be added or deleted as a way to manage an active list of procedures. AIMS comes "pre-loaded" with a list of procedures setup by a veterinarian, but that should not limit your creativity to change the list. To access this list, click Tools | Medical Procedures.

As the buttons imply, you can click the Add button to add a new row for a new procedure (the limit is 40 characters). At first, the new row will be added to the end of the list, but once the list is refreshed, it will be placed where it belongs alphabetically.

Procedures can also be deleted from the list. However, this does not delete them from any animals with that procedure already stored.

Items can also be added while you are actually adding the procedure to an animal simply by typing in a new item. Once you click Ok/Close to add the procedure to the animal, a confirmation screen will come up -- answer Yes to add the new item to this procedure list. If you answer No to this final confirmation, the procedure will be added to the animal, but not to the master list.


Inc/Exp Descriptions

The master list of Income/Expense descriptions is stored in a file called incexp.txt in the c:\aims20 folder. Entries can be added or deleted as a way to manage an active list of descriptions. Unlike Medical Procedures, this list does not have any entries when AIMS is installed. It is up to you to add and otherwise manage the list of descriptions you will use. To access this list, click Tools | Inc/Exp Descriptions.

As the buttons imply, you can click the Add button to add a new row for a new description (the limit is 40 characters). At first, the new row will be added to the end of the list, but once the list is refreshed, it will be placed where it belongs alphabetically.

Descriptions can also be deleted from the list. However, this does not delete them from any animals with that description already stored.

Items can also be added while you are actually adding the description to an animal simply by typing in a new item. Once you click Ok/Close to add the description to the animal, a confirmation screen will come up -- answer Yes to add the new item to this procedure list. If you answer No to this final confirmation, the description will be added to the animal, but not to the master list.


National Sire Evaluation

The National Sire Evaluation (NSE) database is included with installations of AIMS. By using Tools | NSE, you can access a search engine which mimics the NSE version on the Internet (www.angussiresearch.com). See the NSE section for instructions on how to use and update the NSE database.


Defects

A defects screen is available under Tools | Defects or the "D" icon (see below).

Like User Fields and EPDs, this is a floating screen (see below).

Defects can be edited on this screen as indicated. Due to the limited need for access to defect information, this is the only location for Defects.


EPDs - All In Pen

Most of the time, EPDs are viewed one animal at a time by use of the EPD screen (see the EPDs section for details) or perhaps as a part of a standard report. However, you may wish to view all EPDs for all of the animals in the pen. By clicking on Tools | EPDs - All In Pen you can open the following window which, as the name implies, displays all EPDs for all of the animals in the current pen. (The example has been resized to fit and therefore does not show all of the data, but scroll bars are available.)

The information can also be printed simply by clicking on the Print button.


Find Duplicate Regnums

Like a cluttered desk, over time, AIMS may end up with some things that need to be dealt with. One of those things is duplicate registration numbers. The situation where multiple records can have the same registration number could appear due to multiple imports of additional animals, human error or coincidence. To check your AIMS database for duplicates, simply click on Tools | Find Duplicate Regnums and if any exist, the following screen will appear.

The Tips section as well as the buttons provide methods to deal with the situation.

Tip 1: Click on the animal
To start the process of correcting the problem, simply click anywhere in the section for the animal you want to work with. The following screen will appear.

Tips at the bottom suggest the next step:

1. "Right-click on the tattoo field to view the Animal Info screen; use Pedigree tab to find most-complete record." As the description implies, this will open the basic Animal Info screen so that you can determine more details about the selected animal. You are trying to determine which animal to keep versus which one to delete.

2. "Select animal to KEEP (it will be bold-faced) and click the Combine button. NON-selected animals will be deleted." This is the step to get ready for the Combine button; simply select the animal you are going to keep.

Combine all progeny to selected animal
This button does exactly what it says. Any progeny associated with the other duplicate will be re-assigned to the selected animal, and then those now-unused animals will be deleted. Important: they are deleted, not changed to Inactive.

Tip 2: Right-click for Animal Info popup
Before you select the animal combination you wish th work with, you can get more information by using the basic AIMS Animal Info popup, simply by right-clicking the desired animal.

Make New Pen
This button simply creates a new pen of all the animals found to have duplicate regnums. By penning the animals, you can determine your own solutions rather than use the Combine step from above.

Print
As a separate issue, or in combination with features from above, you can simply print out the contents of this window.

Progeny Information
The columns for "Progeny as Sire" and "Progeny as Dam" can help you make the determination of which duplicate is "less important" meaning that it was more likely the mistaken animal and/or it is the lesser-used animal. Although unusual, it is possible that the particular animal has progeny numbers under both columns. This situation has happened because that tattoo is the entry for Sire Tattoo and Dam Tattoo on one or more animals (calves).

Final Note: The duplicate regnum process is performed any time you start the Import process. If duplicates are found, a warning message will appear. Since registration numbers are very important and useful when importing data, this pre-check is performed before continuing the Import process.


Date Converter

During the development of AIMS, the programmers found they often needed to calculate the difference between two dates in order to test certain functions of AIMS. Sure it's easy to estimate differences using 30 days per month, but when you want it exact, it gets tricky. So, the programmer developed this little utility to help. To access the features, click Tools | Data Converter or click Ctrl-F2 -- the following screen appears.

There are actually two functions on the same window. In the upper group, you can enter two dates then click the Calculate button and it will provide the Days Difference.

The lower group provides a way to enter a Start Date then either the number of days Before or days After you want to know. Click on Calculate again and it will figure the Final Date.

Clear simply clears any values you have entered and of course, Close closes the window.

Tip: Use a right-click of the mouse in any of the date fields and today's date will be automatically entered. Also, this is a small, floating window so that you can place it anywhere on the screen while you do normal AIMS operations.


Default Options

AIMS has many features that different users could want to change. For example, do you want the data to automatically save when you change to a new animal, or would you rather have the flexibility to not save changes in cases where you don't want the changes to be permanent? The ability to determine which way you want it is available under Tools | Default Options.

The Default Options window can also be opened with the following icon. Although it's hard to tell, the icon represents a hand picking something up.

FYI: most Windows programs have this type of functionality, try searching it out and you'll be surprised what you can change about each program.

The image above shows the entire Program Default Options window. Each tab will be discussed below.

General
Breeding/Calving
Weaning Ranges
Yearling Ranges

Once changes have been made to the respective tab, they can be initiated with either Apply or Ok -- the only difference is that Ok closes the current window. If changes have been made to a tab, but you wish to return to the default settings, simply click on the Defaults button.


General

As the name implies, the General tab of Tools | Default Options contains many of the general-perhaps miscellaneous is a better term-options that can be changed for all of AIMS.

Initial Pen
When AIMS starts, the default -- or Initial Pen -- is named All Animals. Technically this is not a pen, but rather it is a programming technique to display and control all animals. As a practical matter, it is a pen of all animals. The purpose in having the ability to open a different pen is related to speed. If you have thousands of animals in your AIMS system and you have a "slower" computer, you may not want it to open a large pen. Simply click on the down arrow at the end of the field and select the pen you want to be opened by default each time AIMS starts.

You can also set the Initial Pen using the Set As Default Pen button on the Basic Info window for the pen, accessed by right-clicking on the pen name along the left side of the tabs.

Prompt for Saves
This is what was being discussed in the Introduction for Tools | Default Options. Simply choose whether you want to be prompted for saving new data each time you move to a new animal or pen. It's probably a good idea to change this to No after you get used to how AIMS works.

Prompt Records
This is closely related to Prompt for Saves, but affects saving individual records on a single animal. For example, if this is changed to No, AIMS will not ask the "Save" question each time you add records for things like medical, sales, breeding, etc.

Prompt # (All)
With the advent of the spreadsheet view of All Animals, a slower computer may take a long time to draw the screen for large pens. This number determines when AIMS will ask you for confirmation that it's okay to switch to All view. The more powerful your computer, the higher you can set this number. It won't restrict you from changing to the All view, it just gives you a warning that it may take awhile.

Registry Prefix
The Calving and Registry tabs provide a semi-automatic method of naming animals, which will be discussed in more detail in the Registration section. This field determines what characters will be added to the name of the animal each time you press the Prefix button. The characters can also be edited by right-clicking the Prefix button on the Registry tab.

ET Ave Prices
The ET tab includes a method to calculate an average of all embryos collected on a certain flush date. This option allows you to determine whether embryos that still have zero dollars for the selling or asking prices are used in the averages for the flush date. More details and an example can be found in the ET section.

Additional Animals in same pen
When additional animals are added, it is often helpful to send them directly to a designated pen. This setting has two options:

Yes - Puts all added animals into the designated pen; this includes the ancestors of the animals you requested.
No - Still puts animals in the pen, but only the animals whose record had the Active field set to "Y" -- these are actually the animals you requested, even if they are technically not active in your herd.

Example: you request five (5) sires by reg number. The Additional Animal file you receive will actually include 75 animal records -- the original 5 plus 14 ancestors for each requested animal. So, if you set this option to Yes, the pen you designate will get 75 animals; if you select No, it will have five.


Breeding/Calving

The Breeding/Calving tab provides various fields that specifically affect either the breeding or calving season.

Current Pen's Calving Season
The idea behind this option is to provide the ability to determine the start and end dates of a calving season, especially since a season often cannot be stated as a specific calendar year. Simply enter the two dates and AIMS will be better able to determine whether a calf has been born "this season" in a given pen.

The Increment button provides a quick way to increment the seasons by one year. Come back to this screen at the beginning of each breeding/calving year and it will improve the performance of several related screens and reports.

Breeding Range
By default, most likely sires are calculated within an eleven (11) day window, but this option allows you to tighten or loosen this range if that applies to your breeding program.

Default sire type
Determines which sire Type is pre-set when entering new breeding records. Set this to whatever type is appropriate for the majority of records you are adding.

Auto select 'Most Likely Sire' Record
When adding calves, you will be able to select the correct breeding record related to a calf that has been born. AIMS can also fill in the sire tattoo of the Most Likely Sire as computed on the Breeding tab. The Sire Tattoo field can still be changed even if it was "auto-filled" -- this is just a time-saving feature that takes advantage of your breeding data entry.

If this property is set to No, you will need to manually enter the sire's tattoo for the calf record or use the Select Sire button at the bottom of the window after clicking the Add New Calf button.


Weaning Ranges

When entering each of these values on the Weaning tab, you will be warned if the number you are entering is "out of range"; this attempts to keep you from making typos such as 400 inches for the height when you intended it to be 40 inches. This option allows you to set whatever trigger points you want. Note: this does not change the fact that the Association's AHIR program will throw out animals not falling within the original default values. Also, the Calculate button on the Weaning tab will still only use the AHIR normal ranges, not necessarily the ranges on this window.

The Projected Weigh Date option is related to the calculated value on the Weaning tab which shows you the date you should weigh an animal assuming you want to weigh at a specific age. By default, this is 205 days, but as with the other ranges, you may want to target an earlier or later date. Simply set that date in this option.


Yearling Ranges

This is the same concept as the Weaning Ranges - it simply gives you more control over the trigger point for warning messages.


Help menu

The Help file was compiled as a product of the written manual, or vice versa depending on how you want to look at it. The end result is an on-line help file consistent with the typical Windows 7 (and higher) help systems that use the web-based HTML. To access the help file, simply click on Help, then either the Contents, Index or Search tab—on-screen instructions will lead you through the rest of the process.

Also, sometimes different interfaces and features are accessed by clicking on the large question mark icon on the AIMS tool bar.

You can print any or all parts of the help file so that you have printed reference material. Again, this is done with on-screen commands.

Note 1: Newer versions of Adobe Reader are available on the Internet at www.adobe.com

Note 2: The AIMS department intends to occasionally update the on-line Help file so be sure to check the AIMS website (www.angus.org/aims) for more information.


Tab Basics/General Tab

Basics of using Tabs
Tabs were first introduced to the computer world with Windows 95 and provide a great way to organize and display a lot of information. The name "tab" comes from the visual similarity to looking in your file drawer and seeing the tab on each folder, labeled according to the basic contents of that folder. The figure below shows the tabs used in AIMS.

The concept of tabs is very useful in a record keeping system since the program can reuse the same space over and over for related fields of data and a simple click on a tab moves you to a new set of data. Most features in AIMS will fit nicely in the tab area, so the concept is used heavily. In other cases, the data wouldn't quite fit, either due to orientation of the fields or amount of fields, but this is only used in certain cases. The display format on each tab can usually be changed to either a detail or single view, where the whole tab area is one animal, or an All view, where multiple animals are displayed in rows. See the section for All and Single Views for more information.

Each tab will be individually discussed in this chapter in the order they appear in AIMS, which is approximately the chronological order of an animal's life. Keep in mind that information on one tab can be related to, or even the same fields, on a different tab. For example, the name of an animal can be edited on the Calving and Registry tabs.

Access to each tab is as easy as clicking on the tab name although some tabs will be dimmed when the data is unavailable for that particular animal. For example, if the animal is a bull or steer, Breeding, Calving and ET tabs will appear dimmed out and therefore cannot be accessed. As a shortcut to each tab, the function keys correspond to each tab; F1 takes you to the General tab, F2 goes to Breeding, up to F11 for ET.

Once you are on any given tab, you can navigate to the next animal by these methods:

1. Simply click on the tattoo in the pen list of the animal you wish to see.

2. Use Alt-X to move to the Next animal, or Alt-V for Previous.

The Save button is also provided near the navigation controls for specifically saving information that has been changed or entered. The information will be saved as you move to other animals anyway, but this will specifically save it with the click of a button.

General (Gen) Tab
As the name implies, the General Tab includes general information about the selected animal. Most of the fields on this tab are stored in the angus and animal tables.

Most fields on this and other tabs is arranged by "group", which are described below.


General group

Tattoo* - the primary key of the entire system. Every animal must have a unique tattoo within the AIMS system. Since official American Angus Association tattoos can only be five characters long, and since that may not be enough to uniquely identify all animals, extensions are added to animals to make them unique. See the Tattoos and AIMS section for more details. In total, a tattoo can be up to nine characters long. All letters are automatically capitalized. The tattoo is a required field for adding new animals.

Tag - generally considered to be the herd ID of an animal. Limited to eight characters total. All letters are automatically capitalized.

Birth Date - the birth date of the animal. AIMS is "Y2K" compatible, so 00 in the year position is considered to be the year 2000.

Reg No. - short for Registration Number and is the official registration number with the American Angus Association. In May of 1999, the American Angus Association went on-line with a new record keeping system that can assign nine-character registration numbers, so this field is now nine (previously eight) characters long.

Name - the official name of the animal. Limited to 28 characters.

Sire Tattoo* - the tattoo - with extension if necessary - of the sire (father) of the selected animal.

Dam Tattoo* - the tattoo - with extension if necessary - of the dam (mother) of the selected animal.

Sex - the gender of the animal. Only valid values are Bull, Steer or Cow which are stored as B, S and C, respectively, in the angus table.

Active - indicates if the animal is active or inactive in the herd. It is up to the user to determine when or if an animal is inactive, depending on how you wish record this status for animals. Note: this does not necessarily relate to whether the animal is active with the Association, it is purely a user-defined meaning.

Comment - this is the "master" comment for the selected animal meaning it can be up to approximately 32,000 characters long. (All other comments are limited to 255 characters). The comment can be entered in the displayed field box, or a larger editing screen is displayed by double-clicking on the field.

* Note on tattoo fields: Tattoos, including the sire and dam tattoo fields can be up to nine characters long; however, only the first five characters or up to the hyphen (whichever is less) is the official tattoo as far as the Association is concerned.


Miscellaneous group

AI Stud Code - a 10-character field intended for recording the AI stud code of the selected animal.

Electronic ID - this is a 30-character field to store the information from an electronic ID (EID) chip. Several tag companies are embedding these chips in various types of tags and implants which can be read by hand-held or fixed readers. This field is also available on the Quick Find popup window so that the reader can be hooked up directly to the computer and used to locate animals while using a laptop computer in the barn.

National ID - the National identification number of the animal. The American Angus Association has initiated this system for the Beef Record Service (BRS) - a commercial cattle record keeping system. It is not yet used for registered cattle, but the concept is being discussed. Also, s this help document is under development, several new options and theories exist about national ID. Suffice it to say, AIMS has a field and it will hopefully work well for any systems being developed.

Pathfinder - the American Angus Association's Pathfinder program recognizes outstanding animals for their production capabilities. Yes means the animal has achieved Pathfinder status, No means it has not. Pathfinder status is a part of the initial herd download and is also included in the EPD update. In other words, every time you do an EPD update, any cattle that have achieved Pathfinder status (once they have it, they always have it) will be appropriately updated.

Picture Path - a static reference to a file that contains a picture, most likely of the selected animal. A minimal amount of functionality and picture format support has been included. For example, if the file extension and type is ".bmp" or ".jpg", double-clicking on the Picture Path filename will start the default Windows picture editor.

Lot Number - a character field that can contain any six numbers or letters. This field can be used as the "catalog" version of the lot number.

Numeric - the numeric version of the lot number. In combination with the Lot Number, this can be used to properly sort a pen of sale animals in catalog order for situations where the Lot Number has letters. For example, Lot Numbers could be 1, 1b, 2, 2a with Numeric values of 1, 2, 3, 4 - use the Lot Number field to print in the catalog, but Numeric to sort the lots correctly. See the column on Lot Number Sorting in the Tech Notes section.

Foot Note - a specialized comment field (255 characters) specifically labeled for sale catalogs.

Blood Typed - indicates whether the animal has been blood typed or not. A check mark in the box means that it does have blood type information on record.

DNA Tested - similar to the Blood Typed field, this indicates whether the animal has been DNA tested.

Bull Permit Required - check this box to indicate that any new calves out of this bull must have a bull permit turned in with the calf's registration application. If this field is checked, an arrow (->) will be placed next to the Bull Permit field for any new calf out of this sire to remind you of the need for the permit.

AI Cert Required - similar to the Bull Permit Required, check this box for sires that will need an AI Certificate (Cert) on file for new calves. If this field is checked, an arrow (->) is placed next to the AI Cert field for any new calf out of this sire to remind you of the need for the AI certificate.


Birth group

Weight - the birth weight of the animal, displayed in pounds.

Ratio - the birth weight ratio of the animal as calculated by the Association. This value is returned in performance updates after the weaning weights have been reported.

Birth Code - possible values are blank, Normal, Aborted, Calf Dead (24 Hours), Calf Dead (pre-wean), Calf Sold; normally entered at or soon after calving. Default value on new calves is Normal.

Calving Ease - numeric value ranging from 0-Not Reported to 5-Abnormal Delivery. Default value on new calves is 1-No Assistance.

Twin Code - default/normal value is Single Birth with various options to indicate type of twin if necessary. Options are Single Birth, Twin with Cow, Twin with Bull, Twin with Steer, Twin with unknown sex and Multiple Birth.


Disposal Reason group

Cow Disposal and Reason Codes
For complete herd inventory analysis, each cow in your herd should either have a calf (with birth and weaning information) reported or a Disposal Code or a Reason Code listed. If using the Cow Disposal or Reason Codes, this can then be exported to the Association with the Disposal Reason operation on the Export screen. (See the Basics of Exporting section for information on how to export files.)

The Disposal Reason can be entered on either the General tab of the dam or the Weaning tab of the calf. In either case, the following basic group will be available.

The Code drop-down field has the following options (both Disposal Codes and Reason Codes are in the same list):

Disposal Codes
Any cow leaving the herd throughout the production cycle must be given a disposal date (mm/dd/yy) and a disposal code. Disposal codes are listed below.

0 - Not Reported
28 - Culled - Eye Problem
29 - Culled - Miscellaneous
30 - Sold - Certificate not transferred, if applicable
31 - Culled - Teat and udder
32 - Culled - Feet and legs
33 - Culled - Fertility
34 - Culled - Productivity/progeny performance
35 - Culled - Temperament
36 - Culled - Age
37 - Died

Reason Codes
If a cow remains in your herd, but does not have a calving or weaning record for the current year, please complete the reason code for her to remain as an active dam in your herd.
50 - Open, cow missed calving opportunity
51 - ET program/donor dam
52 - Cow moved to next calving season
53 - ET program/recipient cow
54 - Aborted/premature

Note: During the Weaning validation process, the combination of the disposal Date and Code will be compared. The Disposal Codes (28 to 37) must also have a disposal date and conversely, the Reason Codes (50 to 54) cannot have a date.


Birth Info button

The information contained on the Birth Information screen is the same as those used under Calving, therefore, it will be described in the Calving section.

Once you have reached the Birth Info screen, you will also have the ability to see Projected EPDs and the ability to Select Sire for breeding.

· Projected EPDs - As the name implies, these are the mathematically derived EPDs of the calf currently displayed on the screen, based on half the sire EPDs and half the dam EPDs. If the EPDs are not present or they are interims, the projected EPDs for the calf will not be calculated. Carcass EPDs are calculated by a more complex formula involving ancestors beyond the sire and dam. See the Projected EPD Calculations section for more information.

· The Projected EPD screen also has a button for Projected Pedigree. Again, as the name implies, this the pedigree of the calf based on the ancestors of the sire and dam. This is useful for seeing what the overall ancestry of a calf is or will be (if this is derived from breeding records). This screen can be printed by clicking on the Print button.


Breeding Tab

One of the more difficult record keeping challenges of AIMS is efficiently recording the biologically complex process of breeding beef animals. The process is further complicated by the use of Artificial Insemination (AI) and Embryo Transfers (ET). AIMS has been designed to provide quick entry of, and access to all of this information. All attempts have been made to program effective procedures into the system, but in the end, the user has final control over how the events should actually be recorded and used.

First, a description of each field will help you understand the data entry and processing. The window shown below is the spreadsheet view on the Breeding tab.

Sire - The tattoo of the sire for this particular breeding record. Multiple breeding records for one cow can be displayed (on the main Breeding tab), so each line represents one breeding event.

Season - A numeric value representing what season the breeding record is recording.

Season Name - Up to 15 characters representing a name for the season, for example "Spring 02", "Fall 01", etc. After you have typed the name for one cow, use a right-click in the Season Name field in subsequent records to repeat the same name.

Type - Three possibilities - Pasture, AI or ET. If ET is used, this record is assumed to be the transplant record.

Date - If AI, this is the actual AI date; if ET, this is the transplant date; if pasture exposed, this is represents the Pasture In date.

Confirmed - Choose Yes to indicate this record is the correct breeding record for this cow. Confirmed will override virtually all other aspects of the most likely calculations, including preg check data.

Observed - The date breeding was observed; assumed to be a pasture breeding record.

Pasture Out - The date the sire was removed from the pasture.

Calving Range - This is a calculated range of dates using the available information on this breeding record. If only one date was entered, whether AI, ET or Pasture In, only one Calving date will be displayed. If a Pasture Out date is also recorded, an ending Calving date will be calculated. All calculations are based on a 283 day gestation period. In the case of ET records, the Calving date is 276 days after the Date field (283 - 7 day-old embryo).

Note: Technically, AIMS is adding 282 days to the first date in order to match long-standing printed gestation charts. These charts count the first date as day one, whereas basic math counts it as day 0. Anyway, to make the dates match up, AIMS adds 282 days - just don't tell the cows.

Technician - The name of the technician performing this breeding event.

Donor - The tattoo of the donor cow, meaning the selected animal is a recipient cow. See the ET section for details.

Removal Date - If the record is an ET, this is the Embryo Removal Date for the embryo used.

Comment - Up to 255 characters of comment on this specific breeding record. Another comment is available for the selected animal, unrelated to the specific breeding record.

View Group
Season Group
Most Likely Group
Preg Check Group
Misc/AHIR Group


View group

All Seasons or Selected Season: Either all breeding records can be viewed at one time for this animal, or click on one row, then click on Selected Season to limit the display to only records in the same season as the selected row.


Season group

Current Season: This is a display-only field to indicate what season is being used when new breeding records are added.

Use the New Season button to increment to the next season for the selected animal. Once the button has been clicked, the following screen will open; this allows entry of the Season Year and Season Code (described in the Breeding section) for this particular animal

To complete the operation, enter the appropriate four-digit, numeric year to be used for the selected cow. Each cow may be on a different numbered season (1, 2, 3, etc.) but this will use the same Season Year for all cows.

The Season Code has the following options:
0 - All other bred dams
1 - Spring Herd
2 - Fall Herd
3 - Single Season

The season can be incremented for the entire pen by using the New Season for Pen item under the Pen | Pen Operations | Breeding command.


Most Likely group

All fields in this group are display-only, calculated using information from breeding records.

Sire Tattoo - If several breeding records are present in one season, this is the calculated Most Likely Sire tattoo. If there is not enough information to determine this value, it is left blank. Refer to the Calving Range section for more information.

Calving Range - like Sire Tattoo, if multiple breeding records are present and a most likely sire can be determined, this is the range (or specific date) of calving.


Preg Check group

Preg Check information is recorded and used whenever possible in the calculation of most likely sires and calving dates.

Date - the date pregnancy information was determined.

Open - a check box to represent that the cow was determined to be open. Clicking on the Open field -- to mark it as checked with the check mark -- will automatically blank out the Days field.

Days Pregnant - number of days estimated to be pregnant.

Bred - the Bred field is a read-only field that uses the Preg Check Date and Days field to back-calculate the day the female was actually bred. This is purely for informational purposes.

The same Preg Check Date can be added to all cows in the pen with Pen | Pen Operations | Breeding | Preg Check Date. See the Breeding Data section for more information.


Misc/AHIR group

The Misc/AHIR Group -- including the Planned Sire field -- is shown below:

Planned Sire
The Planned Sire field provides a field to store the tattoo of the sire you are planning to use for this dam, independent of any breeding records you may or may not have entered. See the Selected Sire section under Simulated Breeding for more information.

Misc/AHIR
This group of data fields are specifically related to submitting breeding data to the Association.

Pasture - Used strictly for the actual name of the pasture these cows are in (maximum of 12 characters). This is virtually the same as the common use for pen names within AIMS, however, it provides a way to sub-divide groups within a pen.

Group - A single character to act as a contemporary group field for this cow within the pasture/pen.

Flush - Indicates whether the cow was flushed or not. Options are: 0-Not Reported, 1-Flushed, 2-Not Flushed.

Synchronized - Indicates whether the cow was synchronized. Options are 0-Not Reported, 1-Synchronized, 2-Not Synchronized.

Sire Group - The AIMS pen name that contains the Sire Group for this pen of dams. If using a Sire Group (for pasture exposed cows) you will also need to enter date information for each sire in the group/pen. The drop-down field will display any pens that have their Pen Category field set to "Sire Group" -- this is to cut down on the number of pens displayed, knowing that only a few pens are actually intended to be Sire Groups. See the Sire Dates section for more information.

Season Code* - A designation for the type of breeding season. Options are 0-All Other Bred Dams, 1-Spring Herd, 2-Fall Herd, 3-Single Season.

Season Year* - The four-digit year for the current season. If a season spans the end of a calendar year, use the lower numbered year.

* Note that Season Code and Season Year are required fields in order to submit breeding data. As such, they are available any time the season is incremented; see the Season Group section on the Breeding tab or the Breeding Operations section under Pen Operations for more information.


Adding breeding records

The use of the Breeding tab in AIMS can greatly enhance the ability to manage breeding and calving season. Careful use of this part of AIMS record keeping will lead to more accurate and useful records.

Before you start
A report is available for printing in advance of the breeding season. Assuming a pen is already created for the cows to be bred, open the pen and choose Reports | Worksheet | Breeding. This will print a basic worksheet that can be used while breeding to record the appropriate information as well as a proof during and/or after breeding record data entry.

Breeding Considerations
Entering breeding records is a somewhat complicated record keeping process. Here are some things to know and keep in mind during the process:

· By selecting the sire from the Sire Pen list, you will be better able to track what sires you have used in current or past seasons. It will also allow you to print special reports for just the sires, such as EPDs, that help you evaluate your breeding program.

· Be sure to take advantage of the Pen | Pen Operations | Breeding (see the Entering Multiple Breeding Records section) process so that you can fill in multiple breeding records with one data entry screen. Even if you don't need to add a record for every animal, this process can still help you by using the Prompt First option.

· Once breeding records have been entered, you can either double-click on a row or select the row and choose the Details button to display all the information on one screen.

Add Breeding Record Button
Adding a Transplant Record
Projected EPDs Button


Add Breeding Record button

Before you actually choose the Add Breeding Record button, it is advisable to make sure the Current Season is correct. If it needs to be incremented for this single animal, click on the New Season button. If the season needs to be incremented for the entire pen, go to Pen, Pen Operations, Breeding and use the New Season for All in Pen option.

When you are ready to add an actual breeding record, click on the Add Breeding Record button to display the screen shown below.

Sire Tattoo - You can manually add the sire tattoo for this breeding record, or choose one from the Sire Pen list (discussed below).

Season - Displays the current season as determined on the main screen. The season can be de-cremented in cases where breeding records for previous seasons need to be entered. A higher season can be entered (only from the keyboard), but this is not recommended, and it cannot be higher than the highest season for the current cow.

Season Name - In addition to the season number, you can designate a season name of up to 15 characters. After entering the name on the first record, you can use a right-click in the field to repeat the season name from the previous entry.

Type - Change this to the appropriate value-either Pasture or AI-by using the drop-down field or typing P or A respectively. This can be defaulted to a desired value under Tools | Default Options | Breeding/Calving.

Confirmed - Answers the question "is this a confirmed pregnancy to this breeding record?"

AI/Pasture In Date - The date of AI or date the sire was put in the pasture. AIMS also has a built in trick - right-click in the date field and it will automatically put in the system date of your computer. Assuming your computer clock is set right, it's a great way to put in today's date, just with the mouse.

Observed Date - The date breeding was observed during pasture exposure.

Pasture Out Date - The date the sire was taken out of the pasture.

Technician - The name of the person performing this breeding event. Once a name has been entered, it can be selected from the drop-down list which determines all possible names from all previous records.

Embryo Removal Date - Also known as the "flush date" which is the recorded date the embryo was flushed from the donor cow. This is another field (similar to AI Date) where you can right-click to automatically enter a date. In this case, it enters a date seven (7) days after the AI Date (not necessarily seven days after today).

Note: If an embryo removal date has been entered, AIMS will automatically ask if you wish to add a record to the ET tab for the selected cow when you save this record. This is an easy way to add the flush record. Other information can be entered for the flush date, which is discussed in the ET section.

Comment - Up to a 255 character comment about this breeding event. Double-click to open a larger editing screen.

Prev Animal and Next Animal buttons - Can be used to navigate to the Previous or Next animal in the pen (can also use Alt-V or Alt-X respectively). Eliminates the need to go back to the main pen to start a breeding record.

New Breeding Record - allows you to enter another breeding record for the same animal, without going back to the main breeding screen.

See the following sections for more information on adding breeding records.
Entering Single Breeding Records
Entering Multiple Breeding Records


Entering single breeding records

Actual entry of breeding records is relatively simple depending on the amount of detail you know and/or want to record for each record. In general, here are the steps to enter breeding records:

0. Before you actually start, it is best to create a pen of sires that will be used. Multiple pens can be created in larger breeding programs, or create a pen for AI sires and another for pasture bulls. It is recommended that these pens be relatively small for easier selection on the Sire Pen list. Once the Add Breeding Record screen is open, select the pen from the drop-down list labeled Sire Pen.

1. Open the appropriate cow/heifer pen and select the desired animal.

2. Click on the Add Breeding Record button to open the breeding detail screen.

3. Double-click on the appropriate sire in the Sire Pen window. The selected sire will be used as the Sire Tattoo and the focus will be in the Season Name field.

4. If this is the first record of a series of breeding records, enter the season name. To repeat the previously entered season name, simply do a right-click in this field to fill in the same season name.

5. Select the proper Type of breeding record; either Pasture or AI. The type can be selected by either clicking in the field and selecting a type, or by typing either P or A for pasture or AI respectively.

6. Navigate to the next animal to be recorded by using either Previous Animal or Next Animal (Alt-V or Alt-X respectively). Or if desired, click on New Breeding Record to add another breeding record to the same cow.


Entering multiple breeding records

In AI or small breeding programs, single breeding record entry will probably be easiest. However, in cases of pasture sires or large AI breeding programs, the use of a "mass update" of breeding information will be more efficient. To begin the process, open the appropriate pen of cows, then choose Pen | Pen Operations | Breeding to open the following window.

The actual data entry is virtually the same as adding a single entry in terms of the data fields - see the Entering Single Breeding Records section for specific information. Special fields and relevant buttons are described below. Once the data has been added, click on the Apply to All in Pen button to add a record with this information to every animal in the pen.

Prompt First - Check this box if you wish to be prompted before each record is saved. This allows you to skip certain animals in the pen for various reasons.

Apply to Previous In Date - In situations where only the Pasture In date was added, this field and button are used to add the Pasture Out date. The Pasture In Date and Sire Tattoo fields must also be filled in to tell AIMS which record to use.

Recalculate - Recalculates all of the most likely information for every cow in the pen. This is normally not necessary due to automatic calculation on the normal breeding screen, but in some cases, this button may be helpful.


Add Transplant Record button

The Add Breeding Record button is used when "normal" breeding occurs, including the breeding of donor cows. The Add Transplant Record button, on the other hand, is used to record data for the actual implantation of the recipient ("recip") cow. (See next figure for example of the transplant window).

Adding the transplant record is very similar to adding a normal breeding record, however, there are ET-specific fields and a new selection window.

Donor Tattoo - The tattoo of the donor cow. This can be entered manually or selected from the Select Donor Record window on the right side of the window.

Sire Tattoo - The sire's tattoo will automatically be filled in if selecting the records from the list. It can also be entered manually.

Removal Date - Similar to the Sire Tattoo, this will automatically be filled in if using the donor list.

Transplant Date - This field is one of the few things that can't be filled in automatically from other sources, however, today's date can be filled in with a right-click of the mouse.

Season - Same purpose as the breeding season for AI/Pasture records.

Name - Refers to Season Name, which is the same as the field used on a AI/Pasture breeding record.

Confirmed - Indicates that the transplant pregnancy has also been confirmed.

Technician - This is the ET technician, not necessarily the person who bred the donor cow.

Comment - A 255-character comment regarding this transplant event.

Select Donor Record - This window will initially show all of the active flush records in the AIMS system. Only active flush records are shown; so old records can be kept from displaying simply by unchecking the Active field on the ET record of the donor cow. If individual embryo records have been added for a particular flush record, the screen will change to a display of the embryo records. This allows you to select the actual embryo that was used. (See the ET section for more information on recording flush records.)


Projected EPDs button

Once breeding records have been entered, you can select a specific record and then click on the Projected EPDs button to see what the calculated EPDs will be for the calf (an example is shown below). EPDs can only be calculated for records where both the sire and dam have actual EPDs; neither can be interim values. As the name implies, these are mathematically derived EPDs of a calf that would result from this breeding based on half the sire EPDs and half the dam EPDs. If the EPDs are not present or they are interims, the projected EPDs for the calf will not be calculated.

Carcass EPDs are calculated by a more complex formula involving ancestors beyond the sire and dam. See the appendix for more information.

Once you get to the resulting EPD screen, you can click on Projected Pedigree (example shown below) to see what the pedigree of this calf will be - again, assuming all appropriate information is present for the sire and dam.

A Print button is also available to print the projected EPDs. It's a basic report that give you a quick printout of the projected EPDs for the calf.


Submitting breeding data

Background
Another step to provide Angus breeders with tools to assist in management and selection in their herds has been implemented with the collection of breeding records for the AHIR Program. The records will build a database that will be used to examine reproductive performance in the cowherd, ultimately providing the information to generate useful genetic predictions for reproductive traits.

Breeding information can be entered by the breeder through the AIMS software package. AI breeding dates, pasture breeding dates, and applicable management information can be provided on the entire cow herd and replacement heifer group.

Implementation of this program, combined with accurate and complete disposal information, will account for the production of each female in a breeder's herd. The ability to track a cow's lifetime productivity and tie that information to profitability indicators will assist in the development of cowherd economic factors in registered Angus herds of all sizes. For more information on AHIR breeding records, contact the AHIR department.

Breeding Data Entry
Submission of breeding data to the Association involves three main areas:

1. Actual breeding records -- AI, Pasture or ET -- as entered on the Breeding tab.

2. Season data, in other words, information such as Season Code, Season Year, Pasture, etc. Information can be found in the Misc/AHIR section.

3. Sire Group and Update Season year information found in the Pen Operations section.

Once the breeding data has been entered, it can be submitted like other data traditionally sent to the Association. Information on exporting data to the Association can be found in the Exporting Data section.


Simulated Breeding

Simulated Breeding is a very powerful feature available in AIMS. In short, once the cows are penned, you can go to this feature, select a specific cow, establish desired criteria for calves and find the sires that will work for the selected cow and criteria.

Setting Criteria
After choosing Simulated Breeding on the Breeding tab, the Simulated Breeding screen will appear, as shown below.

You can enter numeric values of the EPDs you wish to achieve in the calf. If a field is left blank, it will not be used to limit the selection of sires, in other words, that EPD will be ignored, however, any possible calculations will still be made.

The desired EPDs can be set with the above screen, or with a separate screen described in the Set Criteria section.

Searching
Once the criteria has been set manually or selected from a pre-existing profile, simply click on the Search Sires for Selected cow button to initiate the search. By default, Simulated Breeding will use all available sires in the entire AIMS database. This is not a good idea since it includes bulls too young and/or otherwise unusable. To limit the sires to more appropriate bulls, click on the down arrow at the end of the Sire Pen field to get a list of existing pens. Assuming you have already made a pen of sires, select that pen, then do the Search Sires again for a more appropriate simulated breeding scenario.

The number of selected sires will be displayed next to the Matching Sires label. Once a group of matching sires has been displayed, you can click on the individual sire rows to see what the resulting calf EPDs would be if the mating is used.

The Clear Search button is simply used to clear out the Matching Sires search results.

Sire Profile
The Sire Profile section is an informational area to display what type of sires you are looking for with the mating scenario being used in the previous sections. This can be useful for searching printed AI company catalogs, Angus sale catalogs, Angus Journal advertising and the Angus Association's National Sire Evaluation on the Internet. The results can also be used to search for sires in the AIMS NSE search engine.

The numbers displayed in this section are the actual EPDs of the sires that would be necessary if finding a sire to use with the selected cow in the first Simulated Breeding section. However, some Sire Profile EPDs cannot be calculated due to the methods used to calculate projected EPDs; the affected EPDs are yearling height, maternal weight & height, scortal and all of the carcass EPDs.

How projected EPDs are calculated
Depending on the specific EPD, there are two methods use to calculate the projected EPD. See the Projected EPD Calculations section in the Formulas appendix.

Searching the NSE Database
The Simulated Breeding section of AIMS is focused on searching in and using pens of sires you have created and selected for the Sire Pen. However, the drop-down list also includes three choices related to the National Sire Evaluation database, which is stored in a separate database on your computer. The three choices are Main NSE Data, Supplemental NSE and All NSE Data. Be prepared for longer search times since these options search through thousands of records each -- usually over 5,000 for the All NSE Data option.

Also, right-clicking on a selected sire shown in the Matching Sires section can still provide some detailed information, but not the extent as sires selected from your own database.

Set Criteria
Pen Averages
Projected Pedigree
Save Sires in Pen
Save to File


Set Criteria

Click on the Set Criteria button to get to a more detailed criteria screen - EPD labels are spelled out more and other features are available (described below).

You can also save a set of EPD criteria as a Profile for future use. Once you have entered the desired criteria, choose the Save Profile button, then enter a filename which will be used for the profile name. (Although these names conform to Windows long filenames, it's recommended you keep them somewhat short in order to display in the Selection Profile field.) A comment to further explain the purpose for this profile can also be saved. Once a profile has been entered or selected from the drop-down list, click on the Set button to set the criteria and return to the main Simulated Breeding screen.

The Clear EPDs button can be used to clear out the current Desired Calf EPDs.

Note: Criteria does not have to be stored as a profile in order to be used; you can simply enter the values and click on Set to set the values and be returned to the main Simulated Breeding screen.


Pen Averages

The basic premise of the Simulated Breeding screen is to take one cow, enter desired EPDs for the calf, and find an appropriate sire out of a pen of sires. The Pen Averages button is the "flip" side of that mating-it starts by showing you the average EPDs for the cows in the pen. It also shows you the average EPDs of all calves that would result from these cows and the one sire that was selected under the Matching Sires section.

Example of Pen Averages window.


Projected Pedigree

The Projected Pedigree button can be clicked to display the pedigree that would result from the currently selected mating. It also has the functionality to display the Animal Information screen anytime you do a right-mouse click on an animal.

Example of Projected Pedigree screen.

The projected pedigree can also be printed by clicking on the Print button.


Selected Sire

The Selected Sire field works in conjunction with both the Matching Sire section of the Simulated Breeding section of AIMS as well as the Planned Sire on the Breeding tab.

First, as a sire is selected in the Matching Sire section of the screen, the Selected Sire field will be changed to the tattoo of the selected sire. This will continue to change as different rows are selected.

Second, after you have settled on the bull you want to use for the dam, simply double-click the dam's row in the Cows: section and the following dialog box will appear.

Single
Applies the selected sire (454 in this example) as the planned sire for ONLY the selected dam (313). By using this button, the Planned Sire field on the Breeding will now contain 454.

All in Pen
Use this button if you would like the selected sire (454) to be the Planned Sire for ALL cows in the pen.

Note: If there is an existing Planned Sire, it will be overwritten by either of these options.


Save Sires in Pen

After you have worked hard to find a group of sires that would fit your EPD scenario for this pen of cows, you can save the results by clicking on Save Sires in Pen. This will present you the normal list of pens for you to pick what pen these sires should be saved into. If the pen doesn't exist that you want to use, simply click on New Pen to create a new pen which can then be used to record the matching sires.

Note: This feature will not work if you are using any of the NSE databases in the Search Sire drop-down; this is due to how the sire records are stored (in a different database) on your computer.


Tips

The Simulated Breeding screen includes a Tips button which provides the following information.


Save to File

The Save to File function is not for the faint-of-heart. It allows users comfortable with computers to take the information derived from all of the mating information and save it to a tab-delimited data file. This file can be used in other programs such as a spreadsheet program like Excel or a database program like Access.

Clicking the Save to File button on the Simulated Breeding screen first asks if you wish to view all sires or just the currently selected Sire?" This allows you to determine if you only want to see on sire's matings or all of the selected sires. Once you have made your selection and clicked on the appropriate button, AIMS displays the results on-screen; this is primarily to give you a chance to see if the data is what you wanted.

When you are ready to actually save the data, click the Save to File button on the Save to File window.

The Single version will put the selected bull's EPDs along the top row, followed by all of the dams in the pen and each calf's EPDs using that mating.

The All version creates a similar on-screen report, however, this one repeats each cow for each sire mating while also showing the calf's EPDs.

Once you have reached the Save to File on-screen report window, you have the option to Print or actually Save to File. The Print button simply prints a basic report to paper in the same format as what you see on-screen. The Save to File button opens a Save As window so that you can give the file a name (it will be a text file with .txt as the extension). The output of this process will be a tab-delimited ASCII file with the following basic (abbreviated) layout.

The Single version has the selected sire listed on the first row below the column headings, then each calf is listed with the dam's EPDs on the same row of each calf. This example has one sire mated with two cows resulting in two calves.
Sire EPDs
Calf 1 EPDs Cow 1 EPDs
Calf 2 EPDs Cow 2 EPDs

The All version has one row for each calf, however, the row also includes the dam and sire's EPDs. This example used four bulls on two cows.
Calf ID Calf's EPDs Dam ID Dam's EPDs Sire ID Sire's EPDs
1 EPDs 1 EPDs A EPDS
2 " 1 " B "
3 " 1 " C "
4 " 1 " D "
1 " 2 " A "
2 " 2 " B "
3 " 2 " C "
4 " 2 " D "

Note: It's all a little confusing trying to show the layouts here, but once you open the txt files in Excel, pay attention to the headings and it should all make sense.


Calving Tab

The Calving tab provides a simple way to see and access all calves for the selected dam. In the spreadsheet view, you can see either all calves out of this dam or a single season. It will also include any calves as a result of this dam being a recipient and/or donor.

Most of the work from this screen will be done with the Detail View as you enter new calves, however, a spreadsheet view of key fields is also provided. The spreadsheet view includes basic identification and type-of-animal fields such as ET, AI and Recip/Donor. To get to a calf's detail screen, either double-click on its row or select the row and click on the Details button. See the figure below for an example.

The General Calf group contains the basic ID information for the calf - tattoo, tag, active (yes or no), birth date, registration number, sex and name. Any of these fields can be changed except tattoo which must be changed by using the All Animals pen and the Animal menu command.

Building a calf's name
Sire and Dam Groups
Birth Group
Embryo Transfer / AI
Registration
Owner Codes
Projected EPDs
Select Sire
User Fields


Building a calf's name

The General Calf group contains a special group of buttons which can be used to "build" a calf's name based on other fields on the screen - mainly sire and dam name. If the calf already has a name, it will be "locked" so that it cannot be accidentally changed while editing other information. However, if the name has not been entered elsewhere, you can click on the Unlock button (it will already be unlocked if there is no calf name at all). This will present you with three more buttons for name-building.

Prefix - If you commonly use the same prefix for animal names, do a right-click on the Prefix button and enter the prefix (in whatever case you wish, all caps, mixed, etc.) and then click on Ok. This will "permanently" save the prefix for future use. To use it when you get back to the animal name, simply click on the Prefix button and the text will be entered into the name field. The prefix text can also be changed under Tools | Default Options | General | Registry Prefix.

Move - Since the main body of the animal's name is often composed from parts of the sire and/or dam name, you can take advantage of their names being displayed on-screen. If you only wish to move one word (officially defined as continuous text with a space or the end of field separating it from other text) from the sire or dam name, simply click once somewhere in the single word, then double click in the same place to move that text to the name field. Alternately, if you wish to use more than one word in the new name, click and drag across the text you want to use and once it is selected, click on the Move button to move it all to the name field.

Tattoo - By clicking on this Tattoo button, you can automatically use the tattoo of the animal as a part of its name. Doing so will only select the portion of the tattoo up to the hyphen so as to avoid using extensions, which start with the hyphen character.

Once you have finished building the name, you can protect it by clicking on the Lock button. It will also be locked the next time you open this animal since it now has a name. In all cases, the build techniques will not allow adding characters beyond the 28-character limit for registered names.

Tip: Selecting all or part of the sire or dam name is a little tricky -- it takes some time and practice getting used to the number of mouse clicks that are necessaryy.


Sire and Dam groups

These two groups simply display the tattoo, tag and name of the sire and dam. If necessary, the sire tattoo can be changed from this screen.

Example of Sire and Dam information group.


Birth group

The following fields are included in the Birth group.

Calving Ease - One of the following is recorded as the calving ease of the calf.
0 - Not Reported
1 - No Assistance (default)
2 - Some Assistance
3 - Mechanical Assistance
4 - Caesarean Section
5 - Abnormal Delivery

Birth Code - One of the following is recorded as the birth code:
Not Reported
Stillborn/Full Term
Died at birth - Defect
Died at birth - Other
Born alive, died before wean - Disease
Born alive, died before wean - Other
Born alive, died before wean - Weather
Calf Sold

Twin Code - One of the following is recorded as the twin code:
Single Birth (default)
Twin with Cow)
Twin with Bull
Twin with Steer
Twin with unknown sex
Multiple Birth

Twin with - Use this field to record the tattoo of the other calf in a set of twins.

Weight - Birth weight of the calf.

Adj Birth - The adjusted birth weight of the calf. This will be updated with subsequent performance updates from the Association.

Ratio - Ratio of the calf's birth weight compared to other calves in its contemporary group.

Rank - The numeric ranking of this calf within the contemporary group. The overall number of calves in the group is represented by the second number of the Rank field.

Comment - Up to 255 characters about this calf specifically related to birth information.

Dam's Udder Size - Based on a numeric rating from 5-Very Large to 50-Very Small.

Suspension - Dam's udder suspension score, numerically rated from 5-Very Pendulous to 50-Very tight.


Embryo Transfer/AI group

The ET/AI group contains basic information regarding ET/AI – more information is accessed on the ET tab.

Embryo Transfer - This is a check-box field to indicate if the animal is the result of an embryo transfer. Click on the box to indicate that it was, click again to uncheck the box to clear it. By default, the AI box will also be checked for ET calves, however, the AI box can then be un-checked if necessary.

AI - Artificial Insemination. Check this box if the calf (or embryo) is the result of an artificial insemination.

Removal Date - In cases of embryo transfers, this is the date the embryos were removed (flushed) from the donor cow. It is a required field when registering ET calves.

Clone/Split - Use one of these two options to indicate if the embryo was a clone or split. If one of them gets marked, but you then wish to clear both of them, use a right mouse click on the marked option to clear its contents.

Storage - The storage method of the embryo can be recorded (or pulled from ET records elsewhere). Options are:
1 - Frozen Glycerol
2 - Frozen Direct
3 - Fresh.

Recip Tattoo: The tattoo of the recipient cow for this calf.


Registration group

The Registration group contains several fields regarding the registration status and necessary "paperwork" items.

Example of Registration group.

Blood Typed - Check this box if the animal has been blood-typed.

AI Certificate - Check this box if the animal will require an AI Certificate in order to be registered. An arrow (->) will appear next to this box if the sire's general record has the AI Cert Required field checked prior to when the calving record is entered. This arrow only serves to remind the user of the need for a AI Cert - it does not serve as an official submission of an AI Certificate to the Association.

Breeder Certificate - Check this box if the animal will require a Breeder Certificate in order to be registered.

Bull Permit - Check this box if the animal will require a Bull Permit in order to be registered. Similar to the AI Certificate, an arrow (->) will automatically appear next to the box if the Bull Permit Required field has been marked for the sire prior to when the calf was entered.

Note: The Breeder Certificate and Bull Permit fields, if necessary, will need further information (mainly member codes) when using the Registry tab. More information on these two fields will be discussed in the Registry Tab section.

DNA Tested - Check this box if the animal has been DNA tested. This is simply an informational field and has no effect on "official" records with the Association.

Register - This field indicates your intentions, in other words, marking it as Yes does not do anything to specifically register the calf, that is handled with exporting the data. All of the options make a useful field for creating new pens of calves. (An indicator that the calf is actually registered is the presence of a registration number on either the General tab or above the tab area.)
Yes - Means that yes, the calf is to be registered.
No - The calf is not intended to be registered.
Undecided - Registration has not be decided yet.
Pending - Useful for penning calves that will be registered, but the process has not been completed yet.

Electronically Stored Registration - This field is not actually labeled -- the selection values describe the purpose of the field. Two options exist:

Print Registration Paper - The default value is the "traditional" option where the actual registration paper is printed by the Association as soon as the application meets all requirements.
Electronic Paper-No Print - As of early 2004, this option was added by the Association. This option allows you to register the calf, but the paper is not actually printed -- it is "electronically stored" by the Association. The idea is to reduce the amount of paper you handle and provide the ability to subsequently transfer the "paper" to a buyer. Contact the AIMS or Registrations department for more information.


Owner Codes group

The owner code fields indicate the member code of the Breeder, Calf Owner and up to three Present Owners. In addition, the percent of ownership of the present owners can be entered or "dialed" with the small arrow buttons.

Example of Owner Codes group.
The Owners button opens a new window with more information (name and ranch) if they are either entered in the Breeder Info (File | Breeder Info) or as a customer in the Customer Manager of AIMS.


Projected EPDs button

Once a calving record has been entered, you can click on the Projected EPDs button to see what the calculated EPDs will be for the calf. EPDs can only be calculated for records where both the sire and dam have actual EPDs; neither can be interim values.

More information on this feature can be found in the Projected EPDs button under the Breeding Tab information.


Progeny button

The Progeny button opens the same window as the Progeny button found on the Pedigree tab.


Sales of Progeny button

Regular AIMS reports are available for summarizing the sales records of progeny out of a particular animal. However, a quick way to access this information is with the Sales of Progeny button at the bottom of the Calving tab. Clicking this button opens the same window as the Sales button on the Progeny window on the Pedigree tab.


Sire selection

The sire of a calf can be recorded by several methods. If data has been entered on the Breeding tab for the cow, the sire can be automatically entered when the Add New Calf button is clicked on the Calving tab. AIMS will use the Most Likely Sire based on the records entered on the Breeding tab. This feature can be turned off under Tools | Default Options | Breeding.

The Select Sire button is used to open a window of the available breedings for this season on this cow. After opening the Select Sire window, simply click on the correct sire and then click the Select button; or double-click the correct sire.

The sire's tattoo can also be manually entered into the Sire Tattoo field.


User Fields button

User Fields

The User Fields button provides another method to quickly access the User Fields for the new calf. See the User Fields section for more information.


Pedigree Tab

A very powerful pedigree system is built into AIMS, however, it can only display the ancestors of animals who are actually present in the angus table within the database. Additional Animals can be added to more fully complete pedigrees and/or they can be added manually with Animal | Add Animal .

A traditional "bracketed" pedigree (shown above) going back three generations is displayed on the Pedigree tab (this tab does not have a spreadsheet view). To "travel" through a pedigree, simply double-click on the desired animal's information. By default, the tab is displaying the currently selected animal; but you can double-click on an animal and make that animal the main animal. This will move the newly selected animal to the main position and fill out the rest of its ancestors accordingly.

Once you have displayed a new animal, you have three options:

1. Double-click on another animal to make it the main animal.

2. Click on the Resume button to get back to the original animal that has been selected through the pen.

3. Click on the Back button to move back to the previously displayed animal.

The standard symbols used by the Association to indicate Pathfinder and ET animals are also used on the Pedigree tab. The pound "#" symbol indicates the animal has qualified for Pathfinder status. The plus "+" sign indicates the animal is the result of an embryo transfer.

EPDs and User Fields
While viewing the pedigree of animals, you can also view their EPDs and User Fields simply by opening the appropriate floating windows. As you change animals in the pedigree, the floating windows will update accordingly.

To view the EPDs or User Fields of the original animal while a different animal is the main animal in the pedigree, simply use the area above the tab area.

Note: The Defects window can also be opened but has not been mentioned since it has such a limited use.

Tip: Don't forget that the Animal Information popup window is also available and very useful on the Pedigree tab. Simply right-click on any animal tattoo or name and the window will appear, giving you viewing access to a wealth of information about the selected animal without leaving the pedigree.

Progeny Button
How to build a pedigree
Pedigree Verification


Progeny button

Once a female has been displayed as the main animal, the Progeny button will be available. By clicking on this button, you will see the calves and average ratios of the calves out of this dam. See figure below.

Normally, the figures displayed on the screen have been imported from Association records during a Reg/Performance update. Since the number of calves reported to the Association and the number of calves stored on your system could be different, the Num of calves in database field displays the number of calves on your system for the selected cow -- defined as any animal with this cow's tattoo as the Dam Tattoo. It is possible for you to change these numbers, however, it is not recommended unless there is a discrepancy from what the imported data should have read and other sources you have (printed performance certificates for example.) If you attempt to change these numbers, you will receive a warning regarding this situation, but you can override it if you wish.

Sales Button


Progeny Sales button

The Sales button on the Progeny window provides the following information.

This window uses Sales records from any calves (progeny) out of the dam. In this example, two calves each have one sales record and the total sales for both is $2,250.

The progeny Sales information is a read-only screen and has no other options. For printed documents, other reports can be used.


How to build a pedigree

AIMS users often think they use the Pedigree tab to build the pedigree for a new animal. Although that would be nice, it's not that easy; and it's not really feasible (at least for now, maybe a later AIMS version will tackle it).

The Pedigree tab is a read-only screen, which means the data cannot be changed or added. To actually "build" the pedigree for an animal, you need to individually add the appropriate animals and link them through the respective Sire Tattoo and Dam Tattoo fields.

For example, let's say we want to manually add a new animal with tattoo 1111. The Sire of this calf has a tattoo of 2222 and the dam's tattoo is 3333. To build a one-generation pedigree, you need to add three new animals; their tattoos are 1111, 2222 and 3333. Then, on the General tab for 1111, you enter 2222 in the Sire Tattoo field and 3333 in the Dam Tattoo field. When you go back to the Pedigree tab for 1111, you will see the one-generation pedigree.

Visually, the information would look like this; first the angus table in the AIMS database would have these records:
Tattoo Sex Sire Tattoo Dam Tattoo
1111 ? 2222 3333
2222 B
3333 C

Then, the pedigree would look like this:

To increase this calf's pedigree to two generations (parents and grand-parents), you will need to add four more animals as well as go back to 2222 and 3333 to enter the Sire and Dam tattoo information on the General tab. And guess what, to get a three-generation pedigree, you will need to add eight more animals and their appropriate Sire and Dam tattoo information.

Yes, it's a lot of work to build a pedigree, which is why the Association offers an option to purchase Additional Animals. The instructions and information for acquiring additional animals is in the Import/Export section.


Weaning Tab

The Weaning tab contains all the basic information recorded at the time of weaning. It also has fields for recording specific information about the dam of the calf when the calf was weaned.

Although not contained in a particular group, there is a 255-character comment field specifically relating to weaning information. Double-click in the field to receive a larger data-entry screen.

The majority of the raw data entry fields have validation ranges which determine whether or not a warning message will appear. For example, the default valid weights for weaning are 200 to 1100 pounds. If you enter a weight of 1101 or higher, a warning message will appear; if you choose to continue by answering Yes, it will save the weight anyway. The ranges can be changed under Tools | Default Options | Weaning Ranges. Valid ranges will be included in appropriate sections below, or see the appendix for more information.


Measurements group

Weigh Date - The date the calf was weighed for weaning. Default valid range is 120 to 280 days after the birth date.

Proj Weigh Date - The projected weigh date is a calculated field using the calf's birth date. By default, it uses 205 days, however, this value can be changed under Tools | Default Options | Weaning Ranges. This is purely an informational field to help calculate the date the animal should be weighed according to the target date.

Weight - The actual weaning weight of the calf on the weigh date. Default valid range is 200 to 1100 pounds.

Height - The actual height, in inches, of the calf on the weigh date. Default valid range is 30 to 60 inches.

Scrotal - The actual scrotal measurement, in centimeters, for the calf on the weigh date. (Displayed only for bulls). Default valid range is 20 to 50 centimeters.

Adj. Scrotal - The adjusted scrotal circumference is calculated by the Association and returned during the Reg/Performance update process.


Performance Data group

Although the performance fields can be entered manually, it is best to rely only on the data imported during the Reg/Performance update with the file from the Association. When the official records are in place, the Lot Date and Lot ID fields (in the Management group) will contain read-only values.

Age in Days - The actual age in days calculated between the birth date and weaning weigh date.

Adj Weight - The adjusted weaning weight based in part, on the age in days.

Adj Height - The adjusted height at weaning, in inches, at time of weaning.

Ave Daily Gain - The average daily gain calculated between birth and weaning using appropriate weights and dates.

Ratio - Ratio in comparison to other calves in the same contemporary group.

Rank - Rank "x of y" where y is the number of calves in the group and x is the placing this calf ranks within this contemporary group. If records were received from the Association, it will not include the "x" value, however, this value can be calculated separately by clicking on the Calculate button and selecting the "Calculate Rank" option. See the Calculate Process section for more information.


Management group

The first six fields under the Management group relate to how this calf will be grouped with contemporaries.

Creep/Non-Creep - Click on the type of creep management this calf received. If it was creep fed, click on Creep, if not, click on Non-creep.

Contemporary Group - The contemporary group field is a one character field, automatically capitalized, that helps break up this pen into contemporary groups, if desired. Recommended characters are the 26 letters and 10 numbers. It is best to avoid any punctuation.

Location - The location code is a four-character field, automatically capitalized, that is also a part of separating contemporary groups.

Misc. - The Miscellaneous field is purely for user values -- in other words, it is not used by the Association as a field to designate contemporary groups. It is a four character, all capital letter field. Although this would be similar to User Fields, the advantage is its specificity to the weaning information.

Lot Date and Lot Id - These two fields are read-only, meaning that only a Reg/Performance update process can change these fields based on data received from the Association. If these values are present, the values in the Performance Data group are considered official numbers from the Association (except for the "x" value of rank, see above). Lot Id may or not have values when the Lot Date has a date, depending on when the data was processed by the Association (prior to approximately 2000, Lot Ids were not assigned). If Lot Date and Lot Id are both blank, any values under the Performance group have either been entered manually or calculated by AIMS.

Frame Score - The frame score will be calculated based on age and height, if appropriate values are present. The frame score can also be entered manually. See the appendix for the frame score calculation used in AIMS.

Register - The determination to register this animal can be made at the time of weaning by changing this field. Four options are available: Undecided, Yes, No and Pending. When this field receives the focus, a drop-down box will appear, or you can simply press U, Y, N or P for the respective values. This field also appears on Calving and Registry tabs. The default value for new calves can also be changed under Tools | Default Options | General, Register Status.


Dam's Information at Calf Weaning group

It is important to understand that this is information for the dam, not the selected calf.

ID fields - Three read-only fields – dam tattoo, dam tag and dam birth date – are displayed to reduce confusion over what animal this group relates to.

Dam Weigh Date - The dam and her calf can be weighed at different times. This field is the date the dam was actually weighed.

Dam Weight - Actual weight, in pounds, of the dam on her weigh date.

Dam Height - Actual height, in inches, of the dam on her weigh date.

Cancel Dam - The Cancel Dam field is a check box to indicate that the dam can be canceled in the Association's records due to her sale or other disposal reason.

Condition Score - The following are options (no default value):
0. Not Reported.
1. Severely emaciated. All ribs and bone structure easily visible. Very little visible muscle tissue, physically weak.
2. Emaciated. Similar to score one, but not weakened. Little visible muscle tissue.
3. Very thin. No fat on ribs or brisket. More apparent muscling than on condition score two. Backbone easily visible.
4. Thin. With ribs easily visible, but shoulders and hindquarters show fair muscling. Backbone visible.
5. Moderate to thin. Last two or three ribs can be seen. Little evidence of fat on brisket, over ribs, or around tail head.
6. Good condition. Smooth appearance throughout. Slight fat deposition on brisket and over tail head. Ribs covered, and backs appear slightly rounded.
7. Very good condition. Brisket full. Tail head shows pockets of fat. Back appears well rounded due to fat. Ribs very smooth.
8. Obese. Back square due to fat. Brisket distended. Heavy fat pockets around tail head. Neck thick.
9. Very Obese. Rarely seen. Similar to condition score eight, except more extreme. Heavy deposition of udder fat.

Temperament - The following are options (no default value):
0. Not Reported.
1. Docile. Extremely quiet and not excitable
2. Restless. Quieter that average, but may be stubborn during processing
3. Nervous. Typical temperament is manageable, but nervous and impatient
4. Flighty (Wild). Jumpy and out of control, quivers and struggles violently
5. Aggressive . Virtually unmanageable, extremely nervous or extremely mean.
6. Very Aggressive . Extremely aggressive temperament

Disposal Reason - The 'Disposal Reason' label actually covers the next two sections. (See the Disposal Reason Group section for more information.)
0. Not Reported is the default.
28. Culled - Eye Problem
36. Culled - Age
39. Culled - Feet (Hoof or Toe)"
32. Culled - Structure
38. Culled - Fell out of calving season
33. Culled - Fertility or Open
41. Culled - Genetic Defect Status
40. Culled - Illness or Disease
34. Culled - Productivity/Prog Performance
31. Culled - Teat and Udder
35. Culled - Temperament
42. Culled - Weather
29. Culled - Miscellaneous
30. Sold as a commercial
40. Died
37. Culled - Illness or Disease


Calculate process

AIMS is capable of calculating the Performance values in the same manner as the Association's computer IF all contemporary grouping has been followed. However, the only time the performance values should be considered official is when a Lot Date is present (Lot Id would also be present on newer records).

Once weaning dates and weights (and heights if applicable) have been entered, click on the Calculate button to begin the process. An intermediate screen (shown below) will appear to see if you wish to do All Calculations or only Calculate Rank. The first option will do all adjusted calculations that are possible with the presented information. If there are some animals that cannot be calculated, a screen will appear to list those that cannot and those that can be calculated. This is only for information so that you can go back and add missing data, if available.

The Calculate Rank option is only capable of filling in the "x" value of the Rank (x of y) field in cases where official performance information has been received from the Association.

The Calculate process is designed to only be run on regular pens of animals -- it will not work if the All Animals pen is open.

Calculations cannot be run on a pen that includes any officially recorded animals. In other words, if even one animal in a pen has a Lot Date, the Calculate process cannot proceed. Removing the animal from the pen is the only mechanism to continue the calculation. If corrections are necessary on the previously calculated animal, they can be corrected directly with the AHIR department at the Association.


Spreadsheet view

Click on the All button for the Weaning tab and the weaning data will be presented in a spreadsheet view. Here are some hints on how to take advantage of the spreadsheet view:

· You can simply and quickly enter data into a column by entering the number and pressing Enter to go to the next row.

· Sort the spreadsheet by any column - with a right-click on the column header (an example of the header is shown in the red box below) - to make it easier to see what data is missing. Empty fields will come to the top. You can also get quick ranks on how the animals compare.

· If your data is written out on paper in the order the calves came through the chute, sort the pen into that order. You can do this under Pen | Sort and then dragging the animals into the pen one at a time in the "random" order that the calves were worked. It may take a while to get them all in the correct sort order, but the benefits of entering the data (down each column) will pay off in the end, especially if several columns of data are entered.

· Don't forget to use the Pen | Pen Operations screen to pre-set certain values, especially the weigh date, for new records. See the Pens chapter for more information.


Importing text files

The key data files on the Weaning tab can be imported from a tab-delimited text file. See the Import/Export section for more information.


Validate button

The Validate button performs a series of validations on the weaning data to ensure that the data is as complete and accurate as possible. It is likely not all aspects of the data can be checked due to information not available to a user, however, this validation increases the chance of problem-free submission of the data.

Here is an example of the information provided on an animal with a validation message.

Each of these items must be addressed before the data can be submitted. Sometimes one problem will cause multiple messages so fixing the original problem may eliminate multiple errors. Continue to use the Validate button until the message is "NO PROBLEMS FOUND".

You can also Print the information to facilitate making the corrections.


Yearling Tab

The Yearling tab is actually multi-functional in that it can be used for both Yearling 1 and Yearling 2. The American Angus Association allows yearling measurements to be taken at 12, 15 or 18 months of age and up to two of these can be recorded. Of course, most of the time, and with most breeders, the 12 month option is the first, and often only yearling measurements taken.

Here is an example of the Yearling screen, in this case, Yearling 1. The Scrotal group would not be show for a cow. And the Bull Test Information is not shown on the Yearling 2 screen.

To switch to the Yearling 2 screen, simply click on the Yearling 2 button at the bottom of the screen. The main body of the tab and its label will change to Yearling 2 information. The button will then change to Yearling 1 since it is a toggled button.

The majority of the raw data entry fields have valid ranges which establish if a warning message will appear or not. For example, the valid weights for Yearling 1 are 400 to 2000 pounds. If you enter a weight of 2001, a warning message will appear; if you choose to Continue by answering Yes, it will save the weight anyway. The ranges can be changed under Tools | Default Options | Yearling Ranges. Valid ranges will be included in appropriate fields below or see the appendix for more information.

Although not contained in a group, there is a 255-character Comment field specifically relating to Yearling 1 information. Double-click within the field to receive a larger data-entry box. Yearling 2 also has its own comment field.

Measurements Group
Performance Data Group
Bull Test Information Group
Pelvic Group
Yearling 2
Calculate Process
Spreadsheet view
Importing text files


Measurements group

Measurements

Weigh Date - Actual date that the weight and other yearling measurements were taken. Default valid range is 320 to 440 days.

Proj Weigh Date - The projected weigh date for the yearling information. The default number of days is 365, which can be changed under Tools | Default Options | Yearling Ranges, Yearling 1.

Weight - Actual yearling weight in pounds. Default valid range is 400 to 2000 pounds.

Height - Actual height in inches. Default valid range is 30 to 60 inches.

Scrotal - The scrotal circumference, measured in centimeters. Displayed only for bulls. Default valid range is 25 to 45 centimeters.

Adj. Scrotal - The adjusted scrotal circumference, measured in centimeters. Displayed only for bulls.

Location - The Location field is used to indicate contemporary groups for yearling calculations. This may or may not be the same as at weaning. Note: the Creep/Non-Creep and Contemporary Group fields are not displayed on the yearling tab due to the fact yearling contemporary groups are taken from how the animals were grouped at weaning.

Misc. - The Miscellaneous field is purely for user values. It is a four character, all capital letter field. Although this would be similar to User Fields, the advantage is its specificity to the yearling information.

Steer at Yrlg - The Steer at Yearling check box can be used to indicate that this animal was a steer at yearling.


Performance Data group

The performance fields can be entered manually, calculated by the Calculate button or imported from Association records during a Reg/Performance update. If they are official records, the Lot Date and Lot Id (in the Performance Data group) will contain read-only values.

Age in Days - The actual age in days calculated between the birth date and yearling weigh date.

Adj Weight - The adjusted yearling weight, in pounds, based on the age in days.

Adj Height - The adjusted height at yearling, in inches.

A ve Daily Gain - The average daily gain calculated between birth and yearling weights.

Ratio - Ratio in comparison to other calves in the same contemporary group. The contemporary group must be the same as that used at weaning.

Rank - Rank "x of y" where y is the number of calves in the group and x is the placing this calf ranks within this contemporary group. If records were received from the Association, they will not include the "x" value, however, this value can be calculated separately by clicking on the Calculate button and selecting the "Calculate Rank" option.

Lot Date and Lot Id - These two fields are read-only, meaning that only a Reg/Performance update process can change these fields based on data received from the Association. If these values are present, the values in the Performance Data group are considered official numbers from the Association (except for the "x" value of rank, see above). Lot Id may or may not have values when the Lot Date has a date due to new processes at the Association. If Lot Date and Lot Id are both blank, any values under the Performance Data group have either been entered manually or calculated by AIMS with the Calculate Process.

Frame Score - The frame score is calculated using yearling weigh date, birth date and yearling height. See the appendix for more information.


Bull Test Information group

Information can be recorded for bulls that have been enrolled in a bull test feeding trial.

Date (on-test) - The date the bull was weighed going into the test station.

Weight (on-test) - The weight of the bull going on-test.

ADG - The average daily gain calculated during the bull test.

ADG Ratio - The ADG ratio of this bull compared to the other bulls.


Pelvic group

Pelvic measurements can be taken and recorded with yearling information as follows.

Date - The date of the pelvic measurement.

Width - Width of pelvis measured in centimeters. Valid range is 5 to 20 centimeters.

Height - Height of pelvis measured in centimeters. Valid range is 7 to 20 centimeters.

Device - The device used to measure the pelvis: caliper, piston or other.


Yearling 2

A second set of yearling data can be taken and reported to the Association. Most of the fields and their purpose are identical to Yearling 1, and they are stored as separate values from yearling 1, however, the following differences are noted.

Weigh Date - Default valid range is 441 to 640 days.

Proj Weigh Date - The projected weigh date defaults to 548 days, which is equivalent to 18 months of age.

Bull test information is not available for Yearling 2.


Calculate process

AIMS is capable of calculating the Performance values in the same manner as the Association's computer system IF all contemporary grouping has been followed. The only time the performance values should be considered official is when a Lot Date is present (Lot Id may also be present on newer records).

Once yearling (1 or 2) dates and weights (and heights if applicable) have been entered, click on the Calculate button to begin the process. An intermediate screen (shown below) will appear to see if you wish to do All Calculations or only Calculate Rank. The first option will do all adjusted calculations that are possible with the presented information. If there are some animals that cannot be calculated, a screen will appear to list those that cannot and those that can be calculated. This is only for information so that you can go back and add missing data, if available.

The Calculate Rank option is only capable of filling in the "x" value of the Rank (x of y) field in cases where official performance information has been received from the Association, but the "x" value still needs to be figured.

The Calculate process cannot be run on the All Animals pen -- it must be run on a pen of animals, which is used as the basis for the contemporary group.

Calculations cannot be run on a pen that includes any officially recorded animals. In other words, if even one animal in a pen has a Lot Date, the Calculate process cannot proceed. Removing the animal from the pen is the only mechanism to continue the calculation. If corrections are necessary on the previously calculated animal, they can be corrected directly with the AHIR department at the Association.


Spreadsheet view

Click on the All button for the Yearling tab and the yearling data will be presented in a spreadsheet view. Here are some hints on how to take advantage of the spreadsheet view:

· You can simply and quickly enter data into a column by entering the number and pressing Enter to go to the next row.
· Sort the spreadsheet by any column - with a right-click on the column header (an example of the header is shown in the red box below) - to make it easier to see what data is missing. Empty fields will come to the top. You can also get quick ranks on how the animals compare.

· If your data is written out on paper in the order the calves came through the chute, sort the pen into that order. You can do this under Pen/Sort and then dragging the animals into the pen one at a time in the "random" order that the calves were worked. It may take a while to get them all in the correct sort order, but the benefits of entering the data (down each column) will pay off in the end.
· Don't forget to use the Pen | Pen Operations screen to pre-set certain values, especially the weigh date, for new records. See the Pens chapter for more information.


Importing Text files

Key data files on the Yearling tab can be imported from a tab-delimited text file. See the Import/Export chapter for more information.


Validate button

The Validate button performs a series of validations on the yearling data to ensure that the data is as complete and accurate as possible. It is likely not all aspects of the data can be checked due to information not available to a user, however, this validation increases the chance of problem-free submission of the data.

Here is an example of the information provided on an animal with many problems.

Each of these items must be addressed before the data can be submitted. Sometimes one problem will cause multiple messages so fixing the original problem may eliminate multiple errors. Continue to use the Validate button until the message is "NO PROBLEMS FOUND".

You can also Print the information to facilitate making the corrections.


Income/Expense Tab

The Income and Expense tab is where you can enter basic financial information about each animal in a pen. By using descriptions that help categorize your income and expenses, you can create a fairly detailed analysis of your cattle operation. This tab also shares its space with Medical for two reasons, 1) neither one has so many fields that it fills up one tab, and 2) you often have an expense item related to medical, and conversely, you often have expenses related to a medical procedures.

Add Record/Detail View
View
Update


Add Record/Detail view

The following fields are on both the Add and Detail screens (shown below). The process described here adds a record only to the currently selected animal. See the Pen Operations section for information on adding an Income/Expense record to every animal in the pen.

Tattoo - The tattoo field is simply the tattoo of the selected animal. This field is display-only.

Type - The item must be designated as either an Income or Expense by clicking on the appropriate option.

Description - A description for the income or expense can be added directly into the record and it will be available to future records in the drop-down list. You can also add and manage previous description under Tools | Inc/Exp Descriptions. It is advisable to keep close watch on spelling and capitalization of descriptions so that future reports will more easily summarize common income or expense records.

Amount - The actual amount (dollar value) of the item. Enter all values as positive numbers so that the income or expense type will calculate appropriately. Decimal values can be used. Values requiring the comma (thousands) separator will be automatically formatted, in other words, do not manually enter the comma in larger numbers.

Comment - The comment field has 255 characters available for any comment related to this specific income or expense record. Double-clicking in the comment field will open a larger editing window. You can also cut/copy and paste information from other Windows programs or other places from within AIMS.

Buttons - The Prev Animal and Next Animal buttons move the indicated direction within the current pen. The New Inc/Exp Record button will add another record to the current animal. Save and Close save the current record and close the current record respectively. Ok/Close will save according to the setting under Tools | Default Options | Prompt Records setting. A Remove Record button is also available in spreadsheet view in case you need to remove incorrect items.


View options

View

The Income/Expense tab has the ability to display all the records for one animal in a spreadsheet view or it can display all records for animals in the pen. The following image shows the default setting, Current Animal; clicking the All in Pen changes the spreadsheet to all animals in the pen.

Once you have displayed all animals in the pen, you can then take advantage of the column sorting (right-click on any column heading) to group records by description, date, type, amount, etc.

The screen also displays the total income, total expense and a net income/loss; depending on which view you are in, this will either be for all animals in the pen or for a single animal. (Example shown below).


Update button

When using the Income/Expense tab, you can also add the highlighted income/expense record to the Medical tab. Once you click on the Medical button under Update, you will be asked if you wish to add a record to Medical. If you answer Yes, and then switch views to Medical (by clicking on the Medical Tab button next to Details), you will be taken to that record on the Medical tab for that animal. Note that the tab label changes to "Medical." If more information is available, it can the be added to the medical record.

Tip: If you know you will be adding records to both Medical and Income/Expense tabs, it is generally better to start on the Income/Expense tab. This allows you to enter the dollar amount for the item and then update Medical, which is basically complete at that point. Starting on the Medical tab adds the extra step of needing a dollar amount when switching to the Income/Expense tab.


Medical Tab

The Medical tab allows you to record a variety of health information about each animal in a pen, however, non-health items could easily be added if you wish to track other types of management information. The Medical tab shares its space with the Income/Expense functions for two reasons, 1) Medical did not have enough fields to warrant its own tab and 2) it is closely related to Income/Expense since most medical procedures have an expense, and vice versa, many expenses are medical, or at least can be recorded on the Medical screen.

Add Record/Detail View
View
Update


Add Record/Detail view

The following fields are on both the Add and Detail screens (shown below). The process described here adds a record only to the currently selected animal. See the Pen Operations section for information on adding a Medical record to every animal in the pen.

Tattoo - A display-only field to display the tattoo of the current animal.

Procedure - The type of procedure can be added either directly into this field, or through Tools | Medical Descriptions. In either case, added entries will be available to future medical record entry and should be used as much as possible in order to eliminate spelling and capitalization differences. A "starter set" of medical procedures has been provided.

Date - The date the procedure was actually performed; this is a required field for every record.

Next Date - An optional Next Date can be added to indicate when the next procedure similar to this record needs to be performed. The Next Date could then be used to make a pen or report to help manage future procedures.

Comment - The comment field will hold up to 255 characters specifically related to this medical procedure. Double-click in the field to open a larger editing window. You can also cut/copy and paste information from other Windows programs or other places from within AIMS.

Buttons - The Prev Animal and Next Animal buttons move the indicated direction within the current pen. The New Medical Record button will add another record to the current animal. Save and Close save the current record and close the current record respectively. Ok/Close will save according to the setting under Tools | Default Options | Prompt Records setting. A Remove Record button is also available in spreadsheet view in case you need to remove incorrect items.


View options

The Medical tab has the ability to display all the records for one animal in a spreadsheet view or it can display all records for animals in the pen. The following image shows the default setting, Current Animal; clicking the All in Pen changes the spreadsheet to all animals in the pen.

Once you have displayed all animals in the pen, you can then take advantage of the column sorting (right-click on any column heading) to group records by procedure, date, next date, etc.


Update button

When using the Medical tab, you can also add the current medical record to the Income/Expense tab. Once you click on the Expenses button under Update, you will be asked if you wish to add a record to Expenses. If you answer Yes, and then switch views to Income/Expense (by clicking on the Inc/Exp Tab button next to Details), you will be taken to that record under Income/Expense for that animal. Note that the tab label changes to "Inc/Exp." If more information is available, it can be added to the expense record.

Tip: If you know you will be adding records to both Medical and Income/Expense tabs, it is generally better to start on the Income/Expense tab. This allows you to enter the dollar amount for the item and then update Medical, which is basically complete at that point. Starting on the Medical tab adds the extra step of needing a dollar amount when switching to the Income/Expense tab.


Registry Tab

The Registry tab is the where all of the data necessary to register an animal is collected. Although enough information can be entered and changed on other tabs to complete a registration, it is recommended that this tab be used whenever possible due to a series of validation checks.

Calf Group
Ownership Group
Register Group
ET/AI (Embryo Transfer/Artificial Insemination)
Sire and Dam Information Groups
Miscellaneous Group
Bull Permit and Breeder Certificate


Calf group

The Calf group is mainly a place to display basic identification information. The tattoo is read-only, so it cannot be changed at this time. The sex of the animal will have already been determined when the animal was added (tattoo and sex are required fields for any new animal). The Tag and Birth Date can be added or edited if they have not been added elsewhere. The Birth Date will be required if this animal is to be registered.

Building a calf's name

The Calf group contains a special group of buttons (shown above) which can be used to build a calf's name based on other fields on the screen - mainly sire and dam name. If the calf already has a name, it will be "locked" so that it cannot be accidentally changed while editing information. However, if the name has not been entered elsewhere, you can click on the Unlock button. This will present you with three other buttons for name-building.

Prefix - If you commonly use the same prefix for animal names, right-click on the Prefix button and enter the prefix (in whatever case you wish, all caps, mixed, etc.) and then click on Ok. This will "permanently" save the prefix for future use. To use it when you get back to the animal name, simply click on the Prefix button and your desired text will be entered into the name field. (The prefix text can also be changed under Tools | Default Options | General, Registry Prefix.)

Move - Since the main body of the animal's name is often composed from parts of the sire and/or dam name, you can take advantage of their names being displayed on-screen. If you only wish to move one word (defined as continuous text with a space or the end of field separating it from other text) from the sire or dam name, simply click once somewhere in the single word, then double click in the same place to move that text to the name field. Alternately, if you wish to use more than one word in the new name, click and drag across the text you want to use and once it is selected, click on the Move button to move it all to the name field.

Tattoo - By clicking on the Tattoo button, you can automatically use the tattoo of the animal as a part of its name. Doing so will only select the portion of the tattoo up to the hyphen so as to avoid using extensions that start with the hyphen character.

Once you have finished building the name, you can protect it by clicking on the Lock button. It will also be locked the next time you open this animal since it now has a name. In all cases, the build techniques will not allow adding characters beyond the 28-character limit for registered names.

Tip: The clicking, double-clicking and click-and-dragging all take a little bit of practice to see what actually happens. Keep experimenting and practicing and the results will be repeatable and worthwhile.


Ownership group

The ownership fields are important to the overall registration process since a calf owner must be designated in order to be registered. Keep in mind that member codes entered in these fields must not only be valid member codes, they must also match the respective ownership rules according to what is on record with the Association; the Association computer's records take precedence over anything you enter here, and registration applications with incorrect or out-of-date information will be put in Suspense status before the calf can be registered.

The Owners button can be clicked to open a separate window showing more information about the owners. The extra owner information will only be present if the owner code can be found in the Customer Manager system's Member Code field.

Breeder - This member code is the owner of record of the dam on the date of breeding service for this calf.

Calf Owner - Also known as First Owner, this is the member code of the owner of record of the dam on the date the calf was born, except in cases of embryo calves as covered under Section II, Part 3, Rule 5B of the Association rules. In other words, in most cases, the Calf Owner is the same as the 1st present owner of the dam when the calf was born. AIMS will establish the three fields (Breeder, Calf and 1st Present Owner) by default, using the 1st Present Owner of the dam. If the three fields should be the 2nd or 3rd Present Owner, AIMS can automatically move the present owner codes from the dam to all three fields of the calf. To make this move, simply double-click on the appropriate present owner of the dam and it will become the Breeder, Calf and 1st Present Owner of the calf.

Present Owners - Labeled as 1st, 2nd and 3rd, there can be up to three present owners of record for the calf. As described under Calf Owner, the 1st Present Owner can be automatically filled by double-clicking on the appropriate present owner of the dam. Percent of ownership can also be entered manually or by using the "spinner" controls in the appropriate box.

Dam's Owners - These three read-only fields, labeled 1st, 2nd and 3rd, are the present owners of the dam of the current calf. It is important to note that if ownership information has changed on the dam, the member codes must be changed by going to the dam's General tab, then click the Birth Info button or go to the dam's Registry tab.


Register group

The Register group includes a field for indicating your intentions of whether you want to register the calf or not -- the Register field must be set to Yes in order to be exported in the Registration application process..

The first Register field does not indicate that an animal has been registered; that can only be determined by looking at the Reg Number field on the General tab or the basic information above the tab area.

Register - This field indicates your intentions, in other words, marking it as Yes does not do anything to specifically register the calf, that is handled with exporting the data. All of the options make a useful field for creating new pens of calves. (An indicator that the calf is actually registered is the presence of a registration number on either the General tab or above the tab area.) By default, all new animals will be designated as Undecided. However, this default can be changed under Tools | Default Options | General, Register Status.
Yes - Means that yes, the calf is to be registered.
No - The calf is not intended to be registered.
Undecided - Registration has not be decided yet.
Pending - Useful for penning calves that will be registered, but the process has not been completed yet.

Valid Transfer - This field is not actually changeable by the user. It is simply an indication as to whether the appropriate, and validated Transfer information is present. To open the Transfer window, click either the Reg/Transfer or Transfer Only button at the bottom of the Registry tab. See the Transfer section for more information.

Electronically Stored Registration - This field is not actually labeled -- the selection values describe the purpose of the field. Two options exist:

Print Registration Paper - The default value is the "traditional" option where the actual registration paper is printed by the Association as soon as the application meets all requirements.
Electronic Paper-No Print - As of early 2004, this option was added by the Association. This option allows you to register the calf, but the paper is not actually printed -- it is "electronically stored" by the Association. The idea is to reduce the amount of paper you handle and provide the ability to subsequently transfer the "paper" to a buyer. Contact the AIMS or Registrations department for more information.


ET/AI Info group

The fields in this group are basic fields related to registration of animals. More detailed fields -- for the actual embryos -- are available on the ET tab, however, these are the more relevant to the registration of a calf.

AI - The AI check box is checked to indicate that this calf is the result of artificial insemination.

ET - The ET check box is checked to indicate that this calf is the result of an embryo transfer. When this box is checked, the AI box is automatically checked, although it can be manually un-checked in unique situations.

Removal Date - Also known as flush date or embryo removal date, this field is the date the embryo was removed from the donor cow. This date must be present if ET is checked and the calf is to be registered.

Type - Type is a drop-down field with options for Clone, Split and Normal.

Storage - The storage method of the embryo can be recorded (or pulled from ET records). Options are: 1 - Frozen Glycerol, 2 - Frozen Direct and 3 - Fresh. The numbers are present to allow quicker input -- once the field has the focus, press one of the three numbers to change the value.

Recip Tattoo - The tattoo of the recipient cow that was used for this calf. This field has been setup so that a right-click will open the animal information screen in order to see more about the recip cow.


Sire and Dam groups

The Sire and Dam groups are display-only fields which are present for reference while registering the animal. They are also useful in building the name of the calf and are shown to be sure the registration numbers are present - calves cannot be registered without sire and dam registration numbers.

Example of Sire and Dam information group.


Miscellaneous group

Birth Code - One of the following is recorded as the birth code:
Normal (default)
Aborted
Calf Dead (24 hrs)
Calf Dead (pre-wean)
Calf Sold

AI Certificate - Check this box if the animal will require an AI Certificate in order to be registered. An arrow (->) will appear next to this box if the sire's General tab has the AI Cert Required field checked prior to when the calf record is entered. This field only serves to remind the user of the need for an AI Cert - it does not serve as an official submission of an AI Certificate to the Association.

DNA Tested - Check this box if the calf has been DNA tested. This is an optional field for user reference only.

Bull Permit - Check this box if the animal will require a Bull Permit in order to be registered. Similar to the AI Certificate, an arrow (->) will appear next to the field if the Bull Permit Required field has been marked on the sire's General tab prior to when the calf was entered. (See the Bull Permit and Breeder Certificate section for more information).

Breeder Cert (Certificate) - Check this box if the animal will require a Breeder Certificate in order to be registered. (See the Bull Permit and Breeder Certificate section for more information).

Blood Typed - Check this box if the animal has been blood-typed. This is an optional field for user reference only.

Comment - A 255 character field for entering any comments regarding this calf specifically related to registration. Double-click in the field to open a larger editing screen.

Bull Permit and Breeder Certificate


Bull Permit and Breeder Certificate

A Bull Permit and/or Breeder Certificate can be submitted electronically. When you click on either of these two fields on the Registry tab, a window will appear (both shown below) to allow you to enter the Member Code of the appropriate owner. This serves the same purpose as signing the paperwork from traditional applications.

The Bull Permit records the member code of the owner of the bull when the cow was serviced. When Bull Permit is clicked and the calf is an AI, the Type field will be activated with drop-down options for 0-Pasture/Not Reported, 1-Full time employee, 2-Immediate relative or 3-Dam was sold by owner. If AI is not checked, this field is not available or necessary.

Example of the Bull Permit window.

The Breeder Certificate is the member code of the owner of the dam at the time of service. No other options are necessary.

Example of the Breeder Certificate window.


Transfer

The Transfer window, shown below, provides a way to transfer either a new calf at the time the calf is registered or to electronically transfer an existing registered animal (although its registration must exist only electronically at the Association.) The Transfer information is the same either way; the only difference is what button was used to get here.

Reg/Transfer button vs. Transfer Only button
Both of these buttons are on the bottom of the Registry tab and access the same screen (shown below) but operate slightly differently. The Reg/Transfer button will only allow you access to the Transfer screen IF the calf is NOT registered. The only way AIMS has to check this is the Reg Number field on the General tab, so this field must be blank to indicate the animal is not registered. (Note: if the calf actually IS registered but AIMS doesn't have the registration number entered, problems will occur when the transfer tries to go through the Association's computer.)

The Transfer Only button will work ONLY if the Reg Number field is blank -- basically opposite of the Reg/Transfer button. The difference is that you are going to enter the transfer information for a calf that has been previously registered and that calf was registered with the Electronic Stored registration option.

The first key field is the Trans Sale Date which is required in order to transfer this animal (313 in the above example). A right-click in the field will automatically enter today's date.

First Owner Retains Interest
As the First Owner (assuming this is a Reg/Transfer combination), you can retain partial interest, and therefore become a Present Owner, of the calf. However, no more than two buyers can be listed in order to retain interest since an animal cannot have four or more owners.

AI Breeding Privileges
If the seller wishes to provide AI breeding privileges, check this box.

Buyers
The calf can be transferred to up to three buyers (if first owner has not retained interest, otherwise the maximum is two). The buyers must exist in the Customer Manager section of AIMS. If you happen to know the unique Customer ID of the buyer, you can enter it in the Buyer ID field. However, in most cases, you will probably need to access the Customer Manager -- simply double-click in the Buyer ID white box and it will open the Customer Manager screen. Find the appropriate buyer and either double-click on the customer's row or highlight it and click the Select button.

In order to accurately record the buyer, all of the buyer fields must be filled in except Member Code. And even if Member Code is included, the other information is still required in order to verify the Member Code is accurate. In other words, you must provide Name/Ranch (which comes from the Ranch field of Customer Manager), Address, City, State/Zip.

Service Bull Information
If the cow is sold as pregnant, the Service Bull information can be provided as shown. Simply report the information requested by each field. If any information is provided, all of it must be complete.

Validation
In order to assure accuracy and completeness of the transfer information, a validation process is included. The information can be checked at any time by clicking the Validate button, or the window can be closed while at the same time, validating it with the Validate then Close button. IF the information is complete and valid, the Valid Transfer check box will have a check mark in it.

Valid Transfer
As noted above, the Valid Transfer check box can only be changed by AIMS. In fact, if you try to check it, you will get the following message:


Validate button

The Validate button will often be disabled if the Register field is set to No, Undecided or Pending. Once Yes has been chosen in the Register group, a series of validations are performed when you click the Validate button or anytime you use the Save button or navigate to another animal. The following validation steps are used to make sure required information is present:

· Animal's tattoo cannot be over five characters (this only applies to the portion of the tattoo in front of the hyphen separator, if present).

· Animal must have a birth date.

· Animal must have a name.

· Animal must have a breeder, calf owner and present owner. If the calf owner does not match any of the present owners of the dam, a warning screen will be displayed.

· If the animal is marked as ET, a removal date (flush date) must be present.

· Registration number of the sire and dam must be present. If they are not, AIMS will open a window where new animals can be quickly added to the system; be sure to include their registration number(s).

If the above information is considered valid, the following window will appear.

Note that it indicates only the basic validation has been checked (in the list above). Transfer information is checked on the Transfer screen. The Transfer screen and Valid Transfer check box are discussed in the Transfer section.


Sales Tab

The Sales tab is the central location for adding sales information to each animal. It is closely related to the Customer Manager, which is described in a separate chapter. The figure below shows the screen used to add records as well as edit existing records. The process described here adds a record only to the currently selected animal. See the Pen Operations section for information on adding a Sales record to every animal in the pen.

Tattoo - The tattoo field is a display-only field to confirm the animal you are working on. Note that the title bar also includes the tattoo and tag.

Type of Sale - The type of sale consists of three options: the Bought option indicates that this record indicates when you purchased this animal. The Sold option indicates the record is when you sold the animal. The Asking option is similar to Sold, however, it allows you to segregate animals that are yet to be sold versus animals that have been sold. It also gives you a place to record prices you hope to get in combination with the Asking Price field.

Current Active Status - This can be set to No once you have sold the animal to update the animal's Active/Inactive status.

Date - The date of the transaction represented by this record. Unlike most detail record date fields, the field is optional since you may be using the Asking option and don't yet have a date.

Selling Price - The selling price represents either the price you paid for the animal (Bought) or the amount you sold the animal for (Sold). The maximum value is $999,999.99.

Asking Price - This is the asking price of the animal, either currently or after the animal was sold. By having a separate field, you have a means to track the difference between how you price animals and what you actually get.

Sale Type - This field contains values for Auction, Private and Other in a drop-down field.

Cust Id - The Customer Identification field is the number from the Customer Manager portion of AIMS of the customer you either purchased this animal from or whom you sold it to. If you happen to know the exact number of the customer, you can enter it manually. However, in most cases, you will probably need to look it up.

To look up a customer, either double-click in the Cust Id or Customer (name) field. You can also click on the Select Cust button along the bottom of the screen. Once in the Customer Manager, you can search for or add the correct customer and then select it. The Customer ID number as well as the Name and Ranch will then be carried back to the animal record on the Sales tab. (See the Customer Manager section for more information.)

% Owner - The percent owner field can record the percent of ownership of the selected customer. By default, it will be 100%; you can override this manually or use the spinner controls in the field to increase or decrease the percent. To record multiple owners, simply add multiple records to the current animal and change the Customer ID and percentage accordingly.

Customer - This is a display-only field of the customer name and ranch related to the selected Cust Id. You can also double-click in this field to get to the Customer Manager.

Comment - A 255-character comment specifically relating to the sale of this animal. Double-click in the field to open a larger editing screen.

Buttons - Several buttons across the bottom of the screen help manage and navigate records. Select Cust opens the Customer Manager for selecting the appropriate customer related to this record. Prev Animal and Next Animal move to the respective animal in the pen. New Sales Record adds another record to the current animal which is good for adding percentage animals to the animal. Save and Ok/Close act accordingly to save or close the current record; Close will automatically save the record depending on the Tools | Default Options, Save Records setting.

Other Sales Tab Operations


Other Sales tab operations

View
By default, this option will be set to Current Animal. You can also choose All In Pen to see all sales records for every animal in the pen. In either view, the data can be sorted by right-clicking on the column header for the desired data.

Update
By clicking on either of the following, you can update or add the appropriate record.

Owner Codes will bring up the Animal Owners window (shown below) to edit the current animal's ownership information. The ownership information is not automatically changed since the Sales tab works with computer generated Customer ID numbers and ownership is by member codes.

The Income/Expense button will automatically add all of the proper information to the income or expense portion of the Inc/Exp tab. This is a handy way to sell an animal and record it as income for the animal. The currently selected sales record is the one that will be added as either an income or expense record, depending on the type of sales record.

Miscellaneous items
The total amount purchased and sold are automatically displayed by calculating the appropriate information from the sales record(s). Depending on the selection under View, this can be for all animals in the pen, or just the selected animal.

The Add Record and Remove Record buttons act just as you would expect by their name. See the Sales tab section for more information.

The Details button changes the view from spreadsheet to a single view of the selected record. See the Sales tab section for more information.

The Customers button takes you into the Customer Manager portion of AIMS for advanced work on customer names, etc.


Ultrasound Tab

Ultrasound data is collected by certified technicians who submit their data to the CUP (Centralized Ultrasound Processing) lab. The ultrasound data is then adjusted and distributed by the Association.

Scan Date - The date ultrasound measurements were scanned.

Scan Weight - The weight of the animal when the measurements were taken.

Technician - The name of the CUP-certified technician who did the actual ultrasound scanning.

Process Date - The date that the ultrasound images were interpreted by Iowa State University.

Management - As with weaning and yearling, this is a one-character, capitalized field to help designate contemporary groups.

Contemporary Group - As with weaning and yearling, this is a one-character, capitalized field to help break up contemporary groups when necessary.

Lot Date and Lot Id - These fields indicate the ultrasound data was imported as a part of an ultrasound import process.

Note: Although data can be manually added by the user -- using the Add Record button on the main Ultrasound tab -- the better method is to submit an Ultrasound request file to the Association which in turn will provide you an Ultrasound update file. Once this file has been imported, the information shown above will be up-to-date with information supplied by the technician, evaluated by the CUP lab and adjusted by the Association.

See the Import/Export section for more information on how to request and import ultrasound data from the Association.

The process described here adds a record only to the currently selected animal. See the Pen Operations section for information on adding an Ultrasound record to every animal in the pen. However, this has limited use due to the procedures mentioned above as well as the limited number of fields that can be duplicated to every animal.


Carcass Tab

AIMS includes the ability to enter actual carcass data and submit it to the Association as well as request an update for existing animals or for animals that were evaluated by other companies and have carcass data stored by the Association. The details on exchanging data with the Association are discussed in the Import/Export chapter. The figure below shows the detail view of the Carcass tab.

The fields included on the Carcass tab are as follows:

Harvest Dt - The harvest date for the animal.

Fat Thickness - The actual measured fat thickness, in inches.

PYG - The calculated preliminary yield grade using standard USDA calculations. This is calculated by AIMS so it is a display-only field.

Hot Weight - The hot carcass weight, measured in pounds.

REA - The ribeye area, measured in square inches.

REA Required - As determined by USDA to have adequate muscling at a certain weight. Starting at 500 pounds, the REA required is 9.8 square inches. It increases 0.3 square inches per 25 pound increment of carcass weight.

REA Adjustment - The adjustment factor used to calculate the final yield grade. If the measured REA is larger than the required REA, a negative adjustment will be made to the PYG, indicating above average muscling for that weight. The negative adjustment to PYG results in a lower Yield Grade. The reverse is true if the measured REA is smaller than the required REA.

KPH - Kidney, pelvic and heart fat, reported as a percent.

KPH Adjustment - The adjustment factor used to calculate the final yield grade. If KPH is below 3.5 percent, a negative adjustment will be made to the PYG, decreasing the numerical value of yield grade. The reverse is true if the PYG is above 3.5 percent.

Yield Grade - This is a calculated, display-only field representing the calculated yield grade. See appendix for further information.

Marbling - Two fields that comprise the marbling score. First is a drop-down field of all possible marbling scores as follows:

D - Devoid
PD - Practically Devoid
TR - Traces
SL - Slight
SM - Small
MT - Modest
MD - Moderate
SLAB - Slightly Abundant
MDAB - Moderately Abundant
AB - Abundant
The second field is a drop down of percents ranging from 00 to 90 by 10's. Values for either field can be selected from the drop-down box or by entering the first character of the desired value. The text portion may require further arrow movement to get the correct value due to duplicate first letters.

Quality Grade - The following quality grades are available in the drop-down field. The letter prefix is only to facilitate faster keyboard entry of specific grades.
A - Prime +
B - Prime
C - Prime -
D - Choice +
E - Choice
F - Choice -
G - Select +
H - Select
I - Select -
J - Standard +
K - Standard
L - Standard -

CAB - A simple Yes or No field to indicate whether the carcass qualified for CERTIFIED ANGUS BEEFT designation.

Live Weight - The weight, in pounds, of the animal on harvest date.

Lean Lbs - The weight, in pounds, of the lean carcass determined by the plant.

Dressing % - A numeric value representing the dressing percent - carcass weight divided by live weight times 100 - reported and/or calculated by the plant.

% Cutability - An estimate of the percentage of salable meat from the carcass. Percentage of retail yield of carcass weight can be estimated by a USDA prediction equation that includes hot carcass weight, REA, fat thickness and estimated KPH.

Group - A one-character, capitalized field to help contemporize animals within a pen.

Lot Date - This field will be used to indicate the lot date of processing from Association records.

Plant - The name of the facility where the carcasses were processed.

Rail Order - An integer value of the rail order (sometimes referred to as sequence number) at the plant.

Comment - A 255-character comment field specifically regarding this carcass animal. Double-click in the field to get a larger editing screen.

Calculate Button
The calculate button is used to initiate the calculations process that figure various fields on the carcass tab. See the appendix for further information.

Validate Carcass Button
The Validate Carcass button performs a series of validations on the carcass data to ensure that the data is as complete and accurate as possible. It is likely not all aspects of the data can be checked due to information not available to a user, however, this validation increases the chance of problem-free submission of the data.

Here is an example of the information provided on an animal with many problems.

Each of these items must be addressed before the data can be submitted. Sometimes one problem will cause multiple messages so fixing the original problem may eliminate multiple errors. Continue to use the Validate Carcass button until the message is "NO PROBLEMS FOUND".

You can also Print the information to facilitate making the corrections.


Embryo Transfer (ET) Tab

Embryo Transfer Tab

The modern registered cattle business includes a lot of work with embryo transfer (ET). AIMS includes comprehensive programming to facilitate the record keeping of embryos, recipient and donor dams, inventories, etc. This is a challenging task in computerized record keeping – making it simple enough to use on a "skim-the-surface" basis all the way up to a very sophisticated level that can track the ET data down to a specific embryo.

ET Records
Embryo Records
Miscellaneous
Example of ET Records Entry


ET records

The starting point for all ET records is the flush record, in other words, the record of when a donor cow was flushed for embryos. A flush record can be added to the ET tab for a donor by one of two methods: 1) When adding a breeding record to the donor, enter the AI Date and the Embryo Removal Date or 2) on the ET tab, click the Add Record button.
The following window will appear if you enter the Embryo Removal Date at the same time as the breeding record. In fact, AIMS will even help you enter the Embryo Removal date -- simply enter the AI date, then right-click on the Embryo Removal Date field and a date seven (7) days after the AI date will automatically be entered. Then, when you go to close or save the breeding record, this window appears. Answering Yes will add the appropriate record to the ET tab for this cow.

The figure below shows a typical flush record. This will open by either clicking the Details or the Add Record button on the ET tab.

General Info Group

Donor Tattoo - The donor tattoo field is a display-only field to specifically show the tattoo of the donor dam; the tattoo and tag are displayed in the title bar.

Sire Tattoo - The tattoo of the sire of the embryos recorded on this screen. Must be a valid tattoo of a sire in the current AIMS system.

Removal Date - The embryo removal date, sometimes called the flush date, of these embryos. This may have been automatically entered from the Breeding tab when an Embryo Removal Date was added to the donor dam's breeding records.

Technician - The name of the ET technician. Once a name has been added, it can be selected from the drop-down field on future records.

Active - This check-box field indicates if this flush record is still active; the active (or inactive) status helps manage multiple flush records in the embryo selection process in the breeding (transplant) process for the recipient.

Embryo Numbers Group
Recovered - The total number of embryos recovered on this flush date.

Transferred - The number of embryos out of the total recovered that were immediately transferred to recipient.

Frozen - The number of embryos out of the total recovered that were frozen for future use. Freeze method can be recorded in the specific embryo record.

Unfertilized - The number of embryos out of the total that were determined to be unfertilized.

Degenerate - The number of degenerate embryos as reported by the technician.

Implanted - The implanted number can be updated manually or by the Update process. It indicates the number of previously frozen embryos that have been recorded as transplanted into recipient dams.

Calves - This represents the number of calves that have resulted from embryos out of this flush. It can be entered manually or automatically through the Update process.

Sold - The sale status of embryos can also be recorded at the embryo level. The Sold field represents the number of embryos that have been sold from this flush.

Price Info Group
Total Asking $ - The total value of embryos using the asking price of each embryo.

Total Selling $ - The total value of the embryos that have been actually recorded as sold.

Ave Asking $ - A calculated field that averages the asking price of each embryo.

Ave Selling $ - A calculated field that averages the selling price of each embryo.

Note: The average can be calculated one of two ways. The method is determined under Tools | Default Options | General, ET Ave Prices. The Use all embryos selection averages the two values across all embryos, in other words, if the flush yields five embryos and one has been sold for at total of $100, the average would be calculated as $20. The Use embryo $ > 0 means only embryos with a positive value will be included in the average. For example, if six embryos were recovered and two have been sold for a total of $150, the average is $75.

Comment - A 255-character comment can be added for each flush record. Double-click in the field to open a larger editing screen.


Embryo records

Once a flush (ET) record has been added, specific records for each embryo can be added and tracked. After selecting the specific flush record, click on the Embryos button (bottom left of ET tab). If no rows are present, click on the Add Rows button at the bottom of the screen. A popup window (shown below) will ask how many embryos you wish to add for this removal date.

After entering a number, click on Ok and the desired number of rows (embryos) will be added to the screen - see the figure below for an example of the single view.

Donor and Sire groups

These two groups are display-only fields for reference.

Embryo Fields
Embryo Id - When individual embryos are added, they are automatically numbered from 1 to the number of rows you requested. In Single view, more records can be added by entering a new Embryo Id number.

Recip Tattoo - The tattoo of the recipient dam. Although tattoos can be added manually, the tattoo must exist in the AIMS database. Most recip tattoo entries will be made while adding transplant records on the Breeding tab for the recip cow.

Calf Tattoo - The tattoo of the calf that is born as a result of this embryo. The calf tattoo can be added manually, but it must exist in the AIMS database.

Asking Price - The asking price for this specific embryo.

Selling Price - The actual selling price for this embryo.

Customer Id - The internal customer ID number to whom the embryo was sold. Double-click in the field to bring up the Customer Manager in order to select a name.

Comment - A 255-character comment field for this specific embryo. Double-click in the field to open a larger editing screen.

ET Type - Drop-down field for selecting Clone or Split.

ET Storage - Drop-down field for selecting one of three storage methods: 1-Frozen Glycerol, 2-Froze Direct and 3-Fresh. The number is available to facilitate quick entry of a freeze method.

Stage - A single digit number for the embryo stage as reported by the technician.

Quality - A single digit number for the embryo quality as reported by the technician.

Sex - A drop-down field to record the sex of the embryo: Bull, Cow or Unknown.

Horn Side - A four-character field to record the horn side where this embryo was implanted as reported by the technician.

Cane - A 15 character field to record the cane number for this embryo.

Straw - A three digit number to represent the straw number.

Other Buttons
All or Single - Toggles between these two view options -- the Single view is shown above and the All view displays a spreadsheet view with each row representing an embryo.

Add Rows - Adds the desired number of rows, each representing an embryo for this removal date.

Remove Row - Removes the selected embryo record.

Select Cust - Another method (besides double-clicking in the Customer Id field) to get to the Customer Manager.

Save and Close - Saves or closes screen, respectively. Close will automatically save based on the Tools | Default Options | Prompt Records option setting.


Miscellaneous

Other features of the ET tab include:

View - Changes the tab view to either the Current Animal or All in Pen. The column headers can also be right-clicked in either view to sort the records by that column.

Details button - Opens a detail screen for the selected removal date (flush record).

Embryos button - Opens window with either all or single embryo records for this removal date. See the Embryo Records section for more information.

Update - Embryo Numbers - Updates all available information regarding embryos for each removal date of this donor cow. Due to the fact a user may wish to manually update some records but have AIMS update others, the screen in the figure shown below can limit how many fields are updated. Use the Select All button to quickly select all of the options, then choose Update to finish the process.

The Tips button will display the following information to help explain each update option.

In case the figure is hard to read, here are the explanations:

· Total Recovered - Total recovered based on number of rows. Not included in Select All since it may overwrite a hand-entered value that is more accurate than number of rows.
· # of Fresh Transfers - Finds fresh embryos that are in a Recip
· # of Dams Implanted - Finds all embryos currently in a Recip - fresh or frozen.
· # of Calves Born - Finds number of calves that have been added to Recips.
· # Sold - Finds number of embryos that have been designated sold.
· Total Asking Price - Total asking price, all embryos, this flush date/donor
· Total Selling Price - Total selling price, all embryos, this flush date/donor.

Add Record / Remove Record - Adds or removes embryo removal date records, respectively, for the current cow.

Projected EPDs - Uses the selected record to display the projected EPDs of the donor/sire mating. An example is shown below.

The projected EPDs can be printed simply by clicking the Print button.

The Projected Pedigree button provides a three-generation pedigree (shown below) of the resulting calf of this mating.


Example of ET records entry

Understanding the definition of all the screens, fields and buttons throughout the ET process is only part of effectively using the ET record keeping. The following is a step-by-step guide to using all aspects of ET records.

1. Breeding Records for the Donor
Before there can be embryos or transplants, the donor cow must be bred. (For this example, "DONOR" will be the tattoo/name of the donor cow and "RECIP" will be the tattoo/name of the recipient cow.) Assuming the correct pen is open, select DONOR and go to the Breeding tab. Click on the Add Breeding Record and add the appropriate breeding record – Sire, AI for the Type and the AI Date. You can also use a "hidden" feature of right-clicking on the Removal Date field to automatically enter the removal date, seven days after the AI date.

When you save this record, the fact there is a Removal Date will trigger an automatic feature (upon your approval) to add a flush record. If you answer Yes, you do not need the next step, skip to #3.

2. Create the "Flush" record for DONOR
While still on DONOR, change to the ET tab and click on Add Record. At a minimum, you need to enter the appropriate Sire Tattoo and Removal Date. You can also enter or select the name of the Technician as well as other fields if they are available. However, for our example, we will use the next step to start the process for the individual embryos.

3. Add records for each embryo
Assuming you have received the flush records from the technician, and while still on the ET tab, select the proper flush date and then click on the Embryos button (in the lower left corner). Now click on Add Rows which will then ask you how many embryos you wish to add. Enter the proper number then click Ok or press Enter.

4. Enter individual embryo data
Using either the Single or All view, enter whatever information is available or that you feel is necessary for your records. The more useful fields will be the Asking and Selling price as well as ET Type and Storage. Although you can fill them out here, fields such as Recip Tattoo and Calf Tattoo will be filled in by AIMS later in this process. Also notice that key fields such as Sire Tattoo and Removal Date are being carried through on all these records; so the more work you do in the beginning, the less you have to do later.

5. Enter transfer records for RECIP
Once you have flush dates and embryos entered, you can enter the records for transplanting embryos to RECIP. Open her records in the appropriate pen and go to the Breeding tab. Click on Add Transplant Record (not Add Breeding Record). The add record screen will automatically show you available (i.e. active) donor flush records; double-click on the appropriate donor record – in our example, the record for DONOR – and available information will be added to RECIP's fields on the left.

5a. Enter specific embryo information for RECIP
When you double-clicked on DONOR in step 5, it should have taken you a step further so that you can select the specific embryo you wish to use. Either double-click on the specific embryo or highlight it and then click on Select. By using the whole ET process, the Donor Tattoo, Sire Tattoo and Removal Date should already be filled in. (They can be entered manually, but we're using every bit of the ET process in this example). You will need to enter the Transplant Date which will become important in the calving calculations. Of course you can also enter the technician's name (the ET tech, not AI tech) and any comments.

6. Enter the new calf record
Assuming it's now calving season, you're ready to enter the new calf that resulted from the ET. Select RECIP, then go to the Calving tab. Click on Add New Calf to open a new calf screen; then click on Select Sire (at the bottom of the screen) to open all the current breeding records, which will include the ET record. You can either double-click on the appropriate record or highlight it and click on Select. Once you are taken back to the new calf screen, notice that many good things have automatically happened.

· The correct sire of the calf has been entered
· The correct dam – DONOR – has been entered.
· ET and AI boxes have been checked
· The Removal Date has been entered
· The proper embryo Type (Clone or Split) and Storage have been set
· RECIP has been entered in the Recip Tattoo field

At this point, all you need to do is enter the calf tattoo, sex, birth date, weight and name (if you're ready). Other normal calving things have also happened like the ownership records and default Birth fields are set to their default value, change if necessary.

7. Look at updated Embryo information
After you have completed the entire ET record keeping cycle, you can return to the ET tab of DONOR to update the various values for the embryos related to a certain flush record. Simply select the correct flush record and then click on Embryo Numbers in the Update group. A window will request information on what fields you wish to update.

The typical choice would be Select All if you wish to update all possible values, however, options have been provided in case there are some values you have entered manually and do not wish to have overwritten. After you have selected the appropriate fields and then chosen Update, you can double-click on the flush record (or choose Details) to see the final summary of information. Fields such as the price information and Embryo Numbers will be updated.

Summary of ET Record keeping Cycle
The steps discussed here are only intended to be one example of the overall cycle of ET record keeping. The entire system was designed to allow complete flexibility so that some parts of the process could be avoided and yet still maintain useful information. It is up to you the user to try various options and levels of complexity to find what system is the most useful for you.

At a minimum -- since it is a required field -- the Embryo Removal Date can be entered once at the beginning of the process and never typed again. The rest of the system is very flexible, so be sure to try various options until you are comfortable with the results.


Import and Export

One of the important features of AIMS is its ability to import and export data to and from the Association or other sources.

Importing Data - Describes how data in imported into the AIMS database stored on your computer.

Exporting Data - Describes how data is exported from your AIMS database to a file which can then be used in a variety of ways, although normally, to submit data to the Association.

Electronic Scales - AIMS provides a method to import a data file generated by electronic scales such as Tru-Test or Gallagher.

Import Text File - AIMS provides a method to import a data file generated by a variety of software such as Excel, Word or even PDAs (personal digital assistants).

Import EID - Import the EIDs saved in spread sheet using this option.

Import NSE - You can import the National Sire Data using this option. The EXP file can be imported.

Import Filenames
To better manage your files, the following table lists the files that you may be importing.
Prefix Type of File
A Additional Animals
C Carcass Update
H Entire Herd
D EPD Update
M Reg/Perfomance Updates
P Requested/Perfomance Updates
L Ultrasound Update

Export Filenames
The following table indicates the extension of each type of export file provided in AIMS
Prefix Type of File
A Additional Animals
AS Animal Set Creation AAA Login
AI Barnsheet Data (for CUP Lab)
W Birth Only
X Breeding Data
Z Breeding Sire Group
C Carcass Data
S Carcass Request
F Disposal Reason
E EPD Requests
V Pedigree Verification
G Progeny Update
R Registration
R Registrations and Transfers
T Transfers
U Ultrasound Request
W Weaning
W Yearling
W Yearling 2
W Yearling - Scrotal Only

Note: This list is subject to change, especially additions, as new features are added to AIMS in conjunction with the Association's IS department.


Importing data

AIMS provides a number of ways to get information into your computer system. Of course you can always enter the data manually—and much of the data can only be entered manually—but there are other ways of getting certain sets of data into the AIMS database. Some examples of imports are your herd data from the Association's computer, updated performance information, EPD updates, additional animals and registration numbers. There's even a way to import data from an electronic scale head.

The following types of information can be imported:

EPD/Registration Update - In response to your EPD request file, this updates all available EPDs for the animals you submitted in an EPD Request file. At the same time, it updates any available registration numbers. If the file is a response to an EPD update request, it will include all appropriate animals which are the requested animal plus the sire and dam.

Reg/Performance Updates - After you have sent in registrations, weaning or yearling weights, you will receive a disk or email with an update file containing all of the appropriate information; this includes the animals necessary to update -- and even fill out -- the original animal's three-generation pedigree.

Entire Herd - Use this process to import your herd data when received from the Association—either in cases where you are getting a "fresh start" or if you are loading data for the first time.

Additional Animals - There are times you will want to add more animals to your system, but it is a lot of work to add all of the information, especially when you can get the information from the Association. Details will be described in the Additional Animal section.

Carcass Updates - If you have carcass data on file for current animals that was submitted manually, you can send a request file to get the carcass data imported back into your AIMS system.

Ultrasound Updates - CUP lab ultrasound data can be imported back into AIMS. Similar to EPDs and carcass data, this is in response to a request file that you submit to initiate the process. (See the Export section for more information on creating and submitting the files.)

Weight Text Files - AIMS has the ability to import a tab-delimited file with weaning or yearling weights. This provides a basic method to import data from other programs, such as a electronic ID scanner program, a simple Excel spreadsheet or even a personal digital assistant (PDA).

Weight Text Files - AIMS has the ability to import a tab-delimited file with weaning or yearling weights. This provides a basic method to import data from other programs, such as a electronic ID scanner program, a simple Excel spreadsheet or even a personal digital assistant (PDA).

Import EID File: Import the EIDs saved in spread sheet using this option.

Import NSE: You can import the National Sire Data using this option. The EXP file can be imported.

Basic Importing
Additional Animals
Import Filenames


Basics of Importing

The basic process to import files is virtually the same for all types of importing. Let's use an EPD Update as an example and go through the steps. We're assuming the file was received by email and that you saved it in the c:\aims20\files folder on your computer. (It's up to you to operate your email program and get the attachment saved to your computer. See the section on How to Use Email Attachments for more information.)

1. Choose File | Data | Import Files from the menu commands. Since we're doing an EPD update, change the Operation by clicking on the drop-down box and select EPD Updates . The window should look like this:

Note: The Select Pen section of this window is only used when importing Additional Animals, so most of the time, you can ignore what pen is selected.

2. To choose the actual file to be imported, use the Browse button and navigate to the proper location. For this example, we are changing to the c:\aims20\files folder, where the email attachment was saved.

2a. At this point, you have the option to Preview the data in the file you received. This can be handy for verifying that you are importing the correct file; many use this for "peace of mind" that they are getting the right data. Simply click on the Preview data before Import button and you will receive a screen similar to this:

The preview includes basic information - which varies according to the type of import file - as well as a total number of records being imported. The data cannot be changed on this screen. After previewing the data, click on the Ok button to get back to the main import screen. If you click on Close at that point, nothing has happened, i.e. data has not been imported.

Note: Importing files produces significant changes to the database. Now would be a good time to make a quick backup of the entire database with File | Backup just in case something goes wrong during the Import process. Something as simple as uneven electricity or lightning can hurt or ruin the data.

If you are ready to continue with importing the data, choose Import and the process will begin.

3. To download the data from the server, use the Download Data button. The files in the server will be displayed.

Select a file and click Process.
Note that, files that are ready to be downloaded can only be successfully downloaded.
Conflicts that occur (if any) will be shown.

The following functionalities are available:

Add Animal, Update Reg, Skip Animal and Cancel Process.
Select a tattoo and click the button corresponding to a functionality to have it carried out.

4. If the update process cannot find a match for any of the records in the imported file compared to your database, it will display the following information.

You can use Print or Save to File to preserve this information for reference as you try to determine what has happened. You can also select a specific animal, then choose Details for further processing as shown below.

5. AIMS will make educated guesses, based on tattoos, of which animal already in the system best matches the animal information being imported. You can choose an animal and then the Use Selected Animal button (not shown in the example) to update the animal you selected with the data from the record in the top section. You can also use the Another Animal button to use the normal Find Animal windows to find the correct animal by traditional search methods.

Once you have selected an animal or chosen the Skip/Close button (not shown), you will return to the Import Results screen to work on the next animal that was not matched.

Note : The most common reason for an animal not matching during import is that one ore more of the key identification fields have been changed during the time the Association was working on your data. For example, you send an EPD Request with a bull identified as tattoo=1234, sex=B, dam tattoo=5678, birth date=1/1/96. (These are the four fields that must be used for the Association to match the animal if a registration number is not available.) Then, while the Association is processing the data, you change the sex to Steer (S). When the EPD update file is returned, AIMS cannot find the "bull" and the animal gets put in the Import Results list. That would be the time to choose the new steer record for 1234 and then Use Selected Animal .

6. After you have interacted with AIMS to resolve all of the animals that were not updated, Close your way out of the screens and you will receive an confirmation message that the process is complete.


Additional Animals

In general, there are two ways animals can be entered into AIMS-manually on the keyboard (either as a New Animal or on the Calving tab) and from an electronic file that was sent to you by the Association. The file can be the initial herd file from the Association or an "additional animal" file.

If you determine that it would be easier to request additional animals from the Association, you simply need to submit a list of those animals' registration numbers. You can send us the list by mail, fax or an email message. There will be a fee, so contact the AIMS department for current pricing information. Whatever the price, it is well worth it since the file includes the requested animal, its performance and EPD information as well as all the animals necessary to fill out a three-generation pedigree. That's a lot of information you don't have to type compared to a minimal cost.

Where do imported animals go in AIMS?
The additional animals you import will be added to the "general population" of animals in your system, in other words, they always go into the All Animals pen. However, once you have chosen the Additional Animals option, you can select the pen you want them put in. You can also use the New Pen button to create a new pen which will receive the new animals.

The figure above is from the Default Options screen (Tools | Default Options). The option determines whether or not the ancestors of the requested additional animals will be included in the new pen. Generally, it is likely that No will have the desired effect.

Note: this type of pen cannot be reselected like "normal" pens that were created with pen selection steps.

How to Import Additional Animals
Importing additional animals from the Association is a simple matter of going to File | Data | Import then changing the Operation to Additional Animals. Browse to the file you want to import (it will start with 'A') and then click the Import button. See the Basics of Importing section. for more information

Importing Animals from another AIMS user


Importing Animals from another AIMS user

The "normal" process for importing Additional Animals is fairly automatic, meaning you simply tell it what file to import, and AIMS handles any situations of duplicate animals, etc.

However, AIMS also provides the ability to exchange animal records between two AIMS users. One AIMS user exports an Additional Animal file, the other AIMS user imports it. In this case, the import process needs more interaction to handle duplicates, conflicts, etc. The first part of the process is the same no matter the source of the additional animal file, go to File | Data | Import then change the Operation to Additional Animals. At this point, browse to the file the other AIMS user sent you. IF it finds any situations that need your help, the following screen appears.

Important Note: Due to the potential impact of importing animals incorrectly, it is highly recommended that you make a backup before doing the Additional Animal import process. After the import, check a few key animals to see if things seem "right" and if they are NOT, Restore the backup and run the process again. Refer to the Backup section for more information.

As you can see, this is a pretty sophisticated process; please simply refer to the information on the main screen (above) and the Tips screen (below).

Here are some additional comments about the options described in the two screens.

Use Suggestion - AIMS will use the modified tattoo for the new (incoming) animal as suggested in the screen's last section.

Always Use Suggestion - If there are a lot of animals to be added and you prefer the computer "just take care of it", chose this button.

Update Existing Animal - It is entirely possible that the incoming animal is the same animal already on your system-perhaps an AI sire you have been using. If the incoming information has updated information that will add to your records, choose this button.

Do Not Add This Animal - For whatever reason, you may not want this animal to be added at all, choose this button.

Cancel Process - You can always cancel the process; no changes have been made to the "live" database so canceling at this point will mean nothing has actually been saved.

Note 1: Adding additional animals can be a tricky thing. You will often have many of the same animals already on your system, so pay close attention to conflicts. To avoid problems of mistakenly adding animals, it is again strongly suggested that you make a backup right before importing animals. If after importing additional animals, you realize you should have resolved conflicts a different way, you can restore the backup and try again.

Note 2: Previous version of AIMS had an obscure loophole which led to a scenario where the last animal of a three-generation pedigree could incorrectly link to an existing animal when it should have "dead ended". This loophole has been closed by simply not filling in the sire and dam tattoo fields for the last actual animal so that it links to nothing. See the section on Pedigree Verification for more information.


Exporting data

Exporting files is another way to take advantage of computerized records. In most cases, exporting files is for the purpose of sending information to the Association. Export types are as follows, including the prefix letter (the first letter of the filename):

Additional Animals (A) - AIMS users have the ability to export a file of additional animals just as if you had requested it from the Association. This is intended to be used for cases where one AIMS user sells animals to another AIMS user and the buyer wants to get the information from the person who has been entering complete information. An added bonus to getting the additional animals file from another user is that extra information such as breeding, medical, income/expenses and sales information is also included.

Barnsheet Data (AI_) - When working with the Centralized Ultrasound Processing (CUP) lab, it may be necessary to send this export file along with an AIMS-printed barnsheet. This will be described in more detail in the Barnsheet section below.

Breeding Data (X) - Data entered on the Breeding tab can be exported and submitted to the Association. See the section on Submitting Breeding Data for more information.

Breeding Sire Group (Z) - Depending on the type of Breeding data submitted by the Breeding Data export process, information on the sire group used for the pen of dams may be necessary. See the section on Submitting Breeding Data for more information.

Carcass Data (C) - AIMS also has the ability to submit new carcass data. Use this export file to create a file that includes all relevant information for submitting carcass data.

Carcass Request (S) - AIMS has the ability to request a file of carcass data stored at the Association; data which had been turned in by non-AIMS methods. (Don't confuse this with the next item for submitting new carcass data). Much like an EPD request, you export a file for the animals you wish to get carcass data, then we return an import file that updates your AIMS records with the appropriate information.

Disposal Reason (F) - As a part of the breeding data collection, disposal reasons for each dam in the herd can be submitted with this export. See the section on Submitting Breeding Data for more information.

EPD Request (E) - In order for the Association to update the EPDs on your system, we need to receive the file created by this process. This is necessary so that we know what animals are on your system (since some could be owned by others and we won't know you added them) and we need to know how they are identified on your system, especially the tattoo and its extension, if any.

Pedigree Verification (V) - Due to a variety of reasons, it is possible for pedigrees to become incorrectly linked. Since it can be as simple as a typo in the Sire Tattoo or Dam Tattoo field, it's hard to prevent.

Progeny Update (G) - This export process creates a special version of a request file that can be sent to the Association; we then return a special performance update file. AIMS knows that this file only updates the progeny table of all available dams. It is likely that this process is no longer necessary due to newer updates of the software.

Registrations/Transfer (R) - After you have entered and proofed the appropriate information to register new animals, you use this process to send a file of animals to be registered. This file will also include Transfer information if it was entered; this only applies to previously un-registered calves.

Ultrasound Request (U) - Similar to EPD and carcass data requests, this creates a file to send to the Association. The Association then returns a file to import into AIMS that updates any available ultrasound data.

Weaning (W) - Creates a file that submits weaning and birth weight information. Also includes dam's information if present.

Yearling and Second Yearling (W) - Creates files to submit either yearling or second yearling information. The yearling export also includes bull-test data.

Basic of Exporting
Registration Export Validation
Export Filenames
Pedigree Verification
Sending Files


Basics of Exporting

The general procedure for exporting files is virtually the same for any of the Export Operations. For this example, the Registration & Transfer process will be used.

1.

Choose the menu commands File | Data | Export Files to open the screen shown below. Registration & Transfer has already been selected as the Operation.

2. Other information has either already been filled-in or you need to supply it:

Filename - AIMS automatically gets ready to save the file to the c:\Aims20\Files folder. The filename has also been set as Rxxxxxxx.999. The "R" is for Registration, then your member code and then a numeric extension to make this file different from any previous registration files still in the folder. You can use the Browse button to navigate to another folder and/or disk a:however, it is highly recommended that the filename be used as provided.

Member Code - The member code taken from the Breeder Info, used in the filename and assumed to be the owner of the software. If secondary owners (of the software) are included in the AIMS database and you are reporting their data leave the member code under the original primary owner. The Association's computer will only accept files with a member code that has purchased the software -- it will recognize that the animals may be owned by one of your secondary owners.

Credit Card # and Expiration Date - The appropriate information that submits your credit card information for payment of fees. Do not enter any extra characters - such as hyphens or spaces - in the credit card number; AIMS will stop and require you to take them out before it will accept the number. The expiration date is entered as mm/yy (i.e. two numbers for the month, then a slash "/", then two numbers for the year.)

3. Use the Select Pen to Export window to pick the pen involved in the export-in the case of registrations, choose the pen of calves you wish to register. The pen you were working in when you selected the Export process will already be selected, but you can change to another pen in this list if necessary.

The Status area summarizes everything that's going on throughout the screen. Read through it to make sure everything is correct. Take special notice of the exact filename and file destination (path) since this is where you need to find the file for attaching to emails.

4. Finally, you're ready to finish the process by choosing the Export button. When a Registration/Transfer is completed, a window will confirm what happened (see Figure 1 below). Other types of exports may result in different message windows if there were problems. Once you have received the Export Completed window (see Figure 2 below) you can deal with mailing the disk or attaching the file to an email message.

Figure 1: Information screen received after exporting registration/transfer data. This screen only pertains to Registration/Transfers.

Figure 2: Final confirmation screen for all export operations. Take note of the path and filename in order to submit the correct file.

Click OK when you're done exporting files.

If the export process was not completed correctly, a window will appear with the appropriate notification. Generally you will want to go back to the appropriate tab and use the Validate button to get specific details about the problem.

5. To export data directly to the server, use the Submit Data Online button.

The validation process will be done initially and if no errors are found, the data will be saved to the server directly.

Validation errors are listed on the right-hand side of the screen.
Click on an error to view the details corresponding to the tattoo. Correct the errors and save.

Click the Check Out button to complete the process.

Other Export Messages

Weight Information Validation
Other screens can appear during the export process. The first example shown below is the result of an attempt to export weight data -- either weaning or yearling.

As noted in the message, three calves in the pen have one or more validation problems that must be resolved before this data can be exported. It is feasible to remove the animal from the pen to eliminate the error, but that means the calf's weight information will not be submitted to the Association. A report can also be printed, with the Print button, to have a hard-copy when returning to the appropriate tab at which time the Validate button can be used to identify specific problems.

Sire Registration Numbers
During the weight export operations, the Reg Number field of each sire is checked. If the field is blank for any sires, the following screen will appear.

The on-screen information explains the options, but in general, the sires must either be given their proper Association registration number or they can be assigned a 900000000 (900 million) non-registered number.


Registration Export Validation

Due to the importance of getting all of the information correct for registrations, the export process for registrations will validate the following:
· Animal's tattoo cannot be over five characters (this only applies to the portion of the tattoo in front of the hyphen, if there is an extension).
· Animal must have a birth date.
· Animal must have a name.
· Animal must have a breeder, calf owner and present owner. If the calf owner does not match any of the present owners of the dam, a warning screen will be displayed, but it can be overridden.
· If the animal is marked as ET, a removal date (flush date) must be present.
· Registration number of the sire and dam must be present.

During the export process, these items will be checked; if any information is missing, a screen will be displayed with special indications of what is wrong with each record. This information should be fixed and the registration process re-run before the file is submitted to the Association. Here is an example of the Registration Export Failure screen.

Only animals that are to be registered but have problems will appear on this screen; the dark box indicates the problem. In this example, the animal is missing its birth date; this will need to be fixed on either the Registry or General tab before the pen can be successfully exported. Use the Print button at the bottom of the screen (not shown) to print the information and use the appropriate AIMS tab(s) to make corrections.

The Validate button on the Registry tab will identify the same problems, so be sure to use it when possible.


Sending files

There are two ways to send your exported files to the American Angus Association -- on diskette or email. The method you choose depends mainly on your computer equipment and the level of comfort you have with using the modem and related software.

Sending data on diskette
If you chose drive a: as the location for exporting your data file, the file is put on the diskette and ready to mail. You should also put some type of a label on the disk with your member code, name, phone number and type of file. If you chose a directory on your hard drive as the location for exporting your data file, the file must be copied to a diskette and then mailed.

Be sure to verify that the file is on the diskette before mailing.

Mail diskettes to:
American Angus Association
Attn: AIMS
3201 Frederick Ave.
Saint Joseph, MO 64506

What kind of diskette?
In general, it is acceptable to copy ("burn") the file onto a CD-ROM.

Multiple Files on one disk?
The files generated by any of the AIMS exports are very small, even if there are several thousand animals in the AIMS database. For example, a typical weaning weight file could probably fit on a CD-ROM over 100,000 times! So yes, you are welcome to put all the files you need to send on one disk.

Sending data by email
Any of your export files can be sent by electronic mail – email – using the Internet. You must of course have everything necessary to get on the Internet: a modem or cable hook-up, an account with an Internet Service Provider and software to send email, all of which is beyond the scope of this manual. However, the Appendix includes a section that describes sending email attachments in almost excruciatingg detail. It is a reprint (with updates) from an Angus Journal AIMS Tech Notes column.

Assuming you are already using email, simply address an email message to aimsfiles@angus.org and attach the export file(s). It also helps to include a short message explaining what's in the file and how you would like the data returned.

Once the file is received, the AIMS staff will make an initial check of the file to confirm that the file can be read and that there is data. A reply message will also be sent to confirm receipt of the file. If you do not receive this reply message, it is very likely the Internet has "lost your email" and you should either contact the AIMS department or resend the file.

Note: There is no automatic process to confirm receipt of mail-in files on a disk. Only files submitted by email will receive a "receipt."


Electronic scales

A variety of companies are manufacturing scales with some type of electronic read-out; an electronic read-out is a short step from creating a file that can be imported into the computer. The problem (or at least one of them) is that each company has a slightly different idea of how to capture, identify and store the data; and each herd record keeping program has a different way to process and store the data.

The next problem is that many electronic scale control panels do not allow alphabetic characters, in other words, they can only create numeric IDs. This of course, is a problem for tattoos since many include some type of non-numeric character.

Creating the Weights Link
Udating Weights
Scale Profiles


Creating the Weights Link

The basic premise of a weights link in AIMS is that a pen of animals is given a temporary identification number that AIMS will store for future use. The ID creates the link between the animal's actual tattoo and its numeric-only entry at the scale-head. To open the main Weights screen, choose File | Data | Create Weights Link and a screen with these instructions will open.
1. Select the pen of animals you are going to weigh and click Create IDs.
2. Print out the resulting report.
3. If you are going to weigh multiple pens, check the Multiple Pens check box and repeat steps 1 and 2 for each pen.
4. During this pen's weighing session, enter the ID from the report into the electronic scale for the corresponding animal.
5. When weighing is done, import the resulting file using the Update Weights option from the Import/Export menu.

The lower portion of the Create Weights ID Link window will display this type of information after creating the IDs.

Notice the first column - ID - this is the number to use on the scale unit as each animal crosses the scale. It is "linked" to the tattoo used in AIMS; for example, ID 4 corresponds to animal J456. The report printed in step 2 can be used as a worksheet for manually recording weights, therefore serving as a backup of the valuable weight data.


Updating Weights

Once the animals have actually been weighed with an electronic scale-head and the resulting file is brought back, probably on disk, to the main AIMS computer, you're ready to update the weights using File | Data | Update Weights.

Note: Never trust a computer with something as important as these weights. Always have someone writing down the weights (you can use the printout with the weights link). As soon as you only put the information onto a disk, something will go wrong.

Importing the Weights File
Here are the steps for updating weights from the actual screen; the fields and buttons are shown below.
1. Create an ID link using the Create ID link option from the File | Data menu.
2. When weighing is done, create a file of weights from your electronic scale. (This process can vary depending on the scale manufacturer, see their instructions for more help.)
3. Click Browse to find this filename below. (In most cases, you will probably be bringing the file to the computer with a CD-ROM.)
4. Select what type of weights these are. (The four choices are weaning, yearling, second yearling and extra weights. Also be sure to put in the Weigh Date that is to be used for these records.)
5. Select the scale type - if it doesn't exist in the list, define the import file by clicking Create Profile. (See the Scale Profile section for more information.)
6. Click Import to finish.

AIMS installs one default profile for Tru-Test scales. The file format was taken from documentation for one of their scales. You may need to modify this format for different Tru-Test scale models or create a new profile depending on the brand and model of scale you are using. Refer to the scale's user manual or contact the AIMS department for help creating these profiles.

Updating the Rest of the Weight Information
This process for entering weights will record the two most important fields - weigh date and weight. If you need to enter other information, simply open the appropriate pen and enter the information on the Weaning or Yearling tab. You can also use the Pen Operations screen to update records as a group.

Using the 'Extra Weights' Option
One of the weight types is 'Extra Weights' which provides a way to import weights that are not weaning or yearling. See the Weights section under the Tools menu for more information on how these weights are used. The rest of the process is the same as importing weaning or yearling weights.


Scale Profiles

The Scale Profile is a method to "teach" AIMS how the weight data file will be formatted as determined by the scale-head. Since different scale companies, and even different models of scales could format their data differently, AIMS needs this step to learn. Of course we are assuming the scale-head has a mechanism to create and save a data file which can either be transferred to the AIMS computer by disk or direct cable hook-up.

To create the profile, click on the Create Profile button and use the window shown below:

Scale Name - This will also become the profile name, so use a short descriptive name for the brand and/or model of scale.

# of Columns - The total number of columns stored in each record of the file. At least two will be required-the ID and the actual weight.

Column # with the ID - Generated by AIMS, entered by the weigh master. See the section on Creating the Weights Link for more information.

Column # with the Weight - The column actually storing the weight.

Delimiter - There are four delimiters included: Tab, Comma, Semicolon and Space. Tab and Comma are the most common. If other scales save with a different delimiter, the file could be pre-processed with a word processor using the search and replace command and then saved back as text with one of these separators.

Clear Profile simply clears the current Scale Name and sets the other values back to their default. Save Profile saves the current settings, which could be modified values from the original.

A comma-delimited data file conforming to the profile shown above might look like this:

4,750
1,679
3,775
2,765

If tabs are used as the delimiter, the file would look like this, although the à would be invisible (Word can show tabs in this manner).
4 à 750
1 à 679
3 à 775
2 à 765

Notice the "random" order of the animals, this is the order the animals arrived on the scale. So animal 4 (which is tattoo J456 from the example printed Creating Weights Link example) walked across first and weighed 750 pounds. Animal 1 (tattoo 32-X) was next and weighed 679, etc. In the first example, the comma is only to separate the fields, it is not a formatting character for the number format, in other words, the first line is not an animal that weighs over four thousand pounds.

Note: This is a good example of something you will want to try on a small pen the first time. It's also recommended that you make a backup of the entire data set (File | Backup) before importing weights.


Import Text File

AIMS provides a method for importing information into the weaning or yearling tables; this is different operation than importing Electronic Scale weights because 1) this operation can import more than just the date and weight, 2) this file is created by some other software program.

The Import Text File feature provides a relatively simple way to import a tab-delimited text file. It requires that you follow a very specific file format, even if the requested data is not used, but it provides a mechanism to import data that may have been entered using computer programs other than AIMS, such as Excel or Word.

Preparing weight data for AIMS

Importing the text file


Setting up the file

In order to improve accuracy of the text file import, it is recommended that a file first be exported from AIMS; this is mainly to get the exact tattoo used by AIMS. For this example, let's assume you want to create an Excel spreadsheet which will later be used to import weights.

1. Either create a simple Crystal Report format (if you own Crystal) or use an existing report. For example, you could use the Animal Inventory report since it has the tattoo and tag in the first and second columns respectively.

2. Export the file to an Excel format. This is done using the "envelope" icon ( [image] next to the printer icon) which means "export". An export window (shown below) will appear and the drop-down list should include various version for Excel. Leave the destination as "Disk file" and your next screen will have you name the file and give it a destination folder.

3. At this point, you will have an Excel file that you can open and manipulate as desired. If you used a report like the Animal Inventory, you will need to take out some "garbage" that is left over from Crystal's formatting, but the end result can be a fairly clean spreadsheet with tattoos and tags from AIMS and other pertinent information. Further work in Excel is beyond the scope of this manual. Here is an example of how the blank spreadsheet might look in Excel.

Entering Data
The point of this exercise is the ability to enter data into a program that you may like better than the methods used in AIMS and/or by other techniques such as an electronic ID tag reader and its software. So now is the time to actually weigh the calves or at least enter the data from manual records. Just be sure to get the data lined up with the correct tattoos and correct columns.

The data could also be entered into a PDA (personal digital assistant) such as a Palm-brand or Pocket PC-brand device and then transferred to the AIMS computer. There are several spreadsheet-type programs -- or even a word processor would work -- to enter the data and save it as a tab- or comma-delimited file for this import.


Preparing weight data for AIMS

The Import Text File routine for AIMS is dependent on a very specific file layout, meaning the fields must be in the exact order specified, with no extra information. You must also leave the AIMS version of the tattoo in the file, which is why we exported it -- in this section's example -- from AIMS/Crystal in the first place.

The next step in our Excel file example, is to manipulate the file into the correct columns. The fields below represent the columns you must create and/or arrange in Excel:

Tattoo: the full tattoo from AIMS, up to 9 characters.

Tag: this is only for display purpose, i.e. it is not used for looking up animals.

EID (electronic ID): this is an alternative method to find animals in AIMS. If you use this field, you do not need the tattoo, but the first field must still be in place, even if it is blank.

Weigh Date: the actual weigh date, formatted as mm/dd/yy.

Weight: the actual weight to the nearest whole pound.

Height: the height measured in inches to the nearest tenth of an inch; i.e. 99.9

Scrotal: measured in centimeters to the nearest hundredth; 99.99

Management Code: 1 = non creep; 3 = creep fed; any other values will be changed to 1 (non-creep).

Contemporary Group: 1 character; always converted to upper-case; multiple letters truncated back to the first character.

Location: 4 characters; always converted to upper-case; over four characters will be truncated back to first four characters.

Misc: same as Location.

Comment: up to 255 characters, mixed-case letters or numbers.

As noted above, the EID field is optional IF you are going to use that field as the locator instead of tattoo.

Once you have these columns established, you are ready to export the file to a tab-delimited text file. In Excel, you simply use the File | Save As command and change the Type field to "Text (Tab delimited)" to create a text file. Depending on your version of Excel you may be able to leave out the column headers. In any case, the first row of data must be row 1 in the file; any column headers must be taken out of the file. This editing can easily be done by opening the file with Notepad or by simply removing the row in Excel before you export the file.


Importing the Text File

Once the file has been created and is ready to import, click on File | Data | Import Text file (note that this not under the File | Data | Import menu command). The screen will include the following fields and buttons:

The Update Weights window briefly describes the process as well as the field layout necessary (See the Import Text File section for an image of the full screen.) Other fields are as follows:

Filename - Use the Browse button or type in the path and filename of the appropriate text file.

Weights Type - Click on the drop-down arrow to select either Weaning Weights, Yearling Weights or Second Yearling Weights.

Lookup Field - Select either Tattoo or EID (electronic identification). If Tattoo is used, do not include the EID column in the text file. If EID is used, the Tattoo field must be present although it can be empty. See the information for the Miscellaneous group on the General tab for more information on EID.

Preview Data - Similar to the regular Import window, this can be used to preview the data before actually importing the file.

Import - When everything else is correct and ready, click the Import button to actually import the weights. When the process is complete, a window will notify you of how many records were imported. As always, it is a good idea to make a Backup before executing the import process in case something goes wrong and you want to go back to the previous data and try again.

Close - Closes this window when finished.

When the import process is complete, a screen will indicate the number of records imported. Also, be sure to check the appropriate tab to verify that the information was properly imported.


Printing Reports

Without reports, AIMS would be very limited in its usefulness. Sure, you can see virtually all of the data on-screen, and could maybe even print some of those screens, but reports really add value to any database program.

The Reports menu in AIMS contains over 40 different reports. Each of these access, process and organize the data stored within the various AIMS data tables and present it in an organized manner. Hopefully the reports have been designed to serve their purpose for your operation. However, all of the reports can be changed by you, the user, by editing the report format with a third-party program called Crystal Report Writer (CRW).

Printing reports may be one of the easiest things you will do in AIMS. The whole process can be boiled down to these three simple steps:

1. Open the pen or animal you want to use in the report

2. Choose the Reports menu command and then navigate to the report you want to print.

View it on-screen and if you want it on paper, click on the small printer icon on the reports window.

The majority of AIMS reports are designed to operate on a pen of animals. However, some are customized for single animals, such as the "3-Gen Single" report. In all cases, the report you select will automatically assume it should either print the report for the pen that's open, or the selected animal if it's a single-animal report.

Using Standard Reports
Other Features of the Print Window
Exporting Report Files


Using standard reports

A standard report is defined as anything that came with AIMS and has a menu option under the Reports command. Standard reports are accessed through the Reports menu; "standard" does not include custom reports that you have designed or received from other sources.

For this example, let's assume you want to print a three-generation pedigree report for every animal in a pen of cows. Here are detailed steps to print the report:
1. Open the pen as you would anywhere else in AIMS, by clicking on the Open Pen icon, or Pen | Open, and then choose the pen you want to use.

2. Click on the Reports menu, then Pedigree, then 3 Generation. Notice that in the status bar at the very bottom of the AIMS window, a short message appears as you move over each report name. For this report, the message says "3-Generation Pedigree (3gen_pen.rpt)". The name of the actual report format file is shown in parentheses to facilitate opening reports in Crystal Report Writer.

3. At this point, you may only want to view the report on the screen. The report window has several navigation and viewing options, discussed below, that help you get the most out of the report in this view.
If you want to actually get this report onto paper, simply click on the printer icon.

5. A dialog window will open with additional options; to actually print the report, click on OK. Once you have viewed or printed a report, simply close the report window—which is opened separately from AIMS—and return to AIMS for further processing or reporting. You can also print selected portions of the report by changing the Pages From and To options in the Print dialog window.


Other features of the Print window

The print window that opens separately from AIMS for viewing and final printing of the report also has several other features.

Maximize

To increase the size of the report for on-screen viewing, you can maximize the window with the typical icons in the upper-right corner of the window or menu commands. The middle icon of the set shown above is the Maximize icon -- it may look slightly different in different versions of the Windows operating system.

Page Navigation
The report window also provides "VCR" controls (so-called because of the similarity to many VCR remote control characters).

The first arrow (looking left to right) returns you to the first page of the report. The second arrow returns to the previous page of the report. The third arrow takes you to the next page of the report. And finally, the fourth arrow takes you to the last page of the report. On a really long report, you can click the square box icon to stop the processing, but this is rarely necessary.

In between are the page numbers; in this case, we are looking at page 2 of a 14 page report.

Zoom

The zoom option allows you to change the zoom level of the report. The initial value will depend on your computer's screen resolution and screen size as well as other Windows factors. Other options are as large as 400% down to 25%. The zoom also has preset values of Fit to Width which fills the width of your screen and shows as much height as possible; and Full Page where you will see the entire page of the report, no matter what size it needs to use for your monitor.

Experiment with various settings to see which one works best for you as well as your screen and the specific report you're working on.

Export Icon

The final icon on the top of the print window is for exporting reports, which will be described in the Exporting Report Files section.


Exporting report files

An alternative to viewing or printing the report is to export it to a different destination. Normally this will be a disk file that can then be imported into other programs. Once you choose the icon (shown below, assumed to be an envelop with a red arrow pointing into the envelop), an Export dialog window will appear to let you determine the Format and Destination. This type of export (which is not the same as the AIMS Export functions) is beyond the scope of this documentation, but here are some general concepts:

Format
Character Separated Values (CSV) (*.csv)
Microsoft Excel (97-2003) (*.xls)
Microsoft Excel (97-2003) Data Only (*.xls)
Microsoft Excel Workbook Data-Only (*.xlsx)
Microsoft Word (97-2003) (*.doc)
Microsoft Word (97-2003) - Editable (*.rtf)
Rich Text Format (RTF) (*.rtf)
XML (*.xml)

One of the more generic, and therefore very useful formats, is the Tab-separated text. Many other Windows programs will easily open or import a tab-delimited file. Depending on your data and the other program, Tab-separated values may also be helpful.

Destination

The most common and default option will be "Disk file." Once you have set the Destination and Format, click on OK and you will be lead through other minor settings (if necessary) related to the specific format you picked. Finally, you will provide a filename as well as a folder destination and then save the actual file.

At this point, you should be able to open the resulting file in your target application. However, you may have mixed results on whether this concept works well or not. You will probably need to experiment with formats to see which one works best with your applications.


Crystal Report Writer

Virtually all of the AIMS reports were designed with a third-party program called Crystal Report Writer (CRW). CRW is in a software category called "report writers" which access various data structures and print out the data using whatever design we give it. Also, CRW is capable of creating data as it prints a report—for example, the average of a numeric field—and then printing the result, but it is not capable of saving that data back to the original data files.

All of the standard reports included with AIMS were designed with CRW 7.0 Pro. Some reports were created with the development tool (PowerBuilder) that was used to create AIMS—those reports are not available for the user to make changes; examples include most reports that are initiated with a Print button as well as the NSE report; but any of the standard reports can be changed to better fit your operation or to add functionality to a report that you need. You can also create custom reports, meaning a report designed from scratch.

The ability to use a report writer like CRW is one of the most powerful "features" of AIMS because it means you are not limited to the developers' view of how you should use and view data. You have ultimate flexibility to use your data the way you want.

Crystal Report Writer is not the only report writer program on the market. The key feature is that it must be able to read SQL (Standard Query Language) files through the ODBC administrator of your computer.

Changing Existing Reports


Changing existing reports

The difficulty-level to change the standard reports can range from very simple to very challenging. But it can also be very rewarding, sometimes even fun! By changing a standard report, you are modifying the report that is run each time you use the Reports menu. Consequently, you need to be very careful that modifications don't accidentally change the intended purpose of the report. (On the other hand, maybe that's what you want to do, just be sure to do it knowingly!)

Crystal Report Writer 7.0 Pro – as a minimum – is required to change any reports. This also means you need to have purchased CRW from the AIMS department (you can purchase it from a software company, but it normally costs much more than what the Association can sell it for). The installation and start-up of CRW is a separate matter than AIMS so is not covered by this documentation. The following instructions assume you already have CRW installed and running.

1 - Open the specific report
You may need to run the report one more time in AIMS to remember exactly which report it is. Notice that the filename is in parentheses in the status bar at the bottom of the screen. You may also want to remember a unique feature about its appearance so that you will recognize it in CRW.
For this example, our target report is the herd listing for all active animals—the file name is herdlist.rpt in the AnimalReports folder which is in the Aims20 folder. So the complete path and filename is "c:\Aims20\AnimalReports\herdlist.rpt".

Note: It might not be a bad idea to leave the original herd list report intact and make changes to a copy that can be run as a custom report. So, you could save this report as herdlist2.rpt in the Custom folder. Later if you are convinced everything is okay and you want it to be the "real" Herd List report, you can copy it on top of herdlist.rpt in the original folder.

2 - Make the changes
An infinite number of changes could be made to the report. For extreme simplicity, we will only change the report title from "Herd Listing" to "Herd Inventory". If all has gone well, you will be looking at the design view of the report.

Click on the actual title area ("Herd Listing") and you should see a box appear around the whole title. Now choose Edit | Text Object to receive a typical editing cursor in front of the "H"; use the arrow keys or cursor to get to the word "Listing" and change it to "Inventory". If you're brave, try changing other things; or to play it safe, choose File | Save, then close out of CRW and get back to AIMS. This was a very harmless change, so we are assuming this can be saved back to the "real" herd listing report.

3 - Try the report in AIMS
Get back to AIMS, open the desired pen, then try Reports | Herd Listing | All Active. The report window should display the new version of the Herd Listing. See, that wasn't so bad!

Some other things you could change in a report like this:
· Change the size of the fonts used throughout the report
· Change the style of the font
· Change the color of the font (hint: look under Format, Font).

Changes beyond this are much more intricate and hard to describe. You can learn a lot from the Create a Custom Report from Scratch section. And remember, if you're working on a copy of the original report, you can't do any harm.

Note: If things go really wrong and you need the original back, there is a copy of all original reports in the Reports folder of the installation CD. You can also contact us and we can send or email the format file to fix things up.


Create a Custom Report from scratch

This section will lead you through the steps to create a report that lists the animals in a pen plus some basic information about each animal. You should have already created and saved a pen in AIMS and know the pen name before you begin this exercise. See the Pens chapter for more information on creating and saving pens. You should also have started Crystal Report Writer and be looking at the main Crystal screen.

Now you are ready to try the example report:

1. From the File menu select New. The initial window will not show the following options, simply click the Custom >>> button and the window will expand with these options.

It's hard to tell, but the Custom Report button is already "pushed", you simply need to click the SQL/ODBC button to get started.

2. Assuming this is the first time you have ever been to this screen, you will be presented the Log On Server window. This window is used to select the main database to be used throughout all AIMS reporting.

Select "ODBC - aims20", then OK and you will get the following window.

3. From the Choose SQL Table dialog box, find the pen_name table, select it and click the OK button. This will finish the process to start a new report and provide you with a blank report and the Insert Fields window.

3a. You also need to add another table — pen_members — to help control what animals will eventually be printed. Click on Database | Add Database to Report and select pen_members. This will automatically open the visual linking expert and display the default link between the name fields. Assuming the links look like the figure below, choose OK.

4. Choose Insert | Database Field to get the Insert Fields dialog box, then highlight the name field under pen_name and choose Insert. Move the field box to the Page Header section and drop it by clicking the left mouse button. This puts the name of your pen at the top of every page of the report. The figure below shows the screen after the name field has been dropped. (Note: only part of the Crystal screen is shown and your Insert Fields dialog box may appear lower).

5. The field -- or 'object' -- you just placed will display the actual name of the pen, for example: 'Active Cows'. You may also want to place a label in front of the pen's name. First, select the Insert menu, then Text Object. An Edit Text Field dialog box will appear; place it in front of the name field with a left-click. Enter the text as Pen Name:. You can resize the field by click-and-dragging the right edge of the field. Right justify it with the formatting icon in the main CRW toolbar. The display will look something like this:

6. Return to the Insert Fields dialog box and expand the pen_members table by clicking on the plus sign next to its name (in the following example, the pen_name table was collapsed by clicking the minus sign that was next to the table name). Highlight the tattoo field under pen_members and, drag this field box to the Details section of your report and drop it with a left-click. Notice that CRW puts the name of the field, tattoo, in the header, positioned over the field. The screen will look something like this:

If you wish to change the column header to Tattoo, simply double-click the column header and edit the text as desired. You may want to change the font style and/or size of the fields and headers. You can do this by highlighting the field then making the proper selections in the tool bar. You can also change the defaults to format the fields you add from now on. Choose File | Options | Font and make the desired changes.

7. Although this isn't much of a report yet, we can take a look at the report as it would print and then do a few things before we add more fields. To see how the report would print, click on the print preview icon [image] or choose File | Print Preview. After you have done this once, you will also have access to the Preview tab next to the Design tab.

At this point, the report will probably have two key problems; it isn't for the pen we wanted and it is not sorted.

8. To filter the report to only one pen, click on the name field that was placed in step 4, then choose Report | Select Expert. You will get a Select Expert window with a tab for pen_name.name. Change the second field from "any value" to "equal to". A new field box will appear. Click on the down-arrow and it will show you the names of all available pens. Choose the pen you wish to use for this report, then OK. You should end up with a window something like the following.

If you did not click on the 'name' field before you started step 8, you may have ended up with a tab for a different field (it will be to the left of the <New> tab. If so, delete the tab you don't want with the Del button, then click <New> and use the window that opens to select the 'name' field under the pen_name table.

When you get back to the report, you can try Preview again (now it's easier to use the Preview tab) and you may also be asked to select Refresh Data. The report should now be filtered to your selected pen. But the animals may not be sorted correctly, yet.

Note: If you will be running this report from the Custom Reports option in AIMS, you need to shut off the Save Data with Report option under the File command. Simply go to File, then Save Data with Report—if there is a check mark next to it, select it (when you come back, it will be gone, as shown below.) If there is already no check mark, leave it alone. Be sure the report gets saved with Save Data with Report un-checked so that the selection criteria being sent from AIMS will be used to print the report using Reports | Custom Reports.

9. To sort the report in the order you already determined in AIMS, you need to add another field from the pen_members table. Choose Insert | Database Field and then drag the sort_order field onto the report. Actually this field can be placed anywhere and later hidden—we don't want to actually print the order, we just want to use it for sorting.

Once the field is on the report, choose menu commands Report | Sort Records. Select sort_order in the left window and use Add to move it to the right window. When you choose OK, the report will be sorted in the correct order (assuming you're still in Preview).

To hide the sort_order field, select its control box, then choose Format | Format Field | Common tab and check the Suppress box. You can also right-click on the sort_order field, then click on Format Field to get to the same place. (Tip: keep trying right-click to find lots of good stuff).

10. Now you need to add another table to the report to get more fields. From the Database menu select Add Database to report. Select the angus table and then OK. The Visual Linking Expert will automatically be displayed with the two tables—pen_members and angus—with linking between two sets of fields. First, you need to select the link between the two name fields and then choose Delete—this link is incorrect and not necessary. The remaining link between the tattoo fields is important; the tables and links should look like the following screen, if so, choose OK.

If the link between the tattoo fields was not there or accidentally deleted, you can re-create it by first clicking on the tattoo field under pen_members, then drag from that tattoo field to the tattoo field under the angus table. It is important that the direction of the arrow be as shown above.

11. In the Insert Fields dialog box (if not already open, re-open with Insert | Database Field), expand the angus table by clicking on the "+" next to its name, then click-and-drag the tag field under angus to the Details line. Drop it wherever you would like the tag to appear. Other fields can be dragged and dropped into the Details section as desired. The figure below shows several fields in place:

Notice that the column headings automatically appear in the Page Header section above their respective fields and that you did not need to insert the tattoo field from angus since it is already in place from earlier. The header for tattoo has been edited to Tattoo as described in step 6. Other headers can also be edited by double-clicking on the control and modifying as desired.

You are done with the database tables so choose Close from the Insert Fields dialog box.

12. Before you print the report, you can add a title for the report. Just like adding the pen name field label, select Insert from the menu, then Text Object. Drag the control into the Report Header section, then enter your title, for example My Herd Listing. This would be a good time to try using the formatting icons at the top of the screen. With the title selected, change the font to 16 and make it bold by clicking the B. Later, if it isn't centered, you can select the title field and move it as needed.

13. Now would be a very good time to save all your work. From the File Menu, select Save. The File Save As dialog box will appear. Enter a filename (e.g. MyHerdListing.rpt) and you may again need to navigate to the c:\Aims20\AnimalReports\Custom folder. To complete the save process, choose OK.

14. Now the reward for your work, a printed report. After saving the file, you will be back in the report design. To display your report: from the Report menu choose the Preview tab. If asked to confirm the refresh, answer Yes or Refresh Data and CRW will display your report in a window. If you wish to print your report, you can click on the Printer icon or choose File, Print, Printer. Here is an example of what it will look like on the screen.

Congratulations! You have now created a report listing the tattoo, tag, sex and birth date of all the animals in a pen. If you wish to add other animal information to this report such as weaning data or EPDs, see the Table Fields and Descriptions section for a list of AIMS tables and field names. When you find the name of the table containing the information needed for your report, you can then add this table to your report with the Add Database to report option under the Database menu. Then it's just a matter of linking the tattoo fields, inserting each field you want and working with the column headings.

To print the report for a different pen while in Crystal Reports, simply go back to the Report | Select Expert and change pen name. Better yet, switch back to AIMS, open a different pen, then go to Reports | Custom and select your report from the Custom folder under the AnimalReports folder.

Virtually all of the reports you would make will start with this same set of tables and fields, especially if it is to be run as a Custom report, so be sure to save this report and use it as a skeleton of future reports.

Custom Report Advanced Features


Customer Manager

The Customer Manager section of AIMS provides the ability for registered Angus breeders to maintain a detailed database of customers. A variety of fields are available for virtually any piece of data you wish to track about a customer - some fields are user-defined so that you can customize your database even further than what AIMS offers. Through the use of export reports and other programs, there should be no limit to the power of the Customer Manager.

The main portion of AIMS manages animals by pens, the Customer Manager manages names by groups. The methods to create groups are based on the concepts used to make animal pens - the terminology of groups vs.pens is purely to avoid confusion during support calls and documentation.

A variety of fields have been provided for keeping track of your customers; and if the fields provided aren't enough, you can essentially create your own with the User Defined fields. If you do not have an existing customer name database, it is recommended that you take a look at all of these fields and think through the entire process before you start entering data. Many of the principles you start with will be with you (and sometimes haunt you) throughout the life of your customer manager software

If you already have an existing customer name database, contact the AIMS department to discuss possible conversion services. In general, if your data is already in a computer program and you want it in AIMS, there's probably a way to convert it to a file that can be imported into AIMS.

Here is the full window for the Customer Manager; each group will be described below.

The Customer Manager is accessed by three methods: 1) using the AIMS menu command Customer | Customer Manager, 2) by double-clicking in the Customer Id field of the sales record or 3) by clicking the Customers button on the Sales tab. The first method (by menus) opens the window shown above which has the main buttons along the left side. Using the other two methods access a version where the buttons are along the right side. The only different -- albeit an important one -- is that the version shown above can be maximized as a full-screen window, an important and useful feature for the All view.

Customer Group
Address Group
Miscellaneous Group
Phones Group
User Defined Group
Dates Group
Comment and Directions Groups
Customer Manager Buttons


Customer group

Customer

Last Name - The last name of the customer is kept separate, when possible, to facilitate sorting during reports and searching (30 characters)

First Name - The first name of the customer, where applicable, can be added here (30 characters)

Member Code - The American Angus Association member code (7 characters)

Ranch - The name of the ranch (30 characters)

Sort Name - This is a specialized field to help with sorting in unique situations. For example, if the ranch name is "John Smith Angus", simply sorting on the Ranch field would put this name in the "Js." Also, you may want to put the name of the herdsman in the First and Last Name fields, so let's say his name is Bob Williams, it would sort as Williams and that's still not what you may want. The Sort Name field offers a ten character field to specifically determine at least one common field that will help with sorting. In this example, you could enter Smith as the Sort Name so that you will find this record under the "Ss."

Active / Inactive - Just like animals, a customer may be inactive but you don't want to lose track of the information you have on the customer. Typically this field will stay as Active, but you have the flexibility to make it Inactive, especially for selection purposes.

Customer ID - This value is not shown in the above example, but it will be displayed as a separate column when using the All view and it will appear right next to the word "Customer", which labels the Customer group. The Customer ID is generated by AIMS each time a new customer record is generated; it will always be the next highest number for that particular field and cannot be determined or changed by the user. The fact it is read-only maintains its uniqueness within the AIMS system. Even when a customer is deleted from the AIMS system, that Customer ID will still not be used for new records.

For example, let's say that you have 10 customers in your Customer Manager list and you decide to delete Customer ID number 7. You now have nine records in Customer Manager. The next new customer you add will get Customer ID number 11. If AIMS did not handle it this way -- and had added it back in 7's place -- any animals that had originally been attributed to the now-deleted "7" would have been attributed to wrong customer.


Address group

Address - Postal address of the customer (30 characters)

City - Hometown of the customer (30 characters)

State - Home state of customer. For consistency, this field is a drop-down box so that the state can be selected from a complete list of states. If you wish to print the two-character abbreviation for states on labels and reports, you will be able to link from this field to the state field in a special states table.

Zip - The postal zip code of the customer (9 characters)

County - This is the county within the state - not to be confused with Country (60 characters)

Region - The definition of Region is at the discretion of the user. For example, you may enter "Northwest" which could mean the northwest part of your county, your state or even the Pacific northwest (Washington, Oregon, etc.) (25 characters)

Country - The country this customer address represents. Defaults to United States (60 characters)


Miscellaneous group

Miscellaneous

Most of these fields are purely informational and will be useful in varying degrees to different AIMS users.

Spouse - The name of the customer's spouse can be entered here for the sake of good PR (15 characters)

Children - Several names of the customer's children can be entered here. Like Spouse name, it may turn out to be good PR. For example, it could be worked into a very personalized form letter at Christmas (60 characters)

Referral - How or who you got this name from. This gives you the ability to track where your good (or bad?) customers have come from. (30 characters)

Salutation - The salutation is how you want to address this customer in form letters. Will it be "John" or "Mr. Smith"? By having this field in addition to First and Last Name fields, you can vary it depending on how well you know each customer (10 characters)

Cross Ref - The cross reference field provides a means to link related customers, whether they are family relatives or employees of a ranch. Enter the customer ID to link to a primary or secondary customer record. A right-click in this field will call up a window to tell you the name of the customer referred to in this field.

Herd Size - A number representing the approximate size of the herd for this customer.

Bidder Id - The bidder number that this customer used at your production sale.

Email - The Internet email address for this customer. This field could be "cut-and-pasted" in to an email message (40 characters)

Web Site - The Internet World Wide Web address of this customer's web site. This field could be "copy and pasted" into a web browser (100 characters)


Phones group

Up to four phone numbers can be stored for each customer - home number, a second number, work and a fax number. Fields are pre-formatted for area code, prefix and number.


User Defined group

Six fields - three drop-down and three check boxes - are available for you to further refine the information gathered for each customer.

Changing the labels: Each field label can be changed by double-clicking on the label and then entering a short label. This label applies throughout AIMS, so it is important to think through how you want to use these fields before you start entering data. The following are the default labels and how they could be used - remember, you can change any of the labels, not just the ones labeled "Other". Also, the actual name of the field when used in the Group selection steps is shown in parentheses.

Drop-down fields

Each time a value is entered, it becomes available to future entries.

Buyer Type - Options could include Bull, Cow, Semen, Embryos, Equipment, etc. (buyer_type)

Priority - Options could include High, Medium, Low, New, Regular, etc. (priority)

Other - If it hasn't been covered by the two other user defined fields, you can enter it here (user_ddlb; ddlb stands for "drop down list box")

Check-box fields
Either the box is checked or not, simply by clicking on the box or label. In the customer table, values of Y for checked and N for not checked are stored. If the field has never been used, it may contain a null value.

Catalog - Check this box if you want the customer to be included in a selection for your catalog mailing (user_ckbox1)

Newsletter - Check this box if you want the customer to be included in a selection for a newsletter mailing (user_ckbox2)

Other - If it hasn't been covered by the other two check boxes, create your own label and use as desired. (user_ckbox3)


Dates group

Good management of customer names includes keeping track of dates related to the customer. Date fields take some effort to maintain their accuracy, but the added knowledge they provide may help you keep better track of customers - treat customers well and they may do the same for you.

Each of these dates can automatically be filled with today's date simply by right-clicking in the field. The date comes from the computer's system date, so be sure it is set correctly to maintain accurate records.

Creation Date - The date this record was created. Helps you keep track of how long this name has been in your database. By default, today's date will automatically be inserted here on new records, but the date can be changed if desired.

Update - The last date that you made a change to this record. For example, this could be helpful in cases where you know someone has moved, but you're not sure if you've already edited their information; if the date is still very old, you know you need to change the address.

Last Contact Date - Helps you answer the question "when was the last time I talked to...?" This date can be very useful for creating temporary groups with a report that gives you a list of people to contact for a sale, or simply to see how things are going.


Comment and Directions

Both of these fields are typical comment fields, meaning they can hold up to 255 characters.

Comment -- Another field to keep track of information, perhaps that doesn't fit into any other Customer Manager fields. For example, you could use Comment in combination with the Last Contact Date to track activity of a customer.

Directions -- Originally intended for entering driving directions to this customer's location. If that's not necessary, it gives you more space for comments.

Double-click in the either field to open a larger editing screen.


Customer Manager buttons

A variety of buttons are placed to the left or right (depending on how the Customer Manager window was opened).

Single or All - Toggles between these two options for changing the view. The All option can provide a lot of customer information if the window was opened with the Customer | Customer Manager menu command. If there is a maximize icon in the upper right corner of the Customer Manager window, click it to view your customers in a spreadsheet format.

Add Customer - Brings up a blank screen (or new row in All view) for adding new customer records. This button is only active if the All Customers group is selected.

Remove Cust - This will permanently remove the currently selected customer name.

View Animals - Opens a window (an example is shown below, although it has been condensed to save space) with a listing of the animals the selected customer has purchased from you or sold to you. A head count and net value are also calculated. The window can be printed as a report by clicking the Print button.

Find Customer (shown below)- This provides a search method when there are too many names to scan in All view. A search field is shown on the top of the table. Enter the text or number you would like to find and results matching the entered text or number are shown on the table.

Select Customer - This button is only available when you have entered the Customer Manager to specifically find a customer (usually from the Sales tab). Once you have clicked on the appropriate customer row, you can either double-click it, or use this Select Customer button.

Groups - These buttons will be discussed in the Groups of Customers section.

Save - Saves the current record but keeps it open for further viewing or editing.

Single Report - This is a special type of report button which sends a command to AIMS to open a certain report -- titled single_customer.rpt -- for the currently selected customer.

Save Sort Order - It is likely that you will want to save the sort order of the group based on something different than the last name field. Once in All view, you can re-sort the data by simply right-clicking on any of the column headers. If you want that new order to be the real sort order for the pen -- mainly affecting reports -- simply click this button.

The following buttons are not shown on the image at the top of this section.
Navigation arrows - Move to the previous or next row in the All view. In Single view, you can use the keyboard's PageUp and PageDown keys to move the previous or next record.

Close - Closes the current record after saving any changes you have made.

Delete All In Groups - Once a customer group is open, you can delete all of the customer names in that group. This is provided for "cleaning up" old records of customer names you are sure you no longer need. Using this button is rather drastic and should be used with extreme caution. The button is placed in a isolated location so that it, hopefully, cannot be clicked accidentally. If you do click it, another window will open with specific instructions on how to actually delete the names -- read and follow the directions carefully!


Groups of Customers

Groups of customers are equivalent to pens of animals -- it just sounds nicer to put people in groups. You can create groups of customers for any purpose using a combination of all the fields in Customer Manager plus the animal's Sales tab information. For example, a simple group would be all of the active customers out of your customer list. Another example would be to group all of your bull buyers (from Buyer Type) with more than 20 head (using the Herd Size field).

Creating a new Group
Click on the New button to begin the process to create a new group of customers. First, you will be lead through the process of adding selection steps using three tables - Customers, Sales and Customer Groups. The Customers table gives you access to columns (fields) from the Customer Manager screen. Sales is the link back to animals, such as finding all the customers who purchased animals with a price greater than $1,000. (See the section on Pens for more information on using selection steps.) These steps are shown below although the window has been condensed to save space.

Once you have included the appropriate selection steps, click on the Next button to get to a "fine-tuning" screen (shown below; window has been condensed and names blurred). Using this screen, you can drag customers in or out of the new group (or use the appropriate buttons). After the new group is correct, you can enter a Name for the group as well as a Comment. Names can be up to 20 characters, but in order to fit better onto the screen, shorter names are preferable. Finally, click on the Create Group button to finish the process and automatically open the group. When you have returned to the main Customer Manager screen, you can click on the Select button and then choose the group you want to use (either by double-clicking or highlight it then click on the Select button).

Reselecting a Group
Just like animal pens, you can reselect a group of customers if you need to refresh the group using new records, or change some of the criteria used to make the group. Clicking the Reselect button re-opens the group selection steps.

Selecting a Group
To use (open) an existing group, simply click on the Select button and you will open a list of current groups along with their Count and Comment. Click on the column headers to sort the data for quick sorting/searching capabilities; click again to reverse the order. To select a group, either double-click on its row or highlight it and then click on Select. You will then be taken back to the main Customer Manager screen. In the All view, you will see that the list has now been limited to the group you selected. The name of the group will also be displayed just below the "Groups" label.

Use the Remove Group button (on the Group list window) to delete a group. This does not delete any of the customer records, only the group that held them together.

Add/Remove
Once you have a group open, you can click on the Add/Remove button to open a window (again, similar to features for animal pens) that will allow you to add or remove customers from the group. Multiple customers can be selected and then Add or Remove as a group. To select non-consecutive customers, hold down the Ctrl key, then click on each one; to select consecutive customers, click on the first one, hold down Shift, then click on the last one and it will select everything in between.

You also have the option to Add All or Remove All with the respective buttons.


Customer Reports

Several reports have been created specifically for the Customer Manager portion of AIMS. They are really only a "starter set" since each AIMS user will most likely have very different needs for reports beyond these basics. The variety of reports will be especially applicable to the Custom category where you can store all of your custom reports as well as reports you get from other users or the Association.

Customer Purchases - Details all of the animals, along with basic identification and pricing, that each customer in a group has purchased from you or sold to you.

Contact Sheet - Perhaps the most fundamental report in this section, since it provides all of the basic information to contact a group of customers. One AIMS user likes printing this type of report before making phone calls.

Address Labels - Using an industry standard design (3 columns of 10 rows), this is one way to print a set of labels for your group of customers.

Custom - This option provides you the ultimate in flexibility by giving you a specific folder (\Aims20\PeopleReports\) to put your custom reports. The custom reports are held in the same folder as the standard Customer Manager reports described above.

All of these reports are designed with the customer as the primary data. There is also a report available in the animal section of AIMS under the Reports menu that prints a sales summary with the animal being the primary data. See the Reports section for more information.

Single Report (below the Groups area) - Here is a special report that can be run without opening a group. It is a quick way to print a report on the currently selected single customer. The standard report is called single_report.rpt and is basically a copy of the Customer Purchases report under groups. However, any custom report could be renamed to single_customer.rpt (assuming it is designed for a single customer, i.e. not involving a group) and used as a part of this button.


National Sire Evaluation

The National Sire Evaluation (NSE) database is a part of AIMS, including a powerful search engine. If you have ever worked with the NSE on the Internet (www.angussiresearch.com) you will already be very comfortable with this version.

List to Search
All searches can be performed on either the Main Sires list, the Supplemental Sires (young sires) list, or from Both. Simply click on the option you wish to search by under List to Search.

Special Search Criteria
The Special Search Criteria allows you to search for a specific sire if you know his registration number. Simply enter it in the Sire's Reg No. field. You can also search for all of the sons of a selected sire by entering his registration number in the Sire's Sire Reg No. field. And finally, you can search for a sire by his name. However, it is advisable to search for only parts of the sire's name since the actual name is often slightly different than what you may think. For example, if you search for "RITO 2100 GDAR", nothing will be found. The reason is that his name is officially "RITO 2100 G D A R" - there is a space between each letter of GDAR. So, search for "RITO" or "2100" and see what you get, then work from there.

Updating NSE Data
The NSE data that was included with your installation disks was the most up-to-date data available at the time the CD was created. Each time the National Sire Evaluation is run (officially January and July, but data is actually released a couple of weeks earlier), you can update your NSE data. This information can also be downloaded for free from the Internet, starting at www.angus.org/aims. If you have trouble downloading the file, you can purchase a CD with the data for $10; contact the AIMS department for details.


Entering NSE criteria

All Angus EPDs, plus animal name and age, are available for searching. Enter numeric values for any of the criteria you wish to search by. If you do not specify a value, that EPD will not be used. If you specify a minimum, but no maximum, you are requesting everything from your value and above.

For example, if you want to see all sires with a 100 pound yearling EPD or higher, enter 100 in the Min column for Yearling Weight EPD. You can also add a minimum accuracy value under Acc and you can eliminate interim values by un-checking the Interims column. Use the Clear Criteria button to erase all values from the criteria fields.

Saving Criteria Profiles
Once you have established a specific set of criteria, you can save the values as a profile which can be re-loaded at a later time. Simply choose Save Profile, provide a filename and then choose Save. A file with ".sep" as the extension ("sep" stands for sire evaluation profile) will be saved in the c:\aims20 folder.

Previously saved profiles will be displayed when you click in the drop-down box next to the Save Profile button. Although profile names conform to the Windows long filenaming conventions, it is recommended that they be kept fairly short in order to fit within the display field.


NSE reports

After entering your search criteria, choose the Search Database button at the bottom of the screen. The selected sires will be displayed in report format (see example below). To sort the data, simply click on the desired column header. A second click on the same header will reverse the data. Clicking on the actual name of the EPD will sort the data by that EPD; clicking on the "Acc" label will sort the data by the accuracy value for that EPD.

The 'As Of' date will be appear in the upper-right corner of this report (not shown in this example). The date will either be January or July of the current year, assuming the data is up-to-date.

The Selection Criteria shows how the data was selected; in this example, only a Max of 2 for Birth was used.

Clicking on the actual sire's underlined name will open a detail report which includes the sire's basic identification information, ownership information (breeder and current owners), all EPDs and a three-generation pedigree.

Any of these reports can either be viewed on-screen or printed by clicking the Print button.


Table Fields and Descriptions

The following tables are detailed descriptions of every user-accessed table in AIMS; this is a handy reference for several reasons:
· Provides the name of every table
· Provides the name of every field in every table as well as the type and structure of the field
· Includes comments about each field including possible values when appropriate
· Discusses the basic purpose for each table and some hints on how to use them

The following data types are used:
· varchar (variable character) - Character field that has a maximum size, but only takes up the space it actually needs. For example, the first_name field in the customer manager is 30 characters; but "Smith" will only take up five.
· char (Character) - Character field that takes up its exact size no matter what data is in it
· date - The date in a standard mmddyy (month, day, year) format. In the case of two-character years, anything 51 or above is considered to be in the 1900s; anything 00 to 50 is in the 2000s. Usually the display (of four vs. two year digits) is affected by the Regional Settings of your Windows software.
· integer - An integer is a whole number; has a set minimum and maximum, but is normally never reached in this type of database
· long varchar - Similar to varchar except that it can contain up to 32,000; used once in AIMS for the main animal comment on the General tab
· smallint - Similar to integer, but with a smaller range of number; special uses in AIMS
· numeric - Used anytime a decimal value needs to be used, for example, a scrotal measurement of 33.25

You will also see <PK> indicated throughout the tables, normally there will be only one in each table. PK stands for primary key, which is a field that gives each row in a table a unique value compared to all other rows in the table. PK is almost always tattoo in AIMS, but special tables use other fields.

AHMS
Angus
Animal
Birth
Breddam
Breeding
Carcass
Customer_Group_Name
Cust_Groups
Customer
Embryo
Et_Main
EPD
Income_Expense
Medical
Pen_Members
Pen_Name
Penmembh
Progeny
Registry
Sales
States
Ultrasound
User_Flags
Weaning
Weights
Yearling_1
Yearling_2


AHMS

The ahms table contains the information about the owner(s) of the this copy of the AIMS software. Must be at least one record, which is required when first installing AIMS. Only one record will be designated as Primary; all others are secondary.

Note: The table is still named AHMS -- for Angus Herd Management System -- which was the name of the software before the AIMS name was adopted in February of 1999. By then it was ill-advised to change the table name, so it remains.

Field Name Type Size Notes
member_code char 7 Member code related to current record
ranch varchar 30
owner_name varchar 30
phone varchar 10
card varchar 20 Credit card on primary record; no hyphens or spaces
expiration_date date Expiration date of credit card
owner_id integer <PK> Autoincrements for each added record
primary_owner char 1 Y or N; only one record in ahms table can be Y


Angus

The angus table contains the most common data fields for an animal. The table will contain exactly one record per animal in the AIMS database.

Field Name Type Size Notes
tattoo varchar 9 <PK> Animal's tattoo
tag char 8 Animal's tag
sex char 1 B=Bull, C=Cow, S=Steer
birth_date char mmddyy Day animal was born
regnum date 9 Animal's registration number
name varchar 28 Animal's name
dam_tattoo varchar 9 Dam's tattoo
sire_tattoo varchar 9 Sire's tattoo
active char 1 Y if Active, N if inactive


Animal

The animal table contains common data fields for an animal, but these tend to be used on a limited basis, therefore, there may or may not be a record here for each animal. However, if there is a record, there will be only one for an animal.

Field Name Type Size Notes
tattoo varchar 9 <PK> Animal's tattoo
syndactly char 1 T = Tested, C = Carrier
double_muscling char 1 T = Tested, C = Carrier
dwarfism char 1 T = Tested, C = Carrier
osteopetrosis char 1 T = Tested, C = Carrier
irides char 1 T = Tested, C = Carrier
horn_gene char 1 T = Tested, C = Carrier
red_gene char 1 T = Tested, C = Carrier
defect_free char 1 T = Tested, C = Carrier
stud_code varchar 10 Standardized code used by most AI companies
electronic_id varchar 30 Text field to hold an Electronic Identification
foot_note varchar 255 Comment field specifically for catalog footnotes
pathfinder char 1 Y = Yes; N = No
master_comment long varchar ------ 32,767 characters
picture varchar 100 Path to picture file
lot_char varchar 6 Character version of lot number
lot_number Integer 4 Numeric version of lot number (use for sorting)
ain_country char 3 "American Identification Number" country code...
ain_number varchar 12 ...number portion of AIN
update_link varchar 10 Usually a number for linking imported weights file
bull_permit_required char 1 Y = Yes; N = No
ai_cert_required char 1 Y = Yes; N = No
current_season integer Numeric value of animal's current season
season_name char 10 Text name for current season
notes varchar 255 Extra field for notes, similar to a comment field
disposal_code integer Numeric value for disposal code export process
disposal_date date mm/dd/yy Date of disposal for export process
wildtype_gene char 1 T = Tested, C = Carrier


Birth

The birth table contains fields specifically related to birth information. One record per animal.

Field Name Type Size Notes
tattoo varchar 9 <PK> Tattoo of the new calf
calving_ease char 1 Calving ease 0 thru 5
birth_code char 1 Type of birth B thru E
twin_code char 1 Twin possibilities, C = cow, B - bull,
S = steer, T = unknown, M = multiple
weight integer 3 40 thru 110 is normal range
ratio integer ----- Calf's ratio - figured in weaning
rank integer ----- Rank on adj. weight within contemp group
contemp_count integer ----- Number in contemporary group
embryo_transfer char 1 Embryo Transplant: Y = Yes; N = No
comment varchar 255 Comment from calving routine
recip_tattoo varchar 9 Tattoo of recipient dam
et_type varchar 15 Clone or Split or None
et_storage varchar 15 Frozen Glycerol, Frozen Direct, or Fresh
twin_tattoo varchar 9 Tattoo of twin, if one exists
adj_birth integer 3 Adjusted birth weight
udder_size integer 0-50 (by 5's) See Add New Calf screen
udder_suspension integer 0-50 (by 5's) See Add New Calf screen
teat_size integer Not in use


Breddam

The breddam table contains one record per cow per breeding season; mainly used for "most likely" information.

Field Name Type Size Notes
tattoo varchar 9 <PK> Dam's tattoo
season integer 2 <PK> Season number
open char 1 Y if open; N if not
preg_check_date date mmddyy Pregnancy check on this date
ml_calving_date date mmddyy Most likely calving date
ml_sire_tattoo varchar 9 Most likely sire tattoo
days_pregnant integer 3 Number of days pregnant
comment varchar 255 Comments
ml_calving_date_2 date mmddyy Second date in a most likely calving date range
planned_sire varchar 9 Tattoo of planned breeding sire
pasture_code varchar 12 Related to breeding export process
group_code varchar 1 Similar to a contemporary group, but for breeding export
flush_code varchar 1 0-Not Reported; 1-Flushed; 2-Not Flushed
synchronized_code varchar 1 0-Not Reported; 1-Synchronized; 2-Not Synced
sire_group_name varchar 15 Name of pen that sires could be from; for breeding export
breeding_season_code varchar 1 0-All other bred dams; 1-Spring Herd; 2-Fall herd; 3-Single Season; for breeding export
breeding_season_year varchar 4 4-digit year of breeding season


Breeding

The breeding table contains a record for each breeding entry, and all seasons for each dam.

Field Name Type Size Notes
tattoo varchar 9 Tattoo of the dam that was bred
season integer 2 Season number
sire_tattoo varchar 9 Tattoo of the bull used for breeding
first_date date mmddyy Insemination date, date bull & cow together
sire_type char 1 A for artificial insemination; P for pasture; ET for et sire
observe_date date mmddyy For Pasture - date of observation
second_date date mmddyy For Pasture - date bull was taken away
confirmed char 1 Y if breeder confirms, N if not confirmed
inseminator varchar 28 If type is AI, name of inseminator
comment varchar 255 Comments
index integer ----- <PK>
donor_tattoo varchar 9 Tattoo of donor dam
removal_date date mmddyy Flush date
season_name varchar 15 Text name for this season record


Carcass

The carcass table contains all the carcass information; one record per animal.

Field Name Type Size Notes
tattoo varchar 9 <PK> tattoo
harvest_date date mmddyy Harvest date
marbling smallint Dec(4,2) Marbling value stored as decimal value
hot_weight numeric 3 Hot carcass weight
fat_thickness numeric Dec(3,2) Fat thickness, inches
ribeye numeric Dec(3,1) Ribeye area, square inches
yield_grade numeric Dec(2,1) Yield grade
percent_cutability numeric Dec(3,1) Percent cutability
lean_lbs numeric Dec(3,2) Lean weight, in pounds
comtemp_group char 1 Contemporary group
quality_grade smallint 6 Numeric value representing quality grade
kph numeric Dec(2,1) KPH (kidney, pelvic, heart fat) percent
lot_date date mmddyy Date lot was processed by Association
plant varchar 30 Processing plant name
rail_order char 4 Rail order at plant
comment varchar 255 Carcass-related comment
pyg numeric Dec(3,2) Preliminary yield grade
ribeye_required numeric Dec(3,1) Ribeye area required
rea_adjustment numeric Dec(2,1) Ribeye area adjustment value
kph_adjustment numeric Dec(2,1) KPH adjustment value
cab char 1 Y or N (Certified Angus Beef qualified)
live_weight integer 4 Live weight of animal at harvest
dressing_percent numeric Dec(5,2) Dressing percentage


Customer_Group_Names

The customer_group_names table controls the groups in the Customer Manager; holds the name, number of customers in this group and the comment. Similar to pen_name for animals.

Field Name Type Size Notes
name varchar 20 <PK> Name of the customer group
count integer Count of how many customers are in the group
comment varchar 255 Comment regarding the group


Cust_Groups

The cust_groups table contains one record for each customer in each group; similar to pen_members for animals.

Field Name Type Size Notes
customer_id integer ----- <PK> Unique number from customer table
group varchar 20 <PK> Name of the group
sort_order integer Indicates sort order on-screen and in reports


Customer

The customer table is the main Customer Manager information; one record per customer.

Field Name Type Size Notes
last_name varchar 30 Customer's last name
first_name varchar 30 Customer's first name
ranch varchar 30 Ranch name
member_code char 7 Member code
customer_id integer ----- <PK> Customer's unique ID within system
address varchar 30 Customer's address
city varchar 30 City customer lives in
state varchar 15 State customer lives in
zip varchar 9 Zip code
spouse varchar 15 Spouse's name
children varchar 60 Children's name
email varchar 40 E-mail address
home_phone varchar 10 Home phone number
second_phone varchar 10 Second phone number
work_phone varchar 10 Work phone number
fax varchar 10 Fax number
sort_name varchar 30 Name to sort on
cust_active char 1 Y = active; N = inactive
referral varchar 30 Name of who referred this customer
create_date date mmddyy Date record was created
update date mmddyy Date record was updated
last_contact_date date mmddyy Date when last contact was had with customer
comment varchar 255 Comment
directions varchar 255 Directions to customer's location
buyer_type varchar 25 Type of buyer (drop-down list box 1)
priority varchar 25 Priority of buyer (drop-down list box 2)
region varchar 25 Region customer lives in
web_site varchar 100 Web site address
country varchar 60 Country customer lives in
county varchar 60 County customer lives in
herd_size integer ----- Size of herd
salutation varchar 10 Name for mail, reports, and labels
bidder_id char 6 Customer's bidder number at an auction
cross_ref integer ----- Cross referenced to customer_id of referrer
user_ddlb varchar 25 Drop-down list box 3; no specific name
user_ckbox1 char 1 User defined check-box (Yes or No)
user_ckbox2 char 1 User defined check-box (Yes or No)
user_ckbox3 char 1 User defined check-box (Yes or No)


Embryo

The embryo table contains one record per removal date for a donor cow..

Field Name Type Size Notes
donor_tattoo varchar 9 <PK> Tattoo of donor cow
removal_date date mmddyy <PK> "Flush date"
recip_tattoo varchar 9 Tattoo of recip cow
et_type varchar 15 C=Clone, S=Split, N=Normal
et_storage varchar 15 1=Frozen Glycerol, 2=Frozen Direct, 3=Fresh
asking_price numeric Dec(8,2) Asking price for each embryo
selling_price numeric Dec(8,2) Actual selling price for each embryo
calf_tattoo varchar 9 Tattoo of calf
customer_id integer 4 Customer ID of who bought the embryo
stage smallint 1 Numeric value assigned as stage code
quality smallint 1 Numeric value assigned as quality code
sex char 1 Sex of embryo (B or C)
horn_side char 4 Horn side embryo was placed in
cane varchar 15 Cane code of this embryo
straw smallint 1 Straw location
comment varchar 255 Comment related to this embryo
embryo_id smallint 3 <PK> Unique ID for this embryo (internal use)


Et_Main

The Et_Main contains one record for each embryo added to the donor dam's flush date..

Field Name Type Size Notes
donor_tattoo varchar 9 Tattoo of donor cow
removal_date date mmddyy Flush date
sire_tattoo varchar 9 Tattoo of sire of the embryo(s)
num_recovered smallint 2 Number of embryos recovered
num_transferred smallint 2 ...transferred
num_frozen smallint 2 ...frozen
num_unfertilized smallint 2 ...unfertilized
num_degenerate smallint 2 ...degenerates
num_implanted smallint 2 ...implanted
num_calves smallint 2 ...calves that resulted from this flush
num_sold smallint 2 Number of embryos sold from this flush
asking_price numeric Dec(12,2) Asking price
selling_price numeric Dec(12,2) Selling price
technician varchar 28 ET technician's name
comment varchar 255 Comment regarding this flush
index smallint 2 <PK> Autoincrements; unique internal ID for record
active char 1 Y=flush is still active, N=flush is inactive


EPD

The epd table contains all EPDs for each animal; notice that each "EPD" actually takes three fields -- the EPD, its accuracy value, and the letter "I" if it is an interim EPD.

Field Name Type Size Notes
tattoo varchar 9 <PK> animal's tattoo
as_of_date date mmddyy "as of" date for the EPDs
birth_inter char 1 "I" if interim EPD
birth_epd numeric Dec(4,1)
birth_acc numeric Dec(2,2)
weaning_inter char 1 "I" if interim EPD
weaning_epd smallint 2
weaning_acc numeric Dec(2,2)
maternal_inter char 1 "I" if interim EPD
maternal_epd smallint 2
maternal_acc numeric Dec(2,2)
yearling_inter char 1 "I" if interim EPD
yearling_epd smallint 2
yearling_acc numeric Dec(2,2)
carc_weight_inter char 1 "I" if interim EPD
carc_weight_epd smallint 2
carc_weight_acc numeric Dec(2,2)
marbling_inter char 1 "I" if interim EPD
marbling_epd numeric Dec(3,2)
marbling_acc numeric Dec(2,2)
ribeye_inter char 1 "I" if interim EPD
ribeye_epd numeric Dec(3,2)
ribeye_acc numeric Dec(2,2)
fat_inter char 1 "I" if interim EPD
fat_epd numeric Dec(3,3)
fat_acc numeric Dec(2,2)
mature_weight_inter char 1 "I" if interim EPD
mature_weight_epd smallint 2
mature_weight_acc numeric Dec(2,2)
mature_height_inter char 1 "I" if interim EPD
mature_height_epd numeric Dec(3,1)
mature_height_acc numeric Dec(2,2)
scrotal_inter char 1 "I" if interim EPD
scrotal_epd numeric Dec(3,2)
scrotal_acc numeric Dec(2,2)
yearling_height_inter char 1 "I" if interim EPD
yearling_height_epd numeric Dec(3,1)
yearling_height_acc numeric Dec(2,2)
perc_retail_product_inter char 1 "I" if interim EPD
perc_retail_product_epd numeric Dec(3,2)
perc_retail_product_acc numeric Dec(2,2)
ultra_imf_inter char 1 "I" if interim EPD
ultra_imf_epd numeric Dec(3,2)
ultra_imf_acc numeric Dec(2,2)
ultra_rea_inter char 1 "I" if interim EPD
ultra_rea_epd numeric Dec(3,2)
ultra_rea_acc numeric Dec(2,2)
ultra_fat_inter char 1 "I" if interim EPD
ultra_fat_epd numeric Dec(3,3)
ultra_fat_acc numeric Dec(2,2)
ultra_rump_fat_inter char 1 Not in use
ultra_rump_fat_epd numeric Dec(3,3) Not in use
ultra_rump_fat_acc numeric Dec(2,2) Not in use
ultra_prp_inter char 1 "I" if interim EPD
ultra_prp_epd numeric Dec(3,2)
ultra_prp_acc numeric Dec(2,2)
ultra_progeny smallint 2
ultra_herds smallint 2
feedlot_value numeric Dec(6,2)
grid_value numeric Dec(6,2)
beef_value numeric Dec(6,2)
prod_progeny smallint 2
prod_herds smallint 2
carc_progeny smallint 2
card_herds smallint 2


Income_Expense

The income_expense table includes each record that was added -- income or expense -- to each animal.

Field Name Type Size Notes
tattoo varchar 9 Tattoo of animal associated with transaction
transaction_date date mmddyy Date of transaction
description varchar 40 Focus of transaction
amount numeric Dec(12,2) Dollar amount
transaction_type char 7 "Income" or "Expense"
comment varchar 255 Description of transaction
index integer ----- <PK> Unique index for this record


Medical

The medical table includes each medical record that was added to each animal.

Field Name Type Size Notes
tattoo varchar 9 Tattoo of animal getting the procedure
med_date date mmddyy Date of procedure
procedure varchar 40 Actual procedure description
next_date date mmddyy Date for next (follow-up) procedure
comment varchar 255 Comment regarding this specific record
index integer ----- <PK> Unique index for this record


Pen_Members

The pen_members table includes one record for each animal in a pen. The sort_order field is the final order determined for a pen during creation or subsequent sorts.

Field Name Type Size Notes
name varchar 20 <PK> Pen name
tattoo varchar 9 <PK> Animal's tattoo; one record for each animal in pen
sort_order integer 4 The order that the pen appears on-screen and in reports


Pen_Name

The pen_name table contains only one record per pen; stores basic information about the pen. A special use is the beginning and ending of the breeding/calving season dates.

Field Name Type Size Notes
name varchar 20 <PK> Name of pen; must be unique
tab_page varchar 15 Name of tab page to be auto selected
comment varchar 255 Brief description of pen
count integer 4 Number of animals in pen, calculated by program
calving_dt_min date mmddyy Start of this pen's calving season
calving_dt_max date mmddyy End of this pen's calving season
active char 1 Y for active, N for inactive pen
pen_steps long varchar Text string of commands to reselect pen
download char 1 Not in use
pen_notes char 255 Special field for pen notes
pen_category varchar 15 User entry for category name of the pen


Penmembh

The penmembh table is the history file to track what animals used to be in the pen; one record per animal.

Field Name Type Size Notes
name varchar 20 <PK> pen name
tattoo varchar 9 <PK> animal's tattoo one record for each animal in pen
sort_order integer ----- The order that the pens appears in


Progeny

The progeny table contains the progeny information for a dam; updated during performance update processes. The data can be entered by the user, but not recommended.

Field Name Type Size Notes
tattoo varchar 9 <PK> dam's tattoo
birth_count integer 4 Number of calves with birth weight
birth_average integer 3 Average birth ratio
weaning_count integer 4 Number of calves with weaning weight
weaning_average integer 3 Average weaning ration
yearling_count integer 4 Number of calves with yearling weight
yearling_average integer 3 Average yearling ration
lot_date date mmddyy Lot date for the progeny records
imf_count integer Ultrasound IMF (inter muscular fat) count
imf_average integer 4 ...average
ribeye_count integer 4 Ultrasound ribeye area; count
ribeye_average integer 4 ...average
ribfat_count integer 4 Ultrasound rib fat; count
ribfat_average integer 4 ...average
rumpfat_count integer 4 Ultrasound rump fat; count
rumpfat_average integer 4 ...average


Registry

The registry table includes one record per animal; specialized information for registering an animal (the actual registration number is in the angus table)..

Field Name Type Size Notes
tattoo varchar 9 <PK> animal's tattoo
ai char 1 Y= artificially inseminated, N = natural
blood_typed char 1 Y = is blood typed, N = has not been blood-typed
ai_certificate char 1 Y or N
breeder_certificate char 1 Y or N
bull_permit char 1 Y or N
registration_flag char 1 Y, N, U (undecided), P (pending)
comment varchar 255 Comment
breeder_mem_code char 7 Breeder's member code
first_owner_ code char 7 First owner's member code
owner1_mem_code char 7 Primary owner's member code
owner1_percent integer 4 Percent ownership
owner2_mem_code char 7 Secondary owner's member code
owner2_percent integer 4 Percent ownership
owner3_mem_code char 7 Third owner's member code
owner3_mem_percent integer 4 Percent ownership
embryo_removal_date date mmddyy Date embryo was removed, i.e. flush date
breeding_privilege char 1 Y or N
dna_tested char 1 Y or N
bp_memcode char 7 Member code providing bull permit
bp_type char 7 Bull permit type; 0, 1, 2, 3
bc_memcode char 7 Member code providing breeder certificate
trans_seller1 char 7 Member code of seller 1 (transfer related)
trans_seller2 char 7 ...seller 2
trans_seller3 char 7 ...seller 3
trans_buyer1 char 7 Member code of buyer 1 (transfer related)
trans_buyer2 char 7 ...buyer 2
trans_buyer3 char 7 ...buyer 3
trans_sale_date date mmddyy Sale date for transfer purposes
trans_ai_bp char 1 AI breeding privileges
trans_bull1 varchar 9 Registration number of service sire 1
trans_bull2 varchar 9 ...sire 2
trans_service1 char 1 Type of service for bull 1
trans_service2 char 1 ...bull 2
trans_owner1 char 7 Owner of bull 1
trans_owner2 char 7 ...bull 2
trans_begin_dt_1 date mmddyy Pasture begin date for bull 1
trans_begin_dt_2 date mmddyy ...bull 2
trans_end_dt_1 date mmddyy Pasture end (out) date for bull 1
tans_end_dt_2 date mmddyy ...bull 2
transfer char 1 Y=transfer information has been validated or N=not valid
trans_permit_type integer 4 Not in use
trans_permit_type1 integer 4 Permit type for bull 1
trans_permit_type2 integer 4 ...bull 2
retains_interest char 1 Y or N
electronic_reg char 1 Y (store paper electronically) or N (print normal paper)


Sales

The sales table includes multiple sales records added to each animal; can be when the animal was bought, sold or simply a record to identify the asking price.

Field Name Type Size Notes
tattoo varchar 9 Tattoo of animal bought or sold
sales_date date mmddyy Date of sale or buy
price numeric Dec(10,2) Price bought or sold for
comment varchar 255 Comment
customer_id integer 4 Cust id of the customer who bought or sold the animal
sale_code char 6 "Bought" or "Sold"
sale_type varchar 10 "Auction", "Private" or "Other"
percent_owner integer 3 Asking price for animal
asking_price numeric Dec(10,2) <PK> Index
index integer 4


Semen_Detail

The semen_detail table contains one record per sire per collection.

Note: The semen inventory system has not been developed as of the update of this help file. The two semen-related tables are in place for future development.

Field Name Type Size Notes
tattoo varchar 9
cp_date date
cp_id integer
event_date date
event_time char 10
event_type char 20
dam_tattoo varchar 2
price_unit numeric Dec(10,2)
price_total numeric Dec(10,2)
straw_units integer
comments varchar 255
index integer <PK> Autoincrement


Semen_Main

The semen_main table contains one record per sire per collection.

Note: The semen inventory system has not been developed as of the update of this help file. The two semen-related tables are in place for future development.

Field Name Type Size Notes
tattoo varchar 9
cp_date date
cp_id integer
cp_source char 20
sire_code char 20
straw_code char 20
straw_type char 10
location char 10
tank char 10
canister integer
straw_units integer
straw_minimum integer
price_unit numeric Dec(10,2)
price_total numeric Dec(10,2)
active char 1
comments varchar 255
index integer <PK> Autoincrements


Sire Groups

The sire_groups table is used by the breeding export process to record the sires that were in a group and exposed to a pen of cows. This is basically a table of pen information, however, special fields are necessary in order to report data to the Association.

Field Name Type Size Notes
sire_group_name char 15 Name of the sire group; basically a pen name
tattoo char 9 Tattoo of the animal in this record
date_in date Date this sire was put into the sire group
date_out date Date this sire was taken out of this sire group
sire_comment varchar 255 Comment about this sire group
index integer <PK> Autoincrements to maintain unique value for each record


States

The states table is a cross-reference table for connecting the full state name, as displayed on the Customer Manager screen, to the two-character abbreviation as well as the Associated Press style abbreviation. Reports can use this as a simple one-to-one relationship link and print whichever version desired.

Field Name Type Size Notes
full_name varchar 15 Full name of state
two_letters char 2 Two-letter abbreviation
abbreviation char 10 AP standardized abbreviation


Ultrasound

The ultrasound table can include multiple records for each animal, each time the animal was measured.

Field Name Type Size Notes
tattoo varchar 9 Tattoo
ultrasnd_date date mmddyy Ultrasound measurement date
rib_fat numeric Dec(3,2) Measured rib fat
perc_fat numeric Dec(3,1) Percent IMF
adj_perc_fat numeric Dec(4,2) Adjusted IMF
perc_fat_ratio numeric Dec(4,2) IMF ratio
rump_fat numeric Dec(3,2) Measured rump fat
adj_rump_fat numeric Dec(3,2) Adjusted rump fat
lot_date numeric Dec(3,2) Association's lot date for ultrasound processing
lot_id smallint 2 ...lot ID
index integer 4 <PK> Autoincrements; maintains unique index for record
technician char 5 Technician's identification code
scan_weight smallint 2 Weight of animal at scanning
contemp_group char 1 Contemporary group code
adj_rib_fat numeric Dec(3,2) Adjusted rib fat
rib_fat_ratio smallint 2 Rib fat ratio
adj_ribeye numeric Dec(3,1) Adjusted ribeye area
ribeye_ratio smallint 2 Ribeye area ratio
ultrasnd_mgmt char 1 D=Developing heifer; F=Feedlot; R=Ranch Test; C=Central Test
process_date date mmddyy Processing date by the CUP lab
adj_scan_weight numeric Dec(5,1) Adjusted scan weight
scan_weight_ratio smallint 2 Scan weight ratio
diet char 1 Diet code: 0=unknown; 1=0% concentrate; 2=<=50% conc; 3=>50% conc
scan_sex char 1 Sex at time of scanning; B=bull; C=cow; S=steer


User_Flags

The user_flags table includes one record per animal with the ten user fields. The name of the table and fields was changed after the tables had already been in use and was therefore left as the AHMS name. User Fields will be used on all AIMS screens, but refers to these fields.

Field Name Type Size Notes
tattoo varchar 9 <PK> Animal's tattoo
flag_1 varchar 10
flag_2 varchar 10
flag_3 varchar 10
flag_4 varchar 10
flag_5 varchar 10
flag_6 varchar 10
flag_7 varchar 10
flag_8 varchar 10
flag_9 varchar 10
flag_10 varchar 10


Weaning

The weaning table includes one record for each animal, representing when it was weighed at weaning. Also includes information for the dam at the time the calf was measured, so is indexed by the calf's tattoo.

Field Name Type Size Notes
tattoo varchar 9 <PK> Weaned animal's tattoo
management_code char 1 1 = non-creep, 3 = creep fed
contemp_group char 1 A to Z and 0 to 9; designates contemporary group(s)
cancel_dam char 1 Y to cancel dam at the Association; otherwise N
weigh_date date mmddyy Date the animal was weighed at weaning
weight integer 4 Weight taken for weaning
height numeric Dec(3,1) Height taken at weaning
scrotal numeric Dec(4,2) Scrotal circumference, centimeters
location char 4 Location code
misc char 4 Miscellaneous code
comment varchar 255 Comment
cow_measure_date date mmddyy Date cow was measured
cow_weight integer 4 Weight of dam at calf's weaning, inches
cow_height numeric Dec(3,1) Height of dam at calf's weaning, inches
cow_score integer 1 0 thru 9
cow_temper integer 1 1 thru 5
cow_disposal integer 2 1 thru 22
days_old integer 3 Number of days old when weighed
adj_weight integer 4 Adjusted weaning weight
adj_height numeric Dec(3,1) Adjusted weaning height
ratio integer 4 Ratio compared to contemporary group
rank integer 4 Rank on adjusted weight in contemp group
contemp_count integer 4 Number of animals with same mgt. and contemporary group
ave_daily_gain numeric Dec(3,2) Average daily gain
lot_date date mmddyy Date calculated by Association
frame_score numeric Dec(4,2) Frame score
adj_scrotal numeric Dec(3,1) Adjusted scrotal circumference, cm
lot_id char 4 Lot id from Association


Weights

The weights table includes multiple records for each weight that was added for each animal.

Field Name Type Size Notes
tattoo varchar 9 Tattoo of animal weighed
weigh_date date mmddyy Date of weighing
weight integer 4 Weight of animal
scrotal numeric Dec(4,2) Scrotal measurement
height numeric Dec(3,1) Height of animal
frame_score numeric Dec(4,2) Frame score of animal
comment varchar 255 Comments
index integer 6 <PK> Index
adj_scrotal numeric Dec(3,1) Adjusted scrotal measurement


Yearling_1

The yearling_1 table includes one record per animal; all yearling information generally taken at approximately 12 months of age.

Field Name Type Size Notes
tattoo varchar 9 <PK> Yearling Tattoo
sex char 1 S = Steer at yearling, Null = same as weaning
weigh_date date mmddyy Date the animals was weighed at yearling
calf_weight integer 4 Weight at yearling
calf_height numeric Dec(3,1) Height at yearling
scrotal numeric Dec(4,2) Scrotal circumference at yearling
location char 4 Location code
misc char 4 Miscellaneous code
comment varchar 255 Comment
days_old integer 3 Number of days old when weighed
adj_weight integer 4 Adjusted weight
adj_height numeric Dec(3,1) Adjusted height
ratio integer ----- Ratio of adjusted yearling weight
rank integer ----- Rank of adjusted weight in contemp. group
contemp_count integer ----- Number of animals with same mgt. and contemp. group
yearling_adg numeric Dec(3,2) Average daily gain at yearling
lot_date date mmddyy Date calculated by the Association
pelvic_date date mmddyy Date of pelvic measurement
pelvic_width numeric Dec(3,1) Pelvic width, centimeters
pelvic_height numeric Dec(3,1) Pelvic height, centimeters
pelvic_device char 1 1 = Caliper, 2 = Piston, 3 = Other
test_date date mmddyy Date animal weighed going on 140-day test
test_weight integer 4 Weight going into 140-day test
test_adg numeric Dec(3,2) Average daily gain during 140-day test
test_adg_ratio integer ----- 140-day test ratio
frame_score numeric Dec(4,2) Frame score at yearling
adj_scrotal numeric Dec(3,1) Adjusted scrotal measurement
lot_id char 4 Lot id from the Association
contemp_group char 1 Contemporary group at yearling
scrotal_date date mmddyy Date scrotal measurement was taken (may be different than yearling)


Yearling_2

The yearling_2 table includes one record per animal; all second yearling information generally taken at approximately 15 or 18 months of age.

Field Name Type Size Notes
tattoo varchar 9 <PK> Yearling Tattoo
sex char 1 S = Steer at yearling, Null = same as weaning
weigh_date date mmddyy Date the animals was weighed at yearling
calf_weight integer 4 Weight at yearling
calf_height numeric Dec(3,1) Height at yearling
scrotal numeric Dec(4,2) Scrotal circumference at yearling
location char 4 Location code
misc char 4 Miscellaneous code
comment varchar 255 Comment
days_old integer 3 Number of days old when weighed
adj_weight integer 4 Adjusted weight
adj_height numeric Dec(3,1) Adjusted height
ratio integer ----- Ratio of adjusted yearling weight
rank integer ----- Rank of adjusted weight in contemp. group
contemp_count integer ----- Number of animals with same mgt. and contemp. group
yearling_adg numeric Dec(3,2) Average daily gain at yearling
lot_date date mmddyy Date calculated by the Association
pelvic_date date mmddyy Date of pelvic measurement
pelvic_width numeric Dec(3,1) Pelvic width, centimeters
pelvic_height numeric Dec(3,1) Pelvic height, centimeters
pelvic_device char 1 1 = Caliper, 2 = Piston, 3 = Other
frame_score numeric Dec(4,2) Frame score at yearling
adj_scrotal numeric Dec(3,1) Adjusted scrotal measurement
lot_id char 4 Lot id from the Association
contemp_group char 1 Contemporary group at yearling
scrotal_date date mmddyy Date scrotal measurement was taken (may be different than yearling)


Formulas and Adjustments

The following sections describe the formulas and adjustments used in AIMS as determined by the American Angus Association.

Birth Weight
Weaning Weight
Yearling Weight
Hip Heights
Frame Score
Projected Carcass EPD Calculations


Birth Weight

Adjusted birth weight = actual birth weight + age of dam adjustment

Age of Dam Adjustments*
If under 2 yrs and 8 months (244 days) add 6.7 pounds
Next limit = if under 3 yrs and 3 months (92 days) add 5.5 pounds
Next limit = if under 3 yrs and 9 months (274 days) add 2.6 pounds
Next limit = if under 4 yrs and 3 months (92 days) add 1.5 pounds
Next limit = if under 5 yrs and 3 months (92 days) add .7 pounds
Next limit = if 10 yrs and 3 months (92 days) or over add 1 pound

Sex adjustment (only if heifer)
Adjusted birth weight = age of dam adjusted birth wt. x 1.055

Birth weight ratio = (individual adjusted birth weight x 100) /
group average adjusted birth weight

Any cow with twin calves is figured with the adjustment for 'under 2 yrs and 8 months'. Embryo transplant calves do not get age of dam adjustments.

*All Age of Dam categories are based upon age of the dam when the calf is 205 days old.


Weaning Weight

As of June 2003, a new formula and age range were introduced by the American Angus Association. The following article describes the new adjustment.

Enhanced 205-day weight adjustments
For genetic evaluation and contemporary group ratios, weaning weights are standardized to a calf age of 205 days and a mature dam equivalent. In the past, calves outside the range of 160 to 280 days of age were excluded from American Angus Association National Cattle Evaluation procedures. As a result, the calves weaned earlier than 160 days did not receive 205-day weights or contribute to genetic predictions.

Use of these records for genetic prediction requires a new approach to the traditional 205-day weight. The traditional 205-day age adjustment tended to overestimate the adjusted weights on younger calves and underestimate the values on older calves. To improve this process, breed-specific nonlinear equations were developed to adjust calf weights to a common age. This allows fair, age-equivalent comparisons among calves weaned between 120-280 days. This new adjustment formula is applied to weaning weights processed after June 8, 2003.

The enhanced 205-day adjustment procedure permits acceptance of data into the genetic evaluation that had been previously excluded by the calf age window. Lowering the minimum acceptable weaning age to 120 days provides breeders flexibility in weaning dates, along with allowing younger calves to remain in their respective contemporary groups for National Cattle Evaluation.

Weaning Weight Ratio
Weight ratio =
(Individual sex adjusted weaning wt /
group average sex adjusted weaning weight) x 100

If a contemporary group consists of animals of only one sex, the adjustments to a bull basis are not necessary.

If a contemporary group has mixed sexes, then cows have a 9.4% increase made to their adjusted weaning weight and steers will be increased by 7.7%. These adjustments are made to the cow or steer groups totals before computing the group average.


Yearling Weight

Yearling age adjustments are made on the basis of the average age of the contemporary group.

Yearlings are always ratioed as a sex group.
If average age = 320 to 440 then adjust to 365
If average age = 441 to 519 then adjust to 452
If average age = 520 to 640 then adjust to 550

140 day test average daily gain and gain ratio
Average Daily Gain =
(actual ending yearling wt – beginning weight on test) /
number of days between weights

Average Daily Gain Ratio =
individual average daily gain / sex group average daily gain

7/12ths adjustment = 0.583 x weaning weight ratio

5/12ths adjustment = 0.417 x gain ratio

Yearling Weight Ratio = 7/12ths adjustment + 5/12ths adjustment

Adjusted Yearling Weight (with weaning weight)
Average daily gain =
(actual wt – actual weaning wt) / number of days between wts

Age adjusted weight =
Average daily gain x (days* – 205)

*(days = 365, 452 or 550)

Adjusted yearling weight =
Age adjusted weight + adjusted wean weight

Yearling Weight Ratio (with weaning weight)
Weaning group average adjusted wt =
(adjusted weaning wt x 100) / weaning wt ratio

Sex group yearling average daily gain =
Total of yearling groups ADG lbs / number of yearlings in group

Age adjusted sex group yearling ADG =
Sex group yr adg x (days* – 205)

*(days = 365, 452 or 550)

Yearling Weight Ratio =
(adjusted yearling wt / (weaning group average adjusted wt + age adjusted sex group yearling ADG)) x 100

Yearling Weight (w/o weaning weight)
Average daily gain =
(actual wt – actual birth wt (or lbs from calculation)* / age in days

Age adjusted wt =
Average daily gain x days**

**(days = 365, 452 or 550)

Adjusted yearling wt =
Age adjusted wt + birth wt (or lbs from calculation)* + dam age adjustment (same as weaning)

*Use Formula for No Birth Weight found in Weaning Section.

Yearling Weight Ratio (w/o weaning weight)
Yearling Weight Ratio =
(adjusted yearling wt / sex group average adjusted wt) x 100


Hip Heights

Age of dam adjustments factor, bulls or heifers

Age of Dam | Adjustment
<3 years | 1.020
>3 years and <4 years | 1.015
>4 years and <5 years | 1.010
>5 years and <11 years | 1.000
>11 years and <12 years | 1.010
>12 years and <13 years | 1.015
>13 years | 1.020

No adjustment factor for Age of Dam if embryo transplant.
Use 1.020 as adjustment factor for Age of Dam if twins.

Age Adjustment
If age over 205:
Age – 205 = days

then take
days x (.033 for bull or .025 for heifer)

subtract the result from actual height to get Age Adjustment

If age under 205:
205 – age = days

then take
days x (.033 for bull or .025 for heifer)

add the result to actual height to get Age Adjustment

Adjusted height = (actual height + age adjustment) x age of dam factor

For yearlings use 365 days instead of 205 on age adjustment but use .025 for bull if over 365 days and there is no age of dam factor used.


Frame Score

AIMS uses the following formulas to calculate frame scores.

For cows:
Frame Score = -11.7086 + ( 0.4723 * height) - (0.0239 * days old) + (0.0000146 * (days old * days old)) + (0.0000759 * height) * days old

For bulls and steers:
Frame Score = -11.548 + ( 0.4878 * height) - (0.0289 * days old) + (0.00001947 * (days old * days old)) + (0.0000334 * height) * days old

Notes:
· Each formula is actually one long line. In this documentation, the formulas may wrap to the next line.
· "(days old * days old)" is the same as "(days old)2" or saying "days old squared".
· Height is in inches


Projected EPD Calculations

Depending on the specific EPD, projected EPDs are calculated by one of two methods. Birth, weaning, milk, yearling and all four ultrasound EPDs are simply calculated by taking half the sire's and half the dam's EPDs, then add the two values (in other words, an average of the two). But all of the other EPDs are calculated by looking at the the genetic influence provided by ancestors. The following diagram shows the percentages used for calculating the remaining EPDs.

The 12.5% value is used only if available; the other two must be present in order for a projected EPD to be calculated

Example of Carcass Weight EPDs to be used in a projected carcass weight EPD.

Using the percentages from the first figure and the values from second figure, here is an example of a projected carcass weight EPD for "Calf".

Projected CW = (50% x 20) + (25% x 9) + (12.5% x 28)
= (.50 x 20) + (.25 x 9) + (.125 x 28)

= 10 + 2.25 + 3.5

= 15.75

Therefore the projected carcass weight EPD (rounded to the nearest whole number) is +16.


How to Use Email Attachments

The following section was printed in the March 2000 Angus Journal in the AIMS Tech Notes column. The entire column was devoted to an extensive description of how to send and receive files by e-mail. Hopefully this can serve as a reference on how to get started with emailing files; once you're used to it, it's very easy and reliable. But learning for the first time seems to be tricky.

Here is the text of the column:

With the dramatic proliferation of email, we are sending and receiving more and more files as email attachments. What follows is a detailed explanation of email. It's not as scary as some make it out to be, but you also have to take some responsibility to learn how to use your email program.

First, you need to know what email program you are using. There are hundreds of email programs; some common ones are Outlook Express and Eudora. There are also service providers that have their own email system, most notably America Online (AOL). Some world wide web browsers provide a built-in email program – best example, Netscape. And there are free services like Hotmail and Juno.

If you're not sure what program you're using, any Windows program will tell you the name of the software by clicking on Help, then About. This will also tell you the version of the software, which can also be important.

Working with attached files is the hardest part of working with email programs, although, once you figure it out, it's actually very easy. I hate to use the "riding a bicycle" cliché, but in this case it's true.

Ok, let's start with the basics of an email, then get into attachments. When you create a message, you need to address it to a recipient with their email address. Let's take my email address as an example: scottj@angus.org. For the sake of this article, I've underlined the actual email address. You will sometimes see an email address printed like this: <scottj@angus.org>.

In a nutshell, an email address has two parts; I don't know the official terms, but in my mind, I think of the first part (before the @ sign) simply as the name of the person. Sometimes it's a little cryptic, such as in the case of AOL or Hotmail accounts. Other times it's literally the person's name -- mine could easily be scottjohnson if I wanted. The second part, after the @ symbol, is the domain name. The domain is an Internet address that is a specific reference to one Internet location. No one else in the world can be registered as angus.org; they can be angus.com and a bunch of other similar words, but never angus.org. That keeps scottj@angus.org separate from scottj@angus.com (which I don't know if it exists, and it doesn't matter, it won't get to me anyway).

The next part of an email message will generally be your "reply to" address. Typically, you set this up once and never need to deal with it again -- it becomes an automatic part of a new message. But be sure it's correct. As you have probably learned, all you need to do to reply to an email is click a button and it automatically copies the "reply to" field of the incoming message to the recipient field of your new outgoing message. Be sure it is accurate; there are few things more frustrating than trying to reply to an email and it is undeliverable due to a bad address. It's like leaving a voice message on an answering machine and giving the wrong phone number.

Next will generally be the subject line; an often overlooked field. Use it! For people who get a lot of email (I get about 10 to 30 messages a day) the subject becomes an important part of a filing system and/or determining the importance or relevance of the message.

There may also be a place for "cc" copy which stands for carbon copy. Here's a classic throwback to a paper system that isn't accurate in electronics – when was the last time you actually used carbon paper – but we use the term anyway. Most email programs will also have a "bcc" field which is "blind carbon copy." This means you're sending it to a third party, but you don't want the main recipient to know a copy went anywhere.

Next is the main body of the email – your "letter." Always use this for some type of message, even if it's a quick message to us that says "Here are the weaning weights for XYZ ranch. Sincerely, Bob." However, take it a step further and be sure to include your full name (not just Bob, I know lots of Bobs) as well as your phone number and Angus Association member code. There is a way to include a "signature block" automatically at the end of your email message which I'll let you look for in your email program.

Now we're finally ready to discuss attachments.

Sending an attachment to us is pretty easy. I mainly work with Eudora, and I'll also describe what I know about Outlook Express.

Attaching files with Eudora: Be sure you're in your new message. You will not be able to simply type in the path and filename into the Attachment field even though it may look like the fields for recipient, subject, etc. You need to go to the Message command, then Attach File. You can also use an icon that has a paper clip on it, or press Ctrl-H to start the process. With any of these methods, you will be presented a typical Windows screen to either type in the path and filename, or you can navigate to it.

Attaching files with Outlook Express: Again, get everything else ready in your message, then go to Insert, File Attach. (Remember this Insert command for later. It's the source of problems and confusion when we get to receiving attachments.) As with Eudora, you'll need to navigate to the file you want to attach (insert) the file.

When you're done filling in all the appropriate fields, you're ready to send the message. Nearly all files you send to us are relatively small, so you shouldn't have any problems with attachments. However, some Internet Service Providers (ISPs) limit the size and/or number of attachments. For example, AOL apparently will only send one file at a time, so you will need to create a new message for each file you send. If you are sending large files to us – such as a backup of your herd – your ISP may limit the size, perhaps to one (1) Mb. In this case, you'll probably have to send the file on disk.

We will acknowledge receipt of files you send to us, so if you don't receive a reply within a day or so, call us. Do not resend the file unless we're expecting it – duplicate files cause even more problems.

Receiving Attached Files
If you've had email for more than a day, you've probably already received messages. If nothing else, you probably got one from your ISP welcoming you to their service. You may also have already received one with an attachment – maybe a picture of your grand kids or a joke from a friend (remember the early days of fax machines?) But the trick is what to do with the attachment. In the case of pictures, you can often double click on the icon representing the attachment and the appropriate Windows program starts up and everything is fine. That won't work with files we send; even if they could start AIMS, it wouldn't know what type of import to run -- EPDs, Performance, Additional Animals, etc. So, we need a way to control, or at least determine where the file is saved. And this is where it gets tricky (as if you aren't worried already).

The problem is that some programs embed the attached file "inside" the main message versus leaving it as a separate file. What do I mean by "inside"? Let's use a food metaphor. Imagine the email message is a peach. Some programs send you the seed "inside" the peach and you have to separate it from the fruit (the seed is the attachment in our case). Other programs send the peach separately from the seed – you get the seed, but you don't have to pull it out of the peach. (Okay, it's a silly metaphor, but I needed something, and food usually comes to mind for me). The second issue is that when you separate the seed from the peach, you need to know where it is on your computer.

So, back to our two typical programs – Eudora and Outlook – which represent both methods.
Receiving attachments with Eudora: You get the peach separate from the seed. When an attached file is received it is saved to a specified folder without any special handling to extract it from the message. This is one reason I still like Eudora, even though it's not considered the "industry standard" email program (Outlook Express is considered the industry standard). All email programs save attachments somewhere either as the file is received – like Eudora – or when you "extract" it, like Outlook Express.

Eudora saves the attached files to a folder that you have designated. If you have never set up the correct folder, it goes to a default (something like c:\eudora\downloads). To check it, go to Tools, Options, Attachments and note or change the Attachments Directory. This will be the folder you navigate to in AIMS when you are importing the file.

If you're still not sure where it saves it, you can use Windows' Find utility; go to Start, Find, Files or Folders. Where it says Named, put in the name of the attachment, which Eudora should tell you in the body of the email message. Be sure the Look In field says c: (the main hard drive) or My Computer, and then click the Find Now button. (You would benefit a lot to learn how to use the Find utility – it's very useful when working with many Windows programs).

Receiving attachments with Outlook Express: The seed (attachment) is embedded in the peach (email message). Once you have received the email message, you should see an icon for the attachment. However, unlike Eudora, if you tried to Find the file right away, it wouldn't be there. The easiest way to extract the file is to right-click on the attachment icon and use the Save As option on the pop-up menu. Once you have clicked on Save As, you will receive a familiar Windows screen to navigate to a folder, then finish with the Save button. In this case, you may as well navigate to c:\aims20\files, which is the default location that AIMS looks in when importing files.

You can also highlight (select) the attachment icon, go to File, Save Attachment command and then navigate to the c:\aims20\files folder.

Miscellaneous topics related to email
Duplicate Filenames - the email programs I've seen, and certainly in the case of Eudora and Outlook Express, will not automatically overwrite files if an incoming attachment has the same name as an existing file of the same name. Even if it tries to overwrite a file, you will be asked first. Eudora automatically changes the name; for example, if you already have a performance update file on your computer as P0123456.exp, the new incoming file would be slightly changed to P01234561.exp. Notice the extra 1 after the 6. AIMS will have a problem with this new file since it is nine characters and AIMS is expecting eight (the period and extension are not a factor in this case).

To change the filename to something AIMS will recognize, I would suggest using Windows Explorer (note that I'm not talking about Internet Explorer). There are several ways to start Windows Explorer, but my most common is Start, Programs, Windows Explorer. Then find the correct folder in the left window and the file should show up in the right window. Right-click on the file and change it to an appropriate name. Of course, this won't work if there is still a file with the intended name already in this folder, you may need to change that file first.

As an alternative to changing the filename, it is possible to get AIMS to see the extra-length filename. When browsing for the import file, the default type is p???????.exp. Alternately, you can enter p*.exp in the Filename field and see files of different lengths.

Previously Received Files - You can delete "old" files, but I would suggest using Windows Explorer to archive them; then you have a way to go back and re-import a file if necessary. For example, you could change a previous performance update file from P0123456.exp to P0123456.2_7_00.exp to indicate this file was received on 2/7/00. I would further suggest moving the file to a different folder such as c:\aims20\files\previous -- which means you need to make a new folder in c:\aims20\previous. This new folder can be made with Windows Explorer.

Windows Explorer has many more uses and is even more valuable than the Find utility. I would highly recommend learning more about Windows Explorer.
Preview - With the release of AIMS 2.0c, you have the ability to preview the data in a file before you import it. Simply go through the initial steps of the import (File, Data, Import; operation changed to Performance) but instead of clicking on the Import button, use the Preview button in the bottom left corner of the Import screen. The preview screen includes the relevant fields for that type of import, especially fields that will help you identify the animals and key data.

Exporting files - Two quick thoughts here. 1) Don't change the name of files when you export them. We base our processing on the name of the file – it tells us what type of file it is and who sent it. 2) If you need to resubmit a couple of weights out of a larger pen, don't resubmit the whole pen, either make a pen of the problem animals, or better yet, call the AHIR department to do it by phone or receive special instructions.


Lot Number Sorting

The following section was printed in the November 1999 Angus Journal in the AIMS Tech Notes column. The column included an extensive explanation of the difference between the two Lot Number fields including specific examples of the use of each field.

Here is the text of the column:

Q. What is the difference between the Lot Number field and the Numeric field next to in on the General tab?

A. First of all, we're talking about entering lot numbers that can be used on a sale catalog, and yes, there are two fields for the lot number. The two fields are on the General tab in the Miscellaneous group. The first is labeled "Lot Number", but it is actually a character field -- you can put any alpha-numeric value in the field (up to six characters), i.e. letters or numbers, even punctuation characters. The second field right next to "Lot Number" is labeled "Numeric" -- it is also for the lot number, only this time, it really is numeric, only numbers are allowed.

Ok, so why two fields with almost identical names but different format? Good question. The first is labeled "Lot Number" to avoid even more confusion - imagine if it had been named "Lot Character." Doesn't help much, does it? The second field is labeled "Numeric" simply because there wasn't room to put anything else. The actual names of the underlying data fields in the Animal table are lot_char for the "Lot Number" and lot_number for the "Numeric" field.

If the answer so far doesn't help much, keep reading, this all makes more sense when you understand why there are two fields.

The whole point of having two fields is to accommodate sale catalogs that need to use alphabetic characters in the lot number of sale animals. For example, if you need to use "1A" for the calf of a cow that is lot "1", it creates sorting problems. The easiest way to resolve all of this was to add a numeric-only field that would always sort correctly.

Here's an example of how this could be used. (I've skipped some lots for another reason that will be used later.)

Lot Number Numeric
1 1
1A 2
2 3
2A 4
3 5
3X 6
11 7
12 8
22 9
23 10

By using the Numeric field as the sort field, the animals will be put in their proper order. If the data were only sorted on the Lot Number field, the animals would be listed in this order:

1
11
12
1A
2
22
23
2A
3
3X

As you can see, this isn't what you want, so again, the Numeric field has come to the rescue. By the way, you could fix this last problem by putting spaces in front of single character numbers, but that's even more confusing and no longer necessary due to the Numeric field.

Bottom line: use the Numeric field if you don't have any characters in your lot numbers; use the Lot Number field if there are characters, then also use the Numeric field as the sort order.


AIMS on Two Computers

Tech Notes - November 2000

We often get questions about how to use AIMS on two computers. Installing the program on two computers is easy; as long as the same member owns both computers, it's legal. The trick is getting the data on both computers and managing the transfer back and forth between computers.

By my way of thinking, there are two basic scenarios that need to be discussed; 1) there is a primary computer where all of the work is done (by work I mean data entry and import/export). A secondary computer is used only to view the data and print reports. 2) Data could be entered on either computer and they could both be used for importing or exporting data.

Note: This discussion doesn't get into networks. Networks can solve the problems described below, but they require more technical know-how to setup, plus you'll need a special version of AIMS from our office.

In both scenarios, I'm assuming you have already installed AIMS on both computers. While we're at it, let's "name" our two computers Alpha and Beta.

The first scenario is the easiest to handle. Let's say Alpha is your main computer where "everything" is done. To get the data to Beta, you simply need to use File | Backup and create a backup file [For more information, see the Backups section]. Be sure to note where the file will be saved or you can change the location to a drive. I would also recommend changing the filename from the computer generated file (which starts with a "B" then your member code) and give it a name that will mean something to you. If it were me, I would call it "transfer" so that I knew this is the file I need to get to the other computer.

Once the backup is done, you simply get it on a CD-ROM, take it to the other computer (Beta), then do File | Restore and point the file selection to the drive. Select the backup file, then click the Save button and wait for AIMS to tell you it's done. [For more information, see the Restore section.]

Now, here's where you have to be careful, remember that in this scenario, you don't make any changes to the data on Beta. Actually, you can, but the scenario changes; which is what I'm going to describe next in scenario 2.

The second scenario is more complicated, not for the computer, but for the human, because you have to keep track of where the "live" data is. Here's what I mean by live data: let's say you enter new calves on computer Alpha, then make a backup and restore it to Beta. Then you enter weaning weights using Beta – that makes Beta's data the live data because it is more current than what's on Alpha.

But then let's say that without making a backup from Beta to Alpha, you start entering medical records on Alpha. Now you have a big problem because you have changed data on both computers without making any backups. It doesn't matter what kind of data you change, if you change anything on either or both computers, you cannot synchronize them back together.

To avoid this problem, you have to always keep track of where the live data is. It can only be in one place at a time. I've even seen people have a little sticky note that says "Live Data" and stick it to the computer that has the live data. Active might be another word for live if that helps. The point is, you never change data that you intend to save on the non-live computer. It's okay to print reports on the non-live computer (kind of like in the first scenario) but don't bother changing the data.

If you need to get the live data from Beta back to Alpha, you simply reverse the process of backups. Make a backup on Beta and restore on Alpha; move the sticky note to Alpha and don't change any data on Beta.

One word of caution. Once you have restored a backup, check for some key data that will verify that the restore worked and/or that you used the right file. You wouldn't want to proceed with new changes and later realize that you had used the wrong backup file.

So in summary, the data can only exist as "live" data on one computer at a time. Pretend that the non-live computer doesn't even have AIMS on it, let alone any data. To move the live data from one computer to another, simply do File, Backup on the first computer, then File, Restore on the second computer. Don't forget to move the sticky note too!


File Management Ideas

Tech Notes -- March 2003

Preview your Performance Update
As a result of user feedback, we added a feature to AIMS 2.1 that allows you to preview the contents of most import files before you actually import the data. Here's why that's important and useful:

When we send back a file to update your AIMS data after a registrations submission, the filename is always "D" and then your member code (padded with 0's in front of it) then an extension of ".exp". When that file is downloaded from an email message to your computer, it may overwrite the previous file, although it will ask you first. (There are other files, but for this discussion, we'll use a reg file import).

If on the other hand, you have a system (or email program) where files are not overwritten, there is a possibility that you will be importing old data. For certain types of import files, this is okay, but for things like EPD updates, it could revert your system back to old data.

Here's what I would do if I were running my own record keeping system:

1. Use Windows Explorer to create a folder for "old" files. Right-click on the Start button, then left click on Explore – that starts Windows Explorer. On the left side of that screen, click on the "+" next to the AIMS20 folder, under that will be a Files folder. Highlight the Files folder, then go to the File command at the top of Explorer, then New, then Folder. Type in the new name – perhaps PreviousFiles – and press Enter.

2. Go back and highlight the Files folder and then highlight all of the files in the folder – except for the PreviousFiles folder, then click-and-drag them all to the PreviousFiles folder. You can also use Cut and Paste commands from the main menu, the point is to move everything from the Files folder into PreviousFiles. Note: assuming you used the AIMS default location when exporting files, the Files folder will include all of the previous files you have exported. With this step, we're moving them into a new folder simply to archive them.

3. The next time you receive a file to be imported from us, save it to the "normal" location which is the Files folder under the AIMS20 folder.

4. Before you import the file, make a backup (I'll cover that later in this column).

5. Start AIMS or simply return to it if it is already running, remember, Windows can run more than one program at a time. The icons are there at the bottom of the screen along the same row as the Start button.

6. Here's where we get to the Preview part. To import the D file go through the normal steps of File, Data, Import and change the Operation to EPD Updates/Registrations. Use the Browse button and navigate to the file you just downloaded. This is when you Preview the file by using the button labeled "Preview data before Import" in the lower left corner of the import screen. As the button says, you will be able to see what animals will be updated and much of the new data; it won't include all of the new data columns, but enough to know what's going on. And if you scroll to the bottom of the Preview screen, it will tell you how many animals are in the pen. By reviewing the data, checking the ID of some of the animals and checking the head count, you can probably verify that this is the file you were expecting. If it is, close the Preview window and click on the Import button and let AIMS do its work; if not, close the Preview window and cancel the Import process or go looking for the correct file.

7. Once the file has been imported, go into the pen that includes the appropriate animals and verify that the data got changed. For a Performance Update file, the Lot Date and Lot ID files will now have data. By the way, it does not matter what pen is highlighted when you Import – AIMS finds the animals by the tattoo, not by their pen.

7a. If something goes terribly wrong, you can Restore the backup you made in step 4.

8. Move the file that you just imported from the Files folder to the PreviousFiles folder that we created above. At this point, it may also be a good idea to rename existing files in the PreviousFiles folder so that new incoming files won't have a conflicting name. For example, you could change an old file to P0123456.exp to P0123456-1-21-03.exp (I added the date to the file) so that it won't conflict with new files. After you are confident that the data is updated, you can probably go back and delete old files from that PreviousFiles folder.

I realize it took me a lot of words to describe something that's really not all that complicated. Hopefully, you will learn some things about Windows Explorer to help you manage files. By the way, you can get to a similar program by double-clicking on the My Computer icon on your desktop.


Custom Report advanced features

Here are just a few things to think about and try as you work with Crystal.

· Moving fields is as easy as click and drag. Click on the field you wish to move and you will see the border change colors and square handles will appear. With the cursor inside the field, hold down the left mouse button and drag the field to its new location. To move multiple fields, select the first one, then hold down the Ctrl key while selecting other fields. Drag any of the selected fields and the whole group will move. Fields can also be moved by using the left and right arrow keys.

· Resizing is much like moving fields, select the field and then click and drag one of the handles to a new size. This may be necessary when you increase the size of the font.

· Select Group from the Insert menu if you want to create section breaks in your report such as all bulls first then all cows.

· Select Formula Fields from the Insert menu if you want to perform calculations using certain fields. Once created, formula fields will start with the @ sign.

· If you need things like totals or averages of numeric fields, select the field and then use Insert | Grand Total. Various math functions are available (other than grand total).

· Try experimenting with font style and color. Hint: select the field and choose Format | Format Field.

· Like AIMS, there are many uses and actions for right-clicking in various places. Try it!

Be sure to save often and perhaps even save to a different filename. This will hopefully prevent losing lots of work if you get into trouble. It's also perfectly "legal" to change existing reports, or better yet, save the to a different filename, then make your changes as a custom report. Looking at existing reports is also a great way to learn more about CRW -- focus on the Visual Linking Expert as well as formulas, which start with the @ sign. (Hint: when working with links in the Visual Linking Expert, double-click on the link and change the SQL Join Type to 'Left Outer'. Not doing so can result in missing animals from your reports, even though they're in the pen.)

Custom Report Resources
The variety and flexibility of Crystal Reports is enormous. Realize that this has only been a brief look at Crystal Reports. Here are some other resources:

AIMS Website - The AIMS website -- at www.angus.org/aims -- includes a section for Crystal Report Writer. The CRW section includes several popular reports that have been developed by the AIMS department; there's even an Adobe pdf file of each one so that you can preview how the report looks. Also included in that section are links to web resources for Crystal Report Writer from the software developer and support sites.

CRW Video - The AIMS department offers a 2-hour video on how to use CRW. A fee applies, so contact the AIMS department for details.

Custom Report Development - For a nominal hourly fee, the AIMS department will work with you to create a custom report for virtually anything you can think of (within the bounds of what AIMS can do!) Many reports probably already exist so it may be as simple as getting the file or just a few minor changes (often at no-charge) to existing reports. Again, contact the AIMS department for details.

Other AIMS users - Other AIMS users may have the "perfect" report that you would like to use. If they are willing, they can send you the small ".rpt" file that contains the skeleton of the report so that it works on your computer.


Importing data

Import EID File

AIMS provide a method for importing EID information directly to the database tables. The Import EID File feature provides a way to import a spread sheet file in a pre-defined format. Select the file by Browsing and click Import. Option to preview the data is available.


Importing data

Import NSE File

AIMS provide a method for importing NSE files directly to the database. The file should be in EXP format. The folder should contain the following files:

1. nse
2. nse_owners
3. nse_pedigree
4. nse_ranges


New Animal

Animal | New is a repeat of the File | New Animal previously discussed in the New Animal section


Open Animal

Open

Animal | Open is a repeat of the File | Open Animal command, discussed in the Open Animal section.


Edit menu

The Edit menu consists of Windows-standard commands for Cut, Copy and Paste. Refer to your Windows documentation for details. They are also briefly discussed in icon descriptions.


Create Pen

Convert DB

This option helps to migrate the data from Angus 2.5 to Angus 3.0. A confirmation alert will be shown.

Click Yes to continue.


New Pen

File | New Pen is how you start the process to create a new pen; this process will be described in detail in the Pens chapter.


Create Pen

Semen Inventory

This will display the Semen inventory of all the animals in the selected Pen.

1. Click Semen Inventory.

2. The semen inventory of the pen is shown. Note that this screen will be available only for pens with data of Bulls.

3. Click Add Main to add semen inventory details.


Maintenance

The Maintenance command helps fix issues with past versions of AIMS as well as help add enhancements and new features. Everyone wishes software packages could be perfect, but they aren't, they have bugs. Early versions of AIMS had certain bugs that lead to the need for fixing data fields. The bugs that created the problem have been fixed, but the data sometimes needs to be updated to match current procedures. Any new items are added to the bottom of the list, so the first several are rather old, and probably no longer necessary, but are provided just in case. When versions of AIMS are referenced, assume that all subsequent (higher numbered) versions include the proper patches to eliminate the original problem.

· Field Update - Three fields, AI, ET and the Management Code (Creep or Non-Creep) did not properly default to initial values when new records were created. This process simply does a mass update of the respective fields to appropriate default values. AI and ET are set to N and the Management Code is set to 1 (Non-Creep) IF they have another other value (i.e. a null value).

· Scrotal Update - Early versions of AIMS (2.0a, b and c) were missing the Adjusted Scrotal field in the herd data files. Running this command will calculate and store any missing values. This can be run multiple times; it was fixed in 2.0d.

· Calving Ease Update - Similar to the Field Update above, the Calving Ease field was sometimes converted from "0" (Not Reported) to "A". This in turn caused problems in certain reports that were looking for the "0". Running this command sets all As back to 0. The problem occurred only in 2.0c.

· Pen Step Conversion - Older versions of AIMS stored the text necessary for remembering pen steps in a special system file (pens.ini). As of version 2.2, the steps are stored in a field in the pen_name table. To convert all previous pen steps, use this command.

· Convert States - At one time, some updates to state abbreviations were necessary.

· Current Season - Version 2.2 introduced a new field "Current Season" on the General tab. This command was necessary to update old records.

· Pedigree Correction - This is a special update (import) process for importing the "PC" file provided if pedigree linkage problems are found.

· Birth & Twin Code Update - Properly updates birth and twin codes to appropriate numeric values.

· Add $Value Fields - Converts data to a database that includes the $ Value Indexes ($F, $G, $B). These fields were added in December of 2003. The conversion includes other fields, most notable the electronic_reg field for electronically stored registration papers.

If other maintenance items are added after this documentation is published, they will be noted in the documentation that accompanies an update CD or in the case of patches distributed on the Internet, information will be on-line.


Advanced tab

While the Tattoo & Pen tab may work for many operations, you will often find yourself needing the Advanced tab; don't let it intimidate you, it's actually very easy to use.

Again, you can enter the identification value of the animal you're looking for, but now you can search by several other fields, namely Tag (see the drop-down list above), Registration Number, Name, Sire Tattoo and Dam Tattoo. Beyond that, you can limit the search to a certain sex and you can limit it to just Active, or just Inactive animals. Again, the wildcard characters will work for situations where you only know part of the animal's information.


Tattoo & Pen tab

The simplest way to find an animal is to enter the complete tattoo and then click on the Find Now button. This will display the animal's row in the lower part of the screen which can then be selected to go to the animal's screen in the All Animals pen. You can also double-click on the row to select it.

However, it is normal that a search will not be this simple, so several other options are available on this tab. If you're not sure what pen the animal is in, or if you want to see all occurrences of the animal, in any pen, check the "Look in all pens" option. After choosing Find Now, you will see all the locations of the specific animal.

Wildcard Characters - To find an animal using a partial tattoo, you have several "wildcard" options. Wildcard means you type a special character to represent one or more regular characters, and you don't care what those characters are. For example, if you use the asterisk "*" (without the double-quotes), it represents multiple characters starting at the point of the asterisk. So, searching for 1234* will find animals with any of the following tattoos - 1234, 1234-C95, 12345, 1234-1, etc. It will not find C234 or anything else where the first four characters are not exactly 1234.

A second wildcard is the question mark "?" which represents one character at a time. So, if you search for ?234, you will find 1234 and C234, but you will not find anything with an extension such as 1234-C95. To find tattoos like this last example, use both the question mark and asterisk - searching for ?234* will find all of the tattoos mentioned so far.

The question mark and asterisk are long-time wildcards in the computer world, and we have included them in AIMS. On the other hand, user of the old AHMS program may remember way back to using the underscore "_" and the percent sign "%" respectively to the ? and *; that's fine, they still work too.

The best way to learn how all this works is to open the All Animals pen where there's lots of combinations and play around with the various search options combined with wildcard characters.

You may also notice the Rows Found value at the bottom of the screen. This may or may not represent individual animals; if it searching across all pens, an animal could be repeated for each pen it is in. The term "rows" is a common computer reference to entries in a database table.


Open Animal

File | Open Animal opens the screen used to find any animal in the AIMS system. The window includes two tabs: Tattoo & Pen for the most common searches; and Advanced, for more complicated searches on other fields as well as options to limit to certain sex and/or whether the animals are active or not.


Open Pen

File | Open Pen will be discussed in the Pens chapter.


Correction for Most Likely Data

This operation is simple a way to update past records with appropriate information where season records were saved with "Most Likely" information even though individual breeding records did not exist.


Tab Buttons

Each AIMS tab has various buttons for specific operations related to that tab. This group of commands provides a means to use those buttons without the need for a mouse, in other words, keyboard-only access.

The available commands will change depending on which tab is currently active so that commands for other tabs are not accidentally initiated.


Print Setup

File | Print Setup opens a typical Windows dialog screen for changing various settings for the printer. This option will be useful in situations where multiple printers are used, for example, on a laptop that is used in the office and with portable printers in the field.


Print Tab

By clicking on File | Print Tab, you will print the open tab for the current animal. This is just a quick way to get a printout of an animal's information and is not intended to take the place of reports. Also, the printout can be rather wide (i.e. on multiple pieces of paper) if the display is in All (spreadsheet) view.


Customize Toolbars

Most Windows-based programs provide a way to manipulate the placement of various toolbars as well as other features. AIMS provides the same basic functionality, although, since AIMS only has one toolbar (as an example, Microsoft Word has 20 or more different toolbars), this functionality is rarely, if ever used.

As the various options imply, the AIMS toolbar (described in the Icons section) can be positioned (sometimes known as docked) in four different places or it can float.

Under Application Settings, you can change to larger buttons, which simply increases the amount of space between AIMS icons and you can disable the popup Tool tips that normally appear as you hover the cursor over an icon.


EPDs

Similar to User Fields, EPDs can be opened with Tools | EPDs or the "E" icon (see below).

A floating screen of all EPDs can be resized and placed anywhere on the screen (see below).

EPDs can be entered or edited on this screen, although it's best to use the EPD Import process for mass updates. See the Import/Export section for more information on EPD updates.


User Fields

By using Tools | User Fields command, you open a "floating" window containing the User Fields for the selected animal.

This window will stay open until specifically closed and can float anywhere on the screen. You can also resize it to a very small area if you are only interested in the first couple of user fields. An icon (see below) is also provided for quick access.

User Fields (they are labeled as User Flags in the actual table due to past conversion) provide another level of flexibility for the user to record even more information about an animal, beyond the fields already provided in AIMS. For example, you could use a User Field for recording the pasture where an animal is physically located. Each user field can contain up to 10 characters, so you could enter "South" in the user field.

For the ultimate in flexibility and user-friendliness, you can even change the label so that instead of "User Field 1:", you can change it to "Pasture:" (as shown in the above image). Simply double-click on the actual label, type the label you want, then choose Ok. From that point on, for all User Field displays, you will see "Pasture" as the label. Consequently, it is important that in this example, User Field 1 always means pasture, no matter what pen or animal is selected. In other words, you wouldn't want to use the first User Field for bangs vaccination number somewhere else in the system.


Pedigree Verification

The visual representation of an animal's pedigree leads one to believe the animal's record also contains all of the ancestors in that single record. But that's not the case. Pedigrees are created by linking individual animals by way of their sire and dam tattoo fields to the tattoo field of another animal (see How to build a pedigree). It's much more efficient for the computer. In other words, creating a pedigree is as simple as entering the sire and/or dam tattoo on the selected animal's General tab so long as the sire and dam exist.

However, this flexibility is also the potential cause of problems in the pedigree; with a basic typo, the entire pedigree could be mis-represented.

AIMS provides mechanisms to both check that the pedigrees are correct as well as electronically correct them (i.e. the user doesn't have any complicated work to do) by importing a file.

Submitting the Request File
First a file needs to be submitted to the Association which is used to verify the pedigrees on your system. To create the file, go to File | Data | Export Files, and change the operation to Pedigree Verification. A file, starting with "V", will be created. Submit this file to the AIMS department the same way you would an EPD Request. Once the file is received, a program will be run to verify that the registration number for the sire and dam is appropriate for each animal submitted (assuming they all have values in the registration number field).

IF any problems are found, a file will be returned to you for further processing (see below).

Important Note: The file you submit with this process is identical to an EPD Request; therefore, when any EPD Request file is processed, we will automatically check the pedigree linkage. IF there is a problem, we will return a report. So, the only thing you need to worry about is 1) if you want to specifically send us a request file generated by the Pedigree Verification operation, 2) after submitting a normal EPD Request, you may receive a report regarding problems in your AIMS pedigree data.

Importing the Update File (Correcting Pedigrees)
AIMS provides a way to import the file we generate with the corrections. (This file can also be printed out with any word-processing program, although it may need formatting). Due to the nature of the file we return to you (it is a tab-delimited text file and is not "zipped" like most import files), the import process is not one of the usual Import operations. Instead, go to File | Maintenance | Pedigree Correction then use the Browse button to navigate to the appropriate PC file. The screen shown below provides details for the entire process.

Before you start this process, it is highly recommended that a backup be made in case the update process fails or is incorrect due to selections made in step 2. The steps (also shown above) are as follows:
1. Browse to the file provided by the Association.
The file will start with PC and have a '.txt' extension.

1a. Preview the file (optional).
Generally, this is simply to verify you are importing the proper (most recent) file and not a previously used file.

2. Import the file. Look for duplicates and UN-check any lines that should not be processed.
When using the registration number as the look-up field, it is possible your AIMS system may have duplicates of the same animal. If necessary, un-check the box to prevent the update.

3. Process the data when you are done looking at the data.
Once you have made changes, if any, click this button to process the data.

4. Close the window.
At this point, it would be a good idea to double-check a representative animal to verify that it was updated.


Network Setup
Previous Top

AIMS is considered "network compatible", however, like most programs, it takes some setup to accomplish this feature.

There are two types of network setup that have proven successful for AIMS.
1. A simple change to the ODBC of client computers.

Advantage: no added expense and relatively simple to setup

Disadvantage: only one computer on the network can be running AIMS at any given time

2. Specialized software -- Sybase SQL Anywhere Studio.

Advantage: allows simultaneous operation of AIMS from multiple computers

Disadvantage: requires purchase and installation of extra software -- Sybase SQL Anywhere Studio.

Important Note (Disclaimer): It seems that no two networks are setup exactly the same and while these basic instructions have proven successful on many computers, it is possible, even likely that you will need extra help from the person who setup your network. Contact the AIMS department for help -- we'll do what we can!

Option 1 — Single-computer access, no added cost
1. Install AIMS on all relevant, networked computers. Make sure AIMS is functioning -- albeit independently -- on each computer. Designate one computer as the "server"; this is probably already established in most systems. Work with your "network administrator".

2. On each client computer (the non-servers), click on Start | Run and enter odbcad32 in the Open: field. Click OK to start the ODBC Data Source Administrator, shown below (all images have been condensed when possible).

3. Highlight the aims20 data source, then click the Configure button. Note: only relevant data sources are shown, your computer will likely have several other items besides the three shown above.

4. When the configuration opens, click the Database tab to get the following screen:

5. Use the Browse button and navigate to the server and the \aims20 folder where the aims2x.db is stored (if you are on AIMS version 2.3, use aims23.db). On most systems, experience has shown that the drive must have been mapped on the network. For example, the network drive labeled q: may actually be the c: drive for the server.

6. Return to the ODBC tab and try the Test Connection button. If it succeeds, you are ready to click OK and try AIMS on each computer --just not at the same time!

Option 2 — Multi-computer access, extra cost and setup
This option explains the basics of how to set AIMS over a network with Sybase SQL Anywhere Studio. For specific network setup, you may need to reference technical documents pertaining to your network. To purchase this software, you can go to www.programmersparadise.com and search for "Sybase SQL Anywhere Studio". This will result in several choices -- look for "Sybase SQL Anywhere Studio - Base with 1 User" and version 7.0. Other higher-numbered versions will generally also work. If version 7.0 is not available, contact the AIMS department for help.

Steps:
1. Install AIMS on each computer that it is desired to access a single database. These computers need to be linked together by a network.

2. Buy and install Sybase SQL Anywhere Studio (SSAS). It should be installed on all the networked computers.
*Note: If feasible, it may be easier to install a single SSAS to a location that is available to all the computers on the network.

3. Next, pick one computer to be the Server. The server will need to have the database running the entire time any other computers will be accessing it. The other computers will be the Clients.

4. The remainder of the steps involve configuring ODBC for both the Server and the Clients. To configure both, an executable named odbcad32.exe is used. Click the Start button, then Run and enter 'odbcad32' (without quotes), then click Ok. This will run the ODBC Administrator as shown here.

The task is to change aims20 from Sybase SQL Anywhere 7.0 to SSAS
A. Click the Add button

B. Select 'Sybase SQL Anywhere Studio' and click Finish

5. This screen will appear:

Add the Data source name: aims20

6. Click the Login tab and this screen will appear (shown smaller than normal to save space):

Add the User ID: dba and the Password: sql (which will appear as three asterisks - * )

7. Click the Database tab and this screen will appear:

Here the entries will be different, depending on whether this machine is a Server or a Client.

Server:
A. Leave the Server name field blank

B. In the Start line field, add the text "C:\Program Files\Sybase\Sybase SQL Anywhere Studio\win32\dbsrv6.exe"
*Note: The path may be different, depending on where Sybase SQL Anywhere Studio was installed.

C. Leave the Database name field blank

D. Click BROWSE to select the Aims21.db that is on the network. When selected, the path will be automatically added to the Database file field.

E. Uncheck "Automatically shut down database after last disconnect" if you want the engine to run all the time.

Client:
A. In the Server name field, add the text "Aims20"

B. Leave the Start line field blank

C. Leave the Database name field blank

D. Click Browse to select the aims2x.db that is on the network. When selected, the path will be automatically added to the Database file field (2x represents the current version AIMS, such as 23, so the file would be aims23.db)

8. Click the Database tab and this screen will appear:

Click the type of network and configure if necessary.

9. Repeat steps 4 – 10 for all networked computers. Once ODBC has been configured for each machine (1 server and x clients), the setup is complete. To use, always have the server database engine running before attempting to connect with a client machine.

10. Replace C:\sqlany7\win32\dbbackup.exe with the same file from the Sybase SQL Anywhere Studio directory. This is a specialized version of the system backup program.


Tech Notes Columns

The Angus Journal carries a column called Tech Notes written by the Director of AIMS. Each column is directed at current issues related to AIMS whether it is basics of running AIMS or how to solve problems a user is having or announcing new features. But occasionally a column is generic enough to be re-printed since it covers a topic that comes up a lot in conversations and AIMS training. The following topics are good ones to include here because they further explain concepts elsewhere in this documentation.

How to Use Email Attachments - Even though "email" has been around since at least 1994, new people are always getting involved and they often have questions and/or problems attaching files, or dealing with incoming attachments. This column covers the topic in great detail and will hopefully help new users tackle this useful concept.

Lot Number Sorting - AIMS has two fields for Lot Numbers, but the reasons why are somewhat confusing at first. This column includes good examples of why there are two fields.

AIMS on Two Computers - Computers are a little like televisions -- one never seems to be enough. So if you have a second computer, often a laptop for portability, you probably want to run AIMS on both. Here is how to manage that capability, through the use of backups.

File Management Ideas - The longer you use AIMS, the more files you will accumulate -- old updates, old exports, patches, etc. Here are some suggestions on how to manage those files.

Network Setup - Technically, this section has not appeared as a Tech Notes column, but it still provides useful information on setting up AIMS on a network.